2012-05-21  Continuous Integration  <ci@drizzle.org >

	modified:
	plugin/gearman_udf/function_map.cc
	plugin/gearman_udf/gearman_udf.cc
	plugin/gearman_udf/gman_do.cc
	plugin/gearman_udf/gman_servers_set.cc
	pending merge tips: (use -v to see all merge revisions)
	Brian Aker 2012-05-21 Update for compiling Gearman support.

2012-05-21  Brian Aker  <brian@tangent.org>

	Update for compiling Gearman support.

2012-05-10  Brian Aker  <brian@tangent.org>

	Fix for calling current Gearman function, another for bad init of error variable, and finally a spurious return call.

2012-05-02  Continuous Integration  <ci@drizzle.org >

	pending merge tips: (use -v to see all merge revisions)
	Brian Aker 2012-05-02 bzr set-root-id

2012-05-02  Brian Aker  <brian@tangent.org>

	bzr set-root-id

2012-04-24  Continuous Integration  <ci@drizzle.org >

	modified:
	plugin/rabbitmq/rabbitmq_log.cc

2012-04-21  Continuous Integration  <ci@drizzle.org >

	modified:
	drizzled/drizzled.cc
	drizzled/execute/scanner.l
	pending merge tips: (use -v to see all merge revisions)
	Andrew Hutchings 2012-04-21 Merge in both of Andrew's patchs for 7.1

2012-04-21  Andrew Hutchings  <andrew@linuxjedi.co.uk

	Merge in both of Andrew's patchs for 7.1

2012-04-20  Continuous Integration  <ci@drizzle.org >

	added:
	tests/suite/regression/r/986455.result
	tests/suite/regression/t/986455.test
	modified:
	.bzrignore
	drizzled/identifier/schema.cc
	drizzled/identifier/schema.h
	drizzled/identifier/table.cc
	drizzled/identifier/table.h
	drizzled/table/instance/base.cc
	drizzled/util/backtrace.cc
	drizzled/util/backtrace.h
	libdrizzle-1.0/t/drizzle_con_st.c
	libdrizzle/conn.cc
	pending merge tips: (use -v to see all merge revisions)
	Brian Aker 2012-04-20 Fix for lp:986455

2012-04-20  Brian Aker  <brian@tangent.org>

	Fix for lp:986455

2012-04-20  Brian Aker  <brian@tangent.org>

	Ignore generated version file.

2012-04-20  Brian Aker  <brian@tangent.org>

	Fix return error for one particular type of disconnect.

2012-04-20  Continuous Integration  <ci@drizzle.org >

	modified:
	libdrizzle-1.0/t/drizzle_con_st.c
	libdrizzle/conn.cc
	pending merge tips: (use -v to see all merge revisions)
	Brian Aker 2012-04-19 Clean up error messages on libdrizzle

2012-04-19  Brian Aker  <brian@tangent.org>

	Clean up error messages on libdrizzle

2012-04-18  Continuous Integration  <ci@drizzle.org >

	modified:
	drizzled/drizzled.cc
	plugin/mysql_unix_socket_protocol/protocol.cc
	pending merge tips: (use -v to see all merge revisions)
	Brian Aker 2012-04-17 Add atexit() call to make sure that we clean up the socket file.

2012-04-17  Brian Aker  <brian@tangent.org>

	Add atexit() call to make sure that we clean up the socket file.

2012-04-18  Continuous Integration  <ci@drizzle.org >

	modified:
	plugin/slave/queue_producer.cc
	pending merge tips: (use -v to see all merge revisions)
	Stewart Smith 2012-04-14 improve messages from slave io thread to better indicate what is going on at any one time.

2012-04-14  Stewart Smith  <stewart@flamingspork.com>

	improve messages from slave io thread to better indicate what is going on at any one time.

2012-04-17  Continuous Integration  <ci@drizzle.org >

	modified:
	libdrizzle/conn.cc
	pending merge tips: (use -v to see all merge revisions)
	Brian Aker 2012-04-16 If you try to connect while Drizzle is starting up, the connection will bever happen.

2012-04-16  Brian Aker  <brian@tangent.org>

	If you try to connect while Drizzle is starting up, the connection will bever happen.

2012-04-16  Continuous Integration  <ci@drizzle.org >

	Merge and fix configure.ac conflict.

2012-04-16  Brian Aker  <brian@tangent.org>

	Fix pid-file issues.

2012-04-15  Brian Aker  <brian@tangent.org>

	This fixes the pkg files.

2012-04-15  Continuous Integration  <ci@drizzle.org >

	removed:
	support-files/drizzle.spec.in
	support-files/drizzled.init
	added:
	support-files/README
	support-files/deb/
	support-files/deb/debian/
	support-files/deb/debian/changelog
	support-files/deb/debian/compat
	support-files/deb/debian/conf.d/
	support-files/deb/debian/conf.d/auth-file.cnf
	support-files/deb/debian/conf.d/auth-http.cnf
	support-files/deb/debian/conf.d/auth-ldap.cnf
	support-files/deb/debian/conf.d/auth-pam.cnf
	support-files/deb/debian/conf.d/auth-schema.cnf
	support-files/deb/debian/conf.d/debug.cnf
	support-files/deb/debian/conf.d/filtered-replicator.cnf
	support-files/deb/debian/conf.d/gearman-udf.cnf
	support-files/deb/debian/conf.d/http-functions.cnf
	support-files/deb/debian/conf.d/json-server.cnf
	support-files/deb/debian/conf.d/logging-gearman.cnf
	support-files/deb/debian/conf.d/logging-query.cnf
	support-files/deb/debian/conf.d/mysql-protocol.cnf
	support-files/deb/debian/conf.d/mysql-unix-socket-protocol.cnf
	support-files/deb/debian/conf.d/performance-dictionary.cnf
	support-files/deb/debian/conf.d/query-log.cnf
	support-files/deb/debian/conf.d/rabbitmq.cnf
	support-files/deb/debian/conf.d/regex-policy.cnf
	support-files/deb/debian/conf.d/simple-user-policy.cnf
	support-files/deb/debian/conf.d/slave.cnf
	support-files/deb/debian/control
	support-files/deb/debian/copyright
	support-files/deb/debian/copyright_check.py
	support-files/deb/debian/drizzle-client.install
	support-files/deb/debian/drizzle-dev-doc.doc-base
	support-files/deb/debian/drizzle-dev-doc.docs
	support-files/deb/debian/drizzle-dev-doc.links
	support-files/deb/debian/drizzle-doc.doc-base
	support-files/deb/debian/drizzle-doc.docs
	support-files/deb/debian/drizzle-doc.links
	support-files/deb/debian/drizzle-plugin-auth-file.install
	support-files/deb/debian/drizzle-plugin-auth-file.postinst
	support-files/deb/debian/drizzle-plugin-auth-http.install
	support-files/deb/debian/drizzle-plugin-auth-ldap.install
	support-files/deb/debian/drizzle-plugin-auth-pam.install
	support-files/deb/debian/drizzle-plugin-auth-schema.install
	support-files/deb/debian/drizzle-plugin-debug.install
	support-files/deb/debian/drizzle-plugin-dev.install
	support-files/deb/debian/drizzle-plugin-gearman-udf.install
	support-files/deb/debian/drizzle-plugin-http-functions.install
	support-files/deb/debian/drizzle-plugin-json-server.install
	support-files/deb/debian/drizzle-plugin-logging-gearman.install
	support-files/deb/debian/drizzle-plugin-logging-query.install
	support-files/deb/debian/drizzle-plugin-performance-dictionary.install
	support-files/deb/debian/drizzle-plugin-query-log.install
	support-files/deb/debian/drizzle-plugin-rabbitmq.install
	support-files/deb/debian/drizzle-plugin-regex-policy.install
	support-files/deb/debian/drizzle-plugin-simple-user-policy.install
	support-files/deb/debian/drizzle-plugin-slave.install
	support-files/deb/debian/drizzle.docs
	support-files/deb/debian/drizzle.init
	support-files/deb/debian/drizzle.install
	support-files/deb/debian/drizzle.preinst
	support-files/deb/debian/drizzle.upstart
	support-files/deb/debian/libdrizzledmessage-dev.install
	support-files/deb/debian/libdrizzledmessage0.install
	support-files/deb/debian/patches/
	support-files/deb/debian/patches/disable-intersphinx.patch
	support-files/deb/debian/patches/fix-user-option.patch
	support-files/deb/debian/patches/series
	support-files/deb/debian/rules
	support-files/deb/debian/slave.cfg
	support-files/deb/debian/source/
	support-files/deb/debian/source/format
	support-files/deb/debian/source/include-binaries
	support-files/deb/debian/watch
	support-files/rpm/
	support-files/rpm/BUILD/
	support-files/rpm/BUILDROOT/
	support-files/rpm/RPMS/
	support-files/rpm/SOURCES/
	support-files/rpm/SOURCES/conf.d/
	support-files/rpm/SOURCES/conf.d/auth-file.cnf
	support-files/rpm/SOURCES/conf.d/auth-http.cnf
	support-files/rpm/SOURCES/conf.d/auth-ldap.cnf
	support-files/rpm/SOURCES/conf.d/auth-pam.cnf
	support-files/rpm/SOURCES/conf.d/auth-schema.cnf
	support-files/rpm/SOURCES/conf.d/debug.cnf
	support-files/rpm/SOURCES/conf.d/filtered-replicator.cnf
	support-files/rpm/SOURCES/conf.d/gearman-udf.cnf
	support-files/rpm/SOURCES/conf.d/http-functions.cnf
	support-files/rpm/SOURCES/conf.d/json-server.cnf
	support-files/rpm/SOURCES/conf.d/logging-gearman.cnf
	support-files/rpm/SOURCES/conf.d/logging-query.cnf
	support-files/rpm/SOURCES/conf.d/mysql-protocol.cnf
	support-files/rpm/SOURCES/conf.d/pbms.cnf
	support-files/rpm/SOURCES/conf.d/query-log.cnf
	support-files/rpm/SOURCES/conf.d/rabbitmq.cnf
	support-files/rpm/SOURCES/conf.d/regex-policy.cnf
	support-files/rpm/SOURCES/conf.d/simple-user-policy.cnf
	support-files/rpm/SOURCES/conf.d/slave.cnf
	support-files/rpm/SOURCES/drizzle-2010.04.1513-bug572633.patch
	support-files/rpm/SOURCES/drizzle-2010.06.1607-protobuf.patch
	support-files/rpm/SOURCES/drizzle.cnf
	support-files/rpm/SOURCES/drizzle7-2011.01.07-tests.patch
	support-files/rpm/SOURCES/drizzled.cnf
	support-files/rpm/SOURCES/drizzled.init
	support-files/rpm/SOURCES/gen_plugin_configs_patch.sh
	support-files/rpm/SOURCES/plugin-configs.patch
	support-files/rpm/SPECS/
	support-files/rpm/SPECS/drizzle.spec.in
	support-files/rpm/SRPMS/
	modified:
	.bzrignore
	Makefile.am
	configure.ac
	drizzled/drizzled.cc
	m4/pandora_vc_build.m4
	plugin/innobase/xtrabackup/xtrabackup.cc
	support-files/include.am
	unittests/option_context.cc
	pending merge tips: (use -v to see all merge revisions)
	Wajahat Abbassi 2012-04-03 Fixed the bug where --no-defaults was ignored and the configuration file

2012-04-03  Wajahat Abbassi  <wajahat.abbassi@gmail.com>

	Fixed the bug where --no-defaults was ignored and the configuration file
	was being used everytime we start drizzle server. If --no-defaults option
	has been provided as a command line argument to 'drizzled' then configuration
	file will not be picked up.

2012-03-31  Continuous Integration  <ci@tangent.org>

	modified:
	drizzled/drizzled.cc
	plugin/innobase/xtrabackup/xtrabackup.cc
	pending merge tips: (use -v to see all merge revisions)
	Olaf van der Spek 2012-03-24 Fix some GCC 4.7 warnings

2012-03-24  Olaf van der Spek  <olafvdspek@gmail.com>

	Fix some GCC 4.7 warnings

2012-03-27  Continuous Integration  <ci@tangent.org>

	removed:
	support-files/drizzle.spec.in
	support-files/drizzled.init
	added:
	support-files/README
	support-files/deb/
	support-files/deb/debian/
	support-files/deb/debian/changelog
	support-files/deb/debian/compat
	support-files/deb/debian/conf.d/
	support-files/deb/debian/conf.d/auth-file.cnf
	support-files/deb/debian/conf.d/auth-http.cnf
	support-files/deb/debian/conf.d/auth-ldap.cnf
	support-files/deb/debian/conf.d/auth-pam.cnf
	support-files/deb/debian/conf.d/auth-schema.cnf
	support-files/deb/debian/conf.d/debug.cnf
	support-files/deb/debian/conf.d/filtered-replicator.cnf
	support-files/deb/debian/conf.d/gearman-udf.cnf
	support-files/deb/debian/conf.d/http-functions.cnf
	support-files/deb/debian/conf.d/json-server.cnf
	support-files/deb/debian/conf.d/logging-gearman.cnf
	support-files/deb/debian/conf.d/logging-query.cnf
	support-files/deb/debian/conf.d/mysql-protocol.cnf
	support-files/deb/debian/conf.d/mysql-unix-socket-protocol.cnf
	support-files/deb/debian/conf.d/performance-dictionary.cnf
	support-files/deb/debian/conf.d/query-log.cnf
	support-files/deb/debian/conf.d/rabbitmq.cnf
	support-files/deb/debian/conf.d/regex-policy.cnf
	support-files/deb/debian/conf.d/simple-user-policy.cnf
	support-files/deb/debian/conf.d/slave.cnf
	support-files/deb/debian/control
	support-files/deb/debian/copyright
	support-files/deb/debian/copyright_check.py
	support-files/deb/debian/drizzle-client.install
	support-files/deb/debian/drizzle-dev-doc.doc-base
	support-files/deb/debian/drizzle-dev-doc.docs
	support-files/deb/debian/drizzle-dev-doc.links
	support-files/deb/debian/drizzle-doc.doc-base
	support-files/deb/debian/drizzle-doc.docs
	support-files/deb/debian/drizzle-doc.links
	support-files/deb/debian/drizzle-plugin-auth-file.install
	support-files/deb/debian/drizzle-plugin-auth-file.postinst
	support-files/deb/debian/drizzle-plugin-auth-http.install
	support-files/deb/debian/drizzle-plugin-auth-ldap.install
	support-files/deb/debian/drizzle-plugin-auth-pam.install
	support-files/deb/debian/drizzle-plugin-auth-schema.install
	support-files/deb/debian/drizzle-plugin-debug.install
	support-files/deb/debian/drizzle-plugin-dev.install
	support-files/deb/debian/drizzle-plugin-gearman-udf.install
	support-files/deb/debian/drizzle-plugin-http-functions.install
	support-files/deb/debian/drizzle-plugin-json-server.install
	support-files/deb/debian/drizzle-plugin-logging-gearman.install
	support-files/deb/debian/drizzle-plugin-logging-query.install
	support-files/deb/debian/drizzle-plugin-performance-dictionary.install
	support-files/deb/debian/drizzle-plugin-query-log.install
	support-files/deb/debian/drizzle-plugin-rabbitmq.install
	support-files/deb/debian/drizzle-plugin-regex-policy.install
	support-files/deb/debian/drizzle-plugin-simple-user-policy.install
	support-files/deb/debian/drizzle-plugin-slave.install
	support-files/deb/debian/drizzle.docs
	support-files/deb/debian/drizzle.init
	support-files/deb/debian/drizzle.install
	support-files/deb/debian/drizzle.preinst
	support-files/deb/debian/drizzle.upstart
	support-files/deb/debian/libdrizzledmessage-dev.install
	support-files/deb/debian/libdrizzledmessage0.install
	support-files/deb/debian/patches/
	support-files/deb/debian/patches/disable-intersphinx.patch
	support-files/deb/debian/patches/fix-user-option.patch
	support-files/deb/debian/patches/series
	support-files/deb/debian/rules
	support-files/deb/debian/slave.cfg
	support-files/deb/debian/source/
	support-files/deb/debian/source/format
	support-files/deb/debian/source/include-binaries
	support-files/deb/debian/watch
	support-files/rpm/
	support-files/rpm/BUILD/
	support-files/rpm/BUILDROOT/
	support-files/rpm/RPMS/
	support-files/rpm/SOURCES/
	support-files/rpm/SOURCES/conf.d/
	support-files/rpm/SOURCES/conf.d/auth-file.cnf
	support-files/rpm/SOURCES/conf.d/auth-http.cnf
	support-files/rpm/SOURCES/conf.d/auth-ldap.cnf
	support-files/rpm/SOURCES/conf.d/auth-pam.cnf
	support-files/rpm/SOURCES/conf.d/auth-schema.cnf
	support-files/rpm/SOURCES/conf.d/debug.cnf
	support-files/rpm/SOURCES/conf.d/filtered-replicator.cnf
	support-files/rpm/SOURCES/conf.d/gearman-udf.cnf
	support-files/rpm/SOURCES/conf.d/http-functions.cnf
	support-files/rpm/SOURCES/conf.d/json-server.cnf
	support-files/rpm/SOURCES/conf.d/logging-gearman.cnf
	support-files/rpm/SOURCES/conf.d/logging-query.cnf
	support-files/rpm/SOURCES/conf.d/mysql-protocol.cnf
	support-files/rpm/SOURCES/conf.d/pbms.cnf
	support-files/rpm/SOURCES/conf.d/query-log.cnf
	support-files/rpm/SOURCES/conf.d/rabbitmq.cnf
	support-files/rpm/SOURCES/conf.d/regex-policy.cnf
	support-files/rpm/SOURCES/conf.d/simple-user-policy.cnf
	support-files/rpm/SOURCES/conf.d/slave.cnf
	support-files/rpm/SOURCES/drizzle-2010.04.1513-bug572633.patch
	support-files/rpm/SOURCES/drizzle-2010.06.1607-protobuf.patch
	support-files/rpm/SOURCES/drizzle.cnf
	support-files/rpm/SOURCES/drizzle7-2011.01.07-tests.patch
	support-files/rpm/SOURCES/drizzled.cnf
	support-files/rpm/SOURCES/drizzled.init
	support-files/rpm/SOURCES/gen_plugin_configs_patch.sh
	support-files/rpm/SOURCES/plugin-configs.patch
	support-files/rpm/SPECS/
	support-files/rpm/SPECS/drizzle.spec.in
	support-files/rpm/SRPMS/
	modified:
	.bzrignore
	Makefile.am
	configure.ac
	m4/pandora_vc_build.m4
	support-files/include.am
	pending merge tips: (use -v to see all merge revisions)
	Henrik Ingo 2012-03-27 Adding a copyright license header to 2 files that didn't pass Jenkins

2012-03-27  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Adding a copyright license header to 2 files that didn't pass Jenkins
	copyright checks.

2012-03-27  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Remove drizzletrx from spec file, it is gone with the removal of
	Transaction Log.

2012-03-23  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Merge latest trunk

2012-03-12  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Remove Filtered replicator also from rpm builds. (Not tested yet.)

2012-03-11  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Need an empty commit to bump bzr revno that is use in make dist and 
	make deb versions. Sorry for the noise.

2012-03-11  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Need to commit current changes to get back to four digit, snapshot type
	version numbers for testing. Work continues towards 7.1.32-rc release.

2012-03-10  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Merge latest trunk

2012-02-29  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Update branch status in the README.

2012-02-26  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Go back to dashes in the version tag (7.1.31-rc).

2012-02-23  hingo  <hingo@drizzle-centos6>

	Add make srpm support. (Note: make rpm will also make the src.rpm.)
	
	Fix wrong variable name in pandora_vc_build that caused non-release
	~snapshot versioned rpm files to have no version number.

2012-02-23  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Merge tip from drizzle-7.1-packaging onto this Oneiric branch.

2012-02-20  hingo  <hingo@drizzle-centos6>

	merge lp:~drizzle-developers/drizzle/drizzle-7.1-packaging ie the 
	Squeeze and Oneiric fixes to these RPM fixes.

2012-02-20  Henrik Ingo  <hingo@drizzle-debian6>

	Merge changes from lp:~drizzle-developers/drizzle/drizzle-7.1-packaging
	ie the Oneiric fixes with my Debian 6 fixes.

2012-02-20  Henrik Ingo  <hingo@drizzle-debian6>

	When building on Debian, we need to delete the drizzle.upstart otherwise
	upstart-job becomes a dependency. We delete it from the makefile
	before starting dpkg-buildpackage.
	
	Make drizzle.init actually work. Our startup routine in real-world
	scenarios is incredibly buggy.
	
	Fix dependencies so this can be installed also on Debian 6. For instance
	pandora-build is not a build dependency, just Recommends.

2012-02-20  hingo  <hingo@drizzle-centos6>

	The 7.1.31-rc style versions were a bad idea for rpm, as it doesn't allow
	a dash in the version string. Tweak pandora_vc_build.m4 and the spec
	file to provide the "just numbers" version for rpm to consume.
	
	A "drizzled7" was left in the init script, so it didn't start anything.
	Now it's just "drizzled".
	
	Removed libdrizzle from spec file.

2012-02-23  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Support for signing packages. Packages are signed if $DEBEMAIL and
	$DEBFULLNAME match a key in your GPG keyring.
	
	make deb-source
	Just prepare the .changes .dsc .orig.tar.gz and .debian.tar.gz files
	but not binary packages. This is what you will upload to Launchpad
	PPA. You must provide $DEBEMAIL and $DEBFULLNAME with a valid
	gpg key.
	
	Changed to use 7.1.31~rc version tags instead of 7.1.31-rc. Using a dash
	is impossible in rpms and while it is possible for debian, it has side
	effects and is frowned upon.
	
	Appended ~oneiric1 to deb version so that same repo can contain debs
	for multiple distro versions.

2012-02-20  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Discovered new dependency in InnoDB (maybe just an Oneiric thing): 
	libcloog-ppl0
	
	make deb now works for Oneiric.

2012-02-19  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Merge the branch with libdrizzle 4:0:0 so version since it has now 
	been approved for trunk.

2012-02-15  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Merge trunk, this is the 7.1.31-rc. (Remember, this branch includes
	some enhancements to that beyond packaging.)

2012-02-15  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Revert OLDLIBDRIZZLE_LIBRARY_VERSION to 2.0.1 while we discuss what to do
	with it. (An RC was released, may not make sense to change it anymore.)

2012-02-15  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	My guesswork for what dh_strip does was a mistake, reverting it and 
	removing the other line instead.

2012-02-15  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Update the deb changelog with what we've just done.

2012-02-15  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Removed building libdrizzle and making libdrizzle packages.
	
	make deb (for Ubuntu) now works for 7.1.31. I think.

2012-02-13  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Merge lp:~hingo/drizzle/drizzle-libdrizzle-version-sync
	
	...just to get started.

2012-02-13  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	bump OLDLIBDRIZZLE_LIBRARY_VERSION to 4.0.0 since 2.0 is ambiguous
	and 1.0 and 3.0 are used.
	
	There is a parallel change in lp:libdrizzle that I will also push.

2012-02-11  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Added some text to explain where we are with the make deb and make rpm
	work, with link to the blueprint.

2012-02-11  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	merge newest trunk
	merge docs fixes lp:~hingo/drizzle/fix-make-html

2012-02-05  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	The issue with the .orig.tar.gz file was apparently a feature (but
	the error message could give more info...)
	
	http://www.debian.org/doc/debian-policy/ch-controlfields.html#s-f-Version 
	"The upstream_version may contain only alphanumerics[36] and the characters 
	. + - : ~ (full stop, plus, hyphen, colon, tilde) and should start with a 
	digit. If there is no debian_revision then hyphens are not allowed; "
	
	So we remove the workaround and add "-1" to the version string to serve
	as debian_revision.

2012-02-04  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Add epoch 1 to debian version. Needed when we go from 2012.y.z to
	7.1.z in release versions.

2012-02-04  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Append the "debian_revision" =  "-1" to the version string. This is
	required as upstream_version now includes a hyphen.

2012-02-03  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Merge fix from the branch that changes version number.

2012-02-03  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	dpkg-source (a step in building deb files) has a bug wrt our new
	7.1.31-rc versioning. It is looking for a ".orig.tar.gz" with the 
	wrong name. A good workaround is to make a copy using the wrong name :-)

2012-02-03  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Syncing with Tobias Frost (coldtobi) work.
	TODO:
	- init script found but still not packaged anywhere?
	- unclear whether priority should be optional or extra

2012-02-02  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	first sweep of drizzle7 to drizzle changes. More fixes to come as I test
	this.

2012-02-01  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Merge drizzle-its-called-7.1-... that changes version numbering for releases.

2012-01-27  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Ok, it helps a lot when you don't delete the plugin list pandora tries
	to read. Shouldn't copy paste code from people you meet on the internet :-)
	
	Minor corrections to make and .bzrignore.

2012-01-27  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	remove old garbage from make.

2012-01-27  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	merge latest trunk and integrate-packaging-rpm branches.

2012-01-27  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Merge latest trunk

2012-01-25  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Fix bug in make dist with rpms. BUILD directories would get into the
	tar ball even if they shouldn't.

2012-01-27  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Remove obsolete debug/informational message.

2012-01-26  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Make the deb build stuff "make deb" capable. This now kind of works,
	except that it doesn't. The debs start building fine, but 
	pandora-build errors out in the dpkg-buildpackage phase.

2012-01-24  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Wholesale import of the 2012.01.30 debian.tar.gz at
	https://launchpad.net/pkg-drizzle/trunk/2012.01.30
	plus small fixes based on feedback from cooltobi (of Debian).

2012-01-07  hingo  <hingo@drizzle-centos6>

	Fix: Also drizzled.cnf was from an old revision

2012-01-07  hingo  <hingo@drizzle-centos6>

	fix: previous drizzled.init fix was incomplete

2012-01-07  hingo  <hingo@drizzle-centos6>

	Somehow an old version of drizzled.init did sneak in. This is the 
	correct one.

2012-01-06  hingo  <hingo@drizzle-centos6>

	Fix: yet another copy paste error when copying from an earlier test branch.

2012-01-06  hingo  <hingo@drizzle-centos6>

	Fix: Forgot \ at end of line...

2012-01-06  hingo  <hingo@drizzle-centos6>

	stupid copy past that loses TABs...

2012-01-06  hingo  <hingo@drizzle-centos6>

	Seems like Brian has in parallel with this work committed some simple
	drizzle.spec into support files. Removing that. (rpmbuild cannot handle
	source tar files that contain more than one spec file.)
	
	Rename new drizzle7.spec to *.in and let ./configure insert name and 
	version of the release. Also insert a generic changelog entry with
	automatic date.
	
	Remove Brian's make rpm and add mine instead.

2012-01-06  hingo  <hingo@drizzle-centos6>

	mkdir pkg/rpm
	Copy contents of lp:~drizzle-developers/pkg-drizzle/drizzle7.rpm-dev (revno 94)
	Also include .bzrignore from that repository into our .bzrignore
	No other changes, just copy. Will do changes in separate commits.

2012-04-01  Vijay Samuel  <vjsamuel1990@gmail.com>

	Merge 7.1 stable release tag

2012-03-23  Vijay Samuel  <vjsamuel1990@gmail.com>

	Merge translations and release tag 7.1.32-rc

2012-03-23  Vijay Samuel  <vjsamuel1990@gmail.com>

	Merge release tag 7.1.32-rc

2012-03-23  Vijay Samuel  <vjsamuel1990@gmail.com>

	Merge translations

2012-03-12  Launchpad Translations on behalf of mordred

	Launchpad automatic translations update.

2012-03-11  Launchpad Translations on behalf of mordred

	Launchpad automatic translations update.

2012-03-02  Launchpad Translations on behalf of mordred

	Launchpad automatic translations update.

2012-03-01  Launchpad Translations on behalf of mordred

	Launchpad automatic translations update.

2012-02-29  Launchpad Translations on behalf of mordred

	Launchpad automatic translations update.

2012-02-25  Launchpad Translations on behalf of mordred

	Launchpad automatic translations update.

2012-03-21  Continuous Integration  <ci@tangent.org>

	added:
	plugin/regex_policy/tests/r/cache_overflow.result
	plugin/regex_policy/tests/t/cache_overflow-master.opt
	plugin/regex_policy/tests/t/cache_overflow.test
	modified:
	plugin/regex_policy/module.cc
	plugin/regex_policy/policy.h
	pending merge tips: (use -v to see all merge revisions)
	Clint Byrum 2012-03-16 fixing build failure caused by merge w/ trunk

2012-03-16  Clint Byrum  <clint@ubuntu.com>

	fixing build failure caused by merge w/ trunk

2012-03-15  Clint Byrum  <clint@ubuntu.com>

	merging with latest trunk

2011-03-14  Clint Byrum  <clint@ubuntu.com>

	\o/ Invalid write warning in valgrind solved by refactoring out misguided operator[] overload.

2011-03-13  Clint Byrum  <clint@ubuntu.com>

	simplify cache_overflow test to make it more repeatable

2011-03-11  Clint Byrum  <clint@ubuntu.com>

	oops -- need to clear lru list

2011-03-10  Clint Byrum  <clint@ubuntu.com>

	making cache_overflow cleanup after itself

2011-03-09  Clint Byrum  <clint@ubuntu.com>

	fixing -Wformat problems on 32-bits by casting bucket count size_t return to uint64_t

2011-03-09  Clint Byrum  <clint@ubuntu.com>

	removing RCU nonsense, and a lot of code that went with it

2011-03-09  Clint Byrum  <clint@ubuntu.com>

	remove confusing inheritance of boost::unordered_map

2011-03-09  Clint Byrum  <clint@ubuntu.com>

	simplifying / cleaning up code per XTF suggestions on #drizzle

2011-03-09  Clint Byrum  <clint@ubuntu.com>

	working, passes tests

2011-03-08  Clint Byrum  <clint@ubuntu.com>

	add LRU cache limiting to regex_policy

2011-03-08  Clint Byrum  <clint@ubuntu.com>

	actually use the cache the way it was intended to be used

2012-03-21  Continuous Integration  <ci@tangent.org>

	modified:
	docs/columntypes.rst
	docs/ipv6_data_type.rst
	plugin/ipv6_function/plugin.ini
	pending merge tips: (use -v to see all merge revisions)
	Brian Aker 2012-03-21 [merge] Merge docs

2012-03-21  Brian Aker  <brian@tangent.org>

	Merge docs

2012-03-19  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Update documentation for IPv6 with info from the white paper, plus some
	cleanup.

2012-03-21  Brian Aker  <brian@tangent.org>

	Merge: Henrik Ingo 2012-03-19 Disable ipv6_function. It crashes the server when called. It's not

2012-03-19  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Disable ipv6_function. It crashes the server when called. It's not
	documented, so I assume it is work in progress and "not supposed to be
	there".

2012-03-20  Continuous Integration  <ci@tangent.org>

	modified:
	drizzled/drizzled.cc
	pending merge tips: (use -v to see all merge revisions)
	Mohit 2012-03-20 Space between << and " and << modify.

2012-03-20  Mohit  <srivastavamohit91@gmail.com>

	Space between << and " and << modify.

2012-03-17  Mohit  <srivastavamohit91@gmail.com>

	Error message formating.

2012-03-17  Mohit  <srivastavamohit91@gmail.com>

	Bug:943657
	Various error messages like validation error , unknown option error is updated.

2012-03-18  Continuous Integration  <ci@tangent.org>

	modified:
	drizzled/drizzled.cc
	drizzled/main.cc
	plugin/signal_handler/signal_handler.cc
	pending merge tips: (use -v to see all merge revisions)
	Brian Aker 2012-03-17 [merge] Merge of create pid bug fix.

2012-03-17  Brian Aker  <brian@tangent.org>

	Merge of create pid bug fix.

2012-03-14  Brian Aker  <brian@tangent.org>

	We now create pid before we startup plugins, therefor allowing us to bail sooner in the process.

2012-03-18  Brian Aker  <brian@tangent.org>

	Merge in updated replication documentation.

2012-03-17  Daniel Nichter  <daniel@percona.com>

	Change slave plugin version from 1.0 to 1.1.

2012-03-17  Daniel Nichter  <daniel@percona.com>

	Fix typo.

2012-03-17  Daniel Nichter  <daniel@percona.com>

	Remove extra Authors field.

2012-03-17  Daniel Nichter  <daniel@percona.com>

	First complete rewrite of Drizzle replication documentation.

2012-03-16  Daniel Nichter  <daniel@percona.com>

	Continue rewriting Replication docs.

2012-03-16  Daniel Nichter  <daniel@percona.com>

	Fix header levels.  Centralize replication examples.

2012-03-15  Daniel Nichter  <daniel@percona.com>

	Continue rewriting Replication docs.  Need to fix header levels.

2012-03-15  Daniel Nichter  <daniel@percona.com>

	Continue rewriting Replication docs.  Need to fix header levels.

2012-03-15  Daniel Nichter  <daniel@percona.com>

	Continue rewriting Replication docs.  Need to fix header levels.

2012-03-15  Daniel Nichter  <daniel@percona.com>

	Continue rewriting Replication docs.

2012-03-14  Daniel Nichter  <daniel@percona.com>

	Continue rewriting Replication docs.

2012-03-14  Daniel Nichter  <daniel@percona.com>

	Merge trunk r2525.

2012-03-14  Daniel Nichter  <daniel@percona.com>

	Continue rewriting Replication docs.

2012-02-26  Daniel Nichter  <daniel@percona.com>

	Continue rewriting Replication docs.

2012-02-25  Daniel Nichter  <daniel@percona.com>

	Continue rewriting Replication docs.

2012-02-25  Daniel Nichter  <daniel@percona.com>

	Continue rewriting Replication docs.

2012-02-19  Daniel Nichter  <daniel@percona.com>

	Continue rewriting Replication docs.

2012-02-19  Daniel Nichter  <daniel@percona.com>

	Continue rewriting Replication docs.

2012-02-19  Daniel Nichter  <daniel@percona.com>

	Continue rewriting Replication docs.

2012-02-18  Daniel Nichter  <daniel@percona.com>

	Begin rewriting and unifying Replication documentation.

2012-03-18  Brian Aker  <brian@tangent.org>

	Merge Henrik's changes.

2012-03-18  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Update intro in AUTHORS.

2012-03-18  Brian Aker  <brian@tangent.org>

	Merge Authors.

2012-03-18  Olaf van der Spek  <olafvdspek@gmail.com>

	Add myself to AUTHORS.

2012-03-17  Continuous Integration  <ci@tangent.org>

	modified:
	AUTHORS
	pending merge tips: (use -v to see all merge revisions)
	Henrik Ingo 2012-03-17 Add myself to authors.

2012-03-17  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Add myself to authors.

2012-03-15  Continuous Integration  <ci@tangent.org>

	modified:
	tests/kewpie/randgen/lib/GenTest/Incident.pm
	tests/kewpie/randgen/lib/GenTest/Reporter/Backtrace.pm
	tests/kewpie/randgen/lib/GenTest/Reporter/ReplicationSemiSync.pm
	tests/kewpie/randgen/lib/GenTest/XML/BuildInfo.pm
	tests/kewpie/randgen/lib/GenTest/XML/Environment.pm
	tests/kewpie/randgen/lib/GenTest/XML/Report.pm
	tests/kewpie/randgen/lib/GenTest/XML/Test.pm
	tests/kewpie/randgen/lib/GenTest/XML/Transporter.pm
	tests/kewpie/randgen/pb2runtest.pl
	tests/kewpie/randgen/t/test.bat
	pending merge tips: (use -v to see all merge revisions)
	Olaf van der Spek 2012-03-14 Fix EOLs

2012-03-14  Olaf van der Spek  <olafvdspek@gmail.com>

	Fix EOLs

2012-03-14  Continuous Integration  <ci@tangent.org>

	Merging bzr://localhost/drizzle/show to Build branch

2012-03-14  Brian Aker  <brian@tangent.org>

	Fix for issue with redeclaration of function.

2012-03-10  Continuous Integration  <ci@drizzle.org >

	Merge staging tree to trunk.

2012-03-09  Continuous Integration  <ci@drizzle.org >

	http://jenkins.drizzle.org/job/promote-drizzle-build/13/

2012-03-09  Continuous Integration  <ci@drizzle.org >

	Merging https://code.launchpad.net/~hingo/drizzle/doc-7.1-installation/ to Build branch

2012-03-09  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Update docs with info about 7.1 packages.

2012-03-09  Continuous Integration  <ci@drizzle.org >

	Merge staging tree to trunk.

2012-03-08  Continuous Integration  <ci@drizzle.org >

	http://jenkins.drizzle.org/job/promote-drizzle-build/12/

2012-03-08  Continuous Integration  <ci@drizzle.org >

	Merging lp:~brianaker/drizzle/next-docs to Build branch

2012-03-07  Brian Aker  <brian@tangent.org>

	Fix documentation + strlen usage.

2012-03-07  Brian Aker  <brian@tangent.org>

	Fix a number of documentation errors.

2012-03-08  Continuous Integration  <ci@drizzle.org >

	Merge staging tree to trunk.

2012-03-08  Continuous Integration  <ci@drizzle.org >

	http://jenkins.drizzle.org/job/promote-drizzle-build/11/

2012-03-06  Continuous Integration  <ci@tangent.org>

	Merging bzr://localhost/drizzle/next to Build branch

2012-03-05  Brian Aker  <brian@tangent.org>

	Merge in pcrew's cleanup for transaction log.

2012-03-05  patrick crews  <gleebix@gmail.com>

	Remove further reference to transaction log and related tools in test code (randgen + kewpie/dbqp)

2012-03-05  Brian Aker  <brian@tangent.org>

	Doc updates

2012-03-06  Continuous Integration  <ci@drizzle.org >

	Merge staging tree to trunk.

2012-03-05  Continuous Integration  <ci@drizzle.org >

	Merge build tree to staging tree.

2012-03-05  Continuous Integration  <ci@tangent.org>

	Merging bzr://gaz.tangent.org/drizzle/strlen to Build branch

2012-03-04  Brian Aker  <brian@tangent.org>

	Merge in move to push strlen() out (so that in a future step we can just store length and not calculate):w
	Dx
	ddd:x

2012-03-05  Continuous Integration  <ci@drizzle.org >

	Merge staging tree to trunk.

2012-03-04  Continuous Integration  <ci@drizzle.org >

	Merge build tree to staging tree.

2012-03-04  Continuous Integration  <ci@drizzle.org >

	Merging lp:~patrick-crews/drizzle/bug946810 to Build branch

2012-03-04  patrick crews  <gleebix@gmail.com>

	Update include.am to include proper file name

2012-03-04  patrick crews  <gleebix@gmail.com>

	Updates to kewpie/dbqp infrastructure to account for removal of transaction log plugin.  We now make this an optional rather than required part of the tree

2012-03-04  patrick crews  <gleebix@gmail.com>

	Update of test code to make the transaction log reader tool, drizzletrx, an optional (not required) part of a Drizzle tree

2012-03-04  Continuous Integration  <ci@drizzle.org >

	Merge staging tree to trunk.

2012-03-04  Continuous Integration  <ci@drizzle.org >

	Merge build tree to staging tree.

2012-03-04  Brian Aker  <brian@tangent.org>

	Merge Joe

2012-03-04  Joseph Daly  <skinny.moey@gmail.com>

	fix 946058 slave plugin applies own changes in master master setup

2012-03-04  Continuous Integration  <ci@drizzle.org >

	Merge staging tree to trunk.

2012-03-04  Continuous Integration  <ci@drizzle.org >

	Merge build tree to staging tree.

2012-03-04  Continuous Integration  <ci@tangent.org>

	Merge test tree with build tree.

2012-03-04  Brian Aker  <brian@tangent.org>

	Fix performance regression introduced with catalog being added to key.

2012-03-04  Continuous Integration  <ci@drizzle.org >

	Merge staging tree to trunk.

2012-03-04  Continuous Integration  <ci@drizzle.org >

	Merge build tree to staging tree.

2012-03-04  Brian Aker  <brian@tangent.org>

	Merge lp:~dshrews/drizzle/fix-get-next-exception

2012-03-02  David Shrewsbury  <shrewsbury.dave@gmail.com>

	Bug fix: actually return the next exception in Exception::getNextException().

2012-03-04  Brian Aker  <brian@tangent.org>

	Merge lp:~dshrews/drizzle/bug941176

2012-03-03  David Shrewsbury  <shrewsbury.dave@gmail.com>

	Merge trunk

2012-03-03  David Shrewsbury  <shrewsbury.dave@gmail.com>

	Fix for execute parser to recognize escaped semicolons.

2012-03-04  Continuous Integration  <ci@drizzle.org >

	Merge staging tree to trunk.

2012-03-03  Continuous Integration  <ci@drizzle.org >

	Merge build tree to staging tree.

2012-03-03  Brian Aker  <brian@tangent.org>

	Update autorun script.

2012-03-03  Brian Aker  <brian@tangent.org>

	Merge with tree to drop dead plugins.

2012-03-02  Brian Aker  <brian@tangent.org>

	Remove dead plugins.

2012-03-02  Continuous Integration  <ci@drizzle.org >

	Merge staging tree to trunk.

2012-03-02  Continuous Integration  <ci@drizzle.org >

	Merge build tree to staging tree.

2012-03-01  Continuous Integration  <ci@tangent.org>

	Merge test tree with build tree.

2012-03-01  Brian Aker  <brian@tangent.org>

	Final fix for docs.

2012-03-01  Brian Aker  <brian@tangent.org>

	Doc fix

2012-03-01  Brian Aker  <brian@tangent.org>

	Fix for documentation breakage for strict rst check.

2012-03-01  Brian Aker  <brian@tangent.org>

	Merge of patrick

2012-02-20  Patrick Crews  <gleebix@gmail.com>

	Merge trunk

2012-02-20  Patrick Crews  <gleebix@gmail.com>

	Updated tests/include.am to account for removal of file-based trx log randgen suite

2012-02-20  Patrick Crews  <gleebix@gmail.com>

	Fixed various options / settings to get drizzle tests running as we would like.  Removed trx_log randgen suite as discussions have indicated removal of that plugin to be happening soon

2012-02-10  Patrick Crews  <gleebix@gmail.com>

	Updates to tests/include.am to remove unused makedist target 

2012-02-09  Patrick Crews  <gleebix@gmail.com>

	Merge trunk

2012-02-09  Patrick Crews  <gleebix@gmail.com>

	Updated make targets a bit to emulate current ones

2012-02-08  Patrick Crews  <gleebix@gmail.com>

	Updates to kewpie + test cases

2012-02-08  Patrick Crews  <gleebix@gmail.com>

	Stripped down much, much, much bulk from the kewpie tree

2012-02-01  Patrick Crews  <gleebix@gmail.com>

	Added kewpie doc

2012-01-30  Patrick Crews  <gleebix@gmail.com>

	Updated docs

2012-01-30  Patrick Crews  <gleebix@gmail.com>

	Removed mysql/percona upgrade datadirs

2012-01-05  Patrick Crews  <gleebix@gmail.com>

	Redo of kewpie merge.  Leaving dbqp in tree as a transition

2011-12-30  Patrick Crews  <gleebix@gmail.com>

	Added test data file + update / fix of test case (couldn't run w/ --repeat=2)

2011-12-29  Patrick Crews  <gleebix@gmail.com>

	Porting of xtrabackup test suite to kewpie format

2011-12-28  patrick crews  <gleebix@gmail.com>

	Fix of adding tar4ibd to PATH.  Needed the dirname, not the binary : (

2011-12-28  patrick crews  <gleebix@gmail.com>

	Updates to system to add tar4ibd binary to PATH if one is provided.  This is to facilitate xtrabackup testing

2011-12-22  patrick crews  <gleebix@gmail.com>

	Merge fix of lp:907957

2011-12-22  patrick crews  <gleebix@gmail.com>

	Fix for lp:907957.  The test runner could generate a socket file path that exceeded MySQL's limit of 107 characters.  Now, for such cases, we copy the MTR trick of creating a path in /tmp.  Our path is currently uuid_botN.sM.sock, where N = the executor id, and M = the server number

2011-12-21  Patrick Crews  <gleebix@gmail.com>

	Merge trunk

2011-12-20  Patrick Crews  <gleebix@gmail.com>

	Merge from randgen trunk

2011-12-19  Patrick Crews  <gleebix@gmail.com>

	Consolidated two test modules into one

2011-12-16  Patrick Crews  <gleebix@gmail.com>

	Added 5.1 and percona 5.1 test beds.  Might remove later, but trying things out for now

2011-12-16  Patrick Crews  <gleebix@gmail.com>

	Added upgrade test cases that use datadirs generated by other server versions.  We try to use a previous version and a current version's datadir.  Also includes code to allow for running mysql-5.0 servers.

2011-12-21  Patrick Crews  <gleebix@gmail.com>

	Tweak replace test cases and updated existing tests to fix minor errors

2011-12-14  patrick crews  <gleebix@gmail.com>

	Merge randgen cluster test changes

2011-12-14  Patrick Crews  <gleebix@gmail.com>

	Tweaks to randgen cluster tests and addition of suite_config file

2011-12-14  patrick crews  <gleebix@gmail.com>

	Fix of commit file import : (

2011-12-14  patrick crews  <gleebix@gmail.com>

	Refactored existing cluster tests to use suite-wide config and added new test cases

2011-12-13  Patrick Crews  <gleebix@gmail.com>

	Updated crashme tests to use batch mode.  This is a bit of a whiff as the crashme test will just die on errors (rather than trying to continue).  However, this solves the problem of endless timeouts on failures without a lot of time.  Attempts at interacting with the crashme subproc's stdin /stdout were proving unreliable and problematic

2011-12-12  Patrick Crews  <gleebix@gmail.com>

	Tweaks to innodbCrash2 test case

2011-12-12  Patrick Crews  <gleebix@gmail.com>

	Updates / polish for the innodb crash suite

2011-12-12  patrick crews  <gleebix@gmail.com>

	Tweaked crash tests to use a suite-wide config file. This allows for easier tweaks to all tests within a suite.  Created base crash test case to clean up individual test case modules / store common code in one location.  Added test-debug output to test cases (vs. dumb print stmts) and incorporated use of randgen-seed option to avoid needing random variants (can just change seed and shuffle all tests that are equipped to change with seed value)

2011-12-12  Patrick Crews  <gleebix@gmail.com>

	Initial work on making suites config-file-tunable (for ease of test-tweaking)

2011-12-09  patrick crews  <gleebix@gmail.com>

	Initial code to allow for the use of a suite-wide config file that defines common attributes for related tests

2011-12-09  Patrick Crews  <gleebix@gmail.com>

	Added initial innodb crash tests + randgen grammars

2011-12-07  Patrick Crews  <gleebix@gmail.com>

	Updated handling code to start a server with a pre-loaded datadir

2011-12-07  Patrick Crews  <gleebix@gmail.com>

	Catch annoying error and exit if we hit it

2011-12-07  Patrick Crews  <gleebix@gmail.com>

	Minor updates to Drizzle log file name + cosmetic tweaks

2011-12-07  patrick crews  <gleebix@gmail.com>

	Merge trunk - many updates to drizzle test cases

2011-12-06  Patrick Crews  <gleebix@gmail.com>

	Fix typo : (

2011-12-06  Patrick Crews  <gleebix@gmail.com>

	Update location of datadir to be appropriate (in workdir/qp_data)

2011-12-06  Patrick Crews  <gleebix@gmail.com>

	Added placeholder for dbqp in docs

2011-12-06  Patrick Crews  <gleebix@gmail.com>

	Updates of drizzle test cases to deal with refactoring.  Setting no-secure-file-priv when not using mtr/dtr now as well

2011-12-07  patrick crews  <gleebix@gmail.com>

	Refactored option parsing to allow for more flexibility in merging into other trees.  Makes this work easier and handles important directory detection better this way

2011-12-05  Patrick Crews  <gleebix@gmail.com>

	Remove unused option / attribute from system_management

2011-12-05  patrick crews  <gleebix@gmail.com>

	Update of docs + rename of dbqp to something not so hard on the fingers, eyes, and auto-complete : )

2011-12-01  Patrick Crews  <gleebix@gmail.com>

	Tweaks to mysqldump merge, port of updates to BaseTestCase + test updates

2011-12-01  Patrick Crews  <gleebix@gmail.com>

	Merge longbow's updates to mysqldump utility method.  We dump to a result file vs. dumping to stdout to avoid portability issues and be cleaner in how we do things

2011-12-01  Valentine Gostev  <core.longbow@gmail.com>

	Modified take_mysqldump to use --restult-file rather than stdout

2011-11-30  Patrick Crews  <gleebix@gmail.com>

	Finished tweaking server objects for greater control + setup of replication slaves : )

2011-11-30  Patrick Crews  <gleebix@gmail.com>

	Additional work and fixes to move server control to the Server objects.  This enables more interesting setup options

2011-11-30  patrick crews  <gleebix@gmail.com>

	Tweaks to server handling to allow more flexible and interesting things to be done in tests

2011-11-29  Patrick Crews  <gleebix@gmail.com>

	Re-add crashing grammar

2011-11-29  Patrick Crews  <gleebix@gmail.com>

	Redo premature removal of bug test + workaround in main suite : (

2011-11-29  Patrick Crews  <gleebix@gmail.com>

	Updates for galera.  Handling of IST addresses + test updates (re-enabled test of ROLLBACK TO SAVEPOINT)

2011-11-29  Patrick Crews  <gleebix@gmail.com>

	Added new randgen grammar

2011-11-29  Patrick Crews  <gleebix@gmail.com>

	Ported in Vadim's fixes to Percona / Galera servers (query-cache-size=0).  Also enabled auto-find and add to PATH for wsrep_sst scripts for galera trees.  Also fixed IST address issue

2011-11-28  Patrick Crews  <gleebix@gmail.com>

	Added test case for --galera-info option for xtrabackup and rejiggered existing tests slightly

2011-11-28  Patrick Crews  <gleebix@gmail.com>

	Added subunit output for test runs (native mode only so far)

2011-11-23  Patrick Crews  <gleebix@gmail.com>

	Removed debugging bits from basic_test and rejiggered slave_test to use check_slave_by_query

2011-11-22  Patrick Crews  <gleebix@gmail.com>

	Fix error in test refactor

2011-11-22  Patrick Crews  <gleebix@gmail.com>

	Refactor, speed up of test execution, and reorg of test cases

2011-11-21  Patrick Crews  <gleebix@gmail.com>

	Rename of directories

2011-11-18  Patrick Crews  <gleebix@gmail.com>

	Added test case to add a new node to an already-populated cluster

2011-11-18  Patrick Crews  <gleebix@gmail.com>

	Defanged translog_concurrent1.yy to not use ROLLBACK TO SAVEPOINT as it breaks things : )

2011-11-18  Patrick Crews  <gleebix@gmail.com>

	Added tests of DROP functionality

2011-11-18  Patrick Crews  <gleebix@gmail.com>

	Added rollback tests

2011-11-17  Patrick Crews  <gleebix@gmail.com>

	Added tests of various ALTER TABLE operations

2011-11-16  Patrick Crews  <gleebix@gmail.com>

	Updates to system to run servers with galera replication + tests

2011-11-14  Patrick Crews  <gleebix@gmail.com>

	Tweaks to cluster test + randgen gendata file

2011-11-11  Patrick Crews  <gleebix@gmail.com>

	Merge trunk

2011-11-11  patrick crews  <gleebix@gmail.com>

	Cleanup of query_cache test case

2011-11-11  patrick crews  <gleebix@gmail.com>

	Moved crashing test cases to randgen_bugs suite + cleanup of test cases

2011-11-11  Patrick Crews  <gleebix@gmail.com>

	Added support for Galera-based mysql servers / clusters and added a basic test case

2011-11-01  patrick crews  <gleebix@gmail.com>

	Work on repeating bug 826632.  Test case fails, but only with 7 schemas, 100 tables per schema (table rows = 1-100), and xtrabackup --parallel=50.  Reducing schemas, or --parallel value results in a passing test : /

2011-11-01  patrick crews  <gleebix@gmail.com>

	Added some test cases for bugs / bug-hunting in xtrabackup, particularly passing bad values to the --parallel option

2011-11-01  patrick crews  <gleebix@gmail.com>

	Better way to use helgrind with testing

2011-10-31  patrick crews  <gleebix@gmail.com>

	Merge stewart's work on bug856404 query_cache_strip_comments

2011-10-31  Stewart Smith  <stewart@flamingspork.com>

	add randgen test case for query_cache_strip_comments with odd quote escaping

2011-10-31  patrick crews  <gleebix@gmail.com>

	Merge stewart's work on reproducing bug 758788 (innodb_dict_size_limit)

2011-10-31  Stewart Smith  <stewart@flamingspork.com>

	modify innodb_dict_size test  to set server options so we are able to reproduce a crash within a few seconds

2011-10-31  patrick crews  <gleebix@gmail.com>

	initial test for innodb_dict_size_limit bug

2011-10-28  Patrick Crews  <gleebix@gmail.com>

	Updated slave test so that we also ensure replication is working between master and slave (simple check)

2011-10-28  Patrick Crews  <gleebix@gmail.com>

	Update of assertion to check slave status vs. master

2011-10-28  Patrick Crews  <gleebix@gmail.com>

	Spawning a slave from a master xtrabackup and replicating from there : )

2011-10-27  Patrick Crews  <gleebix@gmail.com>

	Additional progress on testing our ability to spwan a slave via xtrabackup

2011-10-27  patrick crews  <gleebix@gmail.com>

	Initial work on 'spawn a slave via xtrabackup' test

2011-10-27  patrick crews  <gleebix@gmail.com>

	Allowing that we might not have direct control over server code, we can read in a config of running servers + minor tweaks

2011-10-26  Patrick Crews  <gleebix@gmail.com>

	Cleanup of xtrabackup tests

2011-10-26  patrick crews  <gleebix@gmail.com>

	Work on cleaning up xtrabackup tests

2011-10-26  Patrick Crews  <gleebix@gmail.com>

	Initial xtrabackup test working.

2011-10-26  patrick crews  <gleebix@gmail.com>

	Tweaks for xtrabackup + mysql cnf files

2011-10-26  Patrick Crews  <gleebix@gmail.com>

	Updated --gendata option for MySQL & Percona Servers + additonal xtrabackup work

2011-10-26  patrick crews  <gleebix@gmail.com>

	Initial xtrabackup test + code to make it happen

2011-10-22  patrick crews  <gleebix@gmail.com>

	Merge trunk

2011-10-20  Patrick Crews  <gleebix@gmail.com>

	Rename of directories

2011-10-22  patrick crews  <gleebix@gmail.com>

	Added handling for non-existent pid file for new kill_pid() method - eg server crashed

2011-10-20  patrick crews  <gleebix@gmail.com>

	Tweaks to drizzle randgen tests

2011-10-20  patrick crews  <gleebix@gmail.com>

	Finish migration of drizzle randgen tests to native mode

2011-10-20  patrick crews  <gleebix@gmail.com>

	Migrated drizzle innodb trx log tests to unittest mode

2011-10-19  patrick crews  <gleebix@gmail.com>

	Minor fix of output management

2011-10-19  patrick crews  <gleebix@gmail.com>

	Remove outdated / retired code

2011-10-19  patrick crews  <gleebix@gmail.com>

	Added crashme and sqlbench suites / made them unittest mode

2011-10-19  patrick crews  <gleebix@gmail.com>

	Tweaks and improvements.  Made randgen mode move to native mode (randgen runs = python unittest modules)

2011-10-18  patrick crews  <gleebix@gmail.com>

	Updated example test - we can pass our servers and other relevant objects to a test case : )

2011-10-18  patrick crews  <gleebix@gmail.com>

	Initial docs merge

2011-10-13  patrick crews  <gleebix@gmail.com>

	Native mode working...mostly

2011-10-13  patrick crews  <gleebix@gmail.com>

	Code to introduce native (unittest / python module) mode

2011-10-13  patrick crews  <gleebix@gmail.com>

	Further progress on using mysql / percona trees + creation of randgen tests / grammar dir for percona

2011-10-12  patrick crews  <gleebix@gmail.com>

	Further tweaks for mysql / percona goodness

2011-10-10  patrick crews  <gleebix@gmail.com>

	Additional code to run mysql+percona servers

2011-10-05  patrick crews  <gleebix@gmail.com>

	Initial branch

2012-02-29  Continuous Integration  <ci@drizzle.org >

	Merge build tree to staging tree.

2012-02-29  Brian Aker  <brian@tangent.org>

	Merge.

2012-02-27  Continuous Integration  <ci@tangent.org>

	Merge test tree with build tree.

2012-02-29  Brian Aker  <brian@tangent.org>

	Rollup changes around plugin naming.

2012-02-28  Brian Aker  <brian@tangent.org>

	Update test result for Rabbit.

2012-02-27  Brian Aker  <brian@tangent.org>

	Update POT file.

2012-02-27  Brian Aker  <brian@tangent.org>

	Merge of plugin renaming.

2012-02-17  Daniel Nichter  <daniel@percona.com>

	Merge trunk r2512.

2012-01-27  Daniel Nichter  <daniel@percona.com>

	Fix plugin name in transaction_log/tests/t/bug911643-master.opt.

2012-01-27  Daniel Nichter  <daniel@percona.com>

	Merge trunk at r2496.

2012-01-15  Daniel Nichter  <daniel@percona.com>

	Standarize plugin names.

2012-01-15  Daniel Nichter  <daniel@percona.com>

	Wrap all module descriptions in N_().

2012-01-15  Daniel Nichter  <daniel@percona.com>

	Make math_functions load by default again.  Change --allow-all-authentication.allow_anonymous to --auth-all.allow-anonymous in test opt files.  Change allow_anonymous to allow-anonymous in auth_all.cc.  Update some test results to reflect new module names.

2012-01-14  Daniel Nichter  <daniel@percona.com>

	Update every plugin's description and standardize the module names.

2012-01-14  Daniel Nichter  <daniel@percona.com>

	Remove title, description, author, and license from all plugin.ini.  This metadata is now only in each plugin's DRIZZLE_DECLARE_PLUGIN.

2012-01-14  Daniel Nichter  <daniel@percona.com>

	Change plugins using DRIZZLE_PLUGIN to DRIZZLE_DECLARE_PLUGIN.

2012-02-17  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/fix-libdrizzle-version

2012-02-17  Brian Aker  <brian@tangent.org>

	Fix version information around libdrizzle.

2012-02-15  Mark Atwood  <me@mark.atwood.name>

	merge lp:~laurynas-biveinis/drizzle/bug911948

2012-02-02  Laurynas Biveinis  <laurynas.biveinis@percona.com>

	Fix bug 911948: a typo in assertion causing false positive failure
	with log > 4GB.
	
	The typo was introduced while porting from Percona Server XtraDB: the
	original code was
	
	if (sizeof(ulint) == 4) {
	ut_a(offset < (((ib_int64_t) 1) << 32)); /* offset must be < 4 GB */
	}
	
	which got ported as
	
	ut_a((sizeof(ulint) == 4) || (offset < (((ib_int64_t) 1) << 32)));
	
	while it should have been
	
	ut_a((sizeof(ulint) != 4) || (offset < (((ib_int64_t) 1) << 32)));

2012-02-15  Mark Atwood  <me@mark.atwood.name>

	merge lp:~vjsamuel/drizzle/translations-and-rc-tag

2012-02-15  Vijay Samuel  <vjsamuel1990@gmail.com>

	Merge tag for release candidate

2012-02-15  Vijay Samuel  <vjsamuel1990@gmail.com>

	Merge translations

2012-01-31  Launchpad Translations on behalf of mordred

	Launchpad automatic translations update.

2012-01-30  Launchpad Translations on behalf of mordred

	Launchpad automatic translations update.

2012-02-13  Mark Atwood  <me@mark.atwood.name>

	update and sort po/POTFILES.in

2012-02-13  Mark Atwood  <me@mark.atwood.name>

	merge lp:~stewart/drizzle/bug709506

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	Port fix for MySQL bug 37830: In some cases ORDER BY DESC doesn't work 

2012-02-13  Mark Atwood  <me@mark.atwood.name>

	merge lp:~stewart/drizzle/bug621851

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	remove binlog references in sql_update.cc

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	remove binlog references in statement/alter_table.cc

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	remove binlog references in sql_delete.cc

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	remove binlog from information about OPTION_ flags in common.h

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	remove reference to binlog that was in common.h

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	remove a long comment in sql_insert.cc that was about binlog interaction.

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	binlog doesn't exist, therefor cannot have an influence on user variables

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	yet another old useless old binlog comment - remove it. there is no binlog to coordinate writing DDL o.

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	another old useless old binlog comment - remove it.

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	useless old binlog comment - remove it.

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	remove binlog reference in xa_resource_manager error message, which also exposed the fact that opt_tc_log_file was completely unused, so remove it too.

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	A giant comment about auto_inc and mysql binlogs was taking up space lying to people.

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	yet another very out of date binlog reference regarding auto_inc and mysql binlog

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	another very out of date binlog reference in cursor.cc regarding log_row_for_replication()

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	remove very out of date binlog references in AUTO_INC 'documentation' in cursor.cc

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	remove ancient comment about binlog row_based_if_mixed from Create_func

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	remove ancient comment about RBR and flushing of old mysql binlog events

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	remove ancient commented out #error referring to binlog getting XA

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	remove a comment that's irrelevant now that statement based binlogging is gone - flush::reloadCache doesn't need to think about statement based binlogging.

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	remove a comment that's irrelevant now that statement based binlogging is gone.

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	rename HA_ERR_RBR_LOGGING_FAILED to HA_ERR_LOG_ROW_FOR_REPLICATION_FAILED and move error string over to drizzled/ha_commands.cc rather than plugin/myisam/my_handler_errors.cc as it has nothing to do with MyISAM.

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	rename ER_BINLOG_ROW_LOGGING_FAILED to ER_LOG_ROW_FOR_REPLICATION_FAILED as this is a better name for the Drizzle error as 'binlog' is not a Drizzle term.

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	remove references to binlog in client/drizzletest.cc - which involves getting rid of the old sync_master foo that was never used in Drizzle anyway.

2012-02-13  Mark Atwood  <me@mark.atwood.name>

	merge lp:~stewart/drizzle/bug744206

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	update MySQl Differences documentation as to the current state of Drizzle Storage Engines

2012-02-13  Mark Atwood  <me@mark.atwood.name>

	merge lp:~stewart/drizzle/bug920900

2012-02-12  Stewart Smith  <stewart@flamingspork.com>

	add option to simple_user_policy to remap a . to another character/string. This helps people with users with a . in the name map it to an _ so that schema names don't have to always be quoted

2012-02-13  Mark Atwood  <me@mark.atwood.name>

	merge lp:~stewart/drizzle/myisam-and-console-docs

2012-02-11  Stewart Smith  <stewart@flamingspork.com>

	document console plugin options

2012-02-11  Stewart Smith  <stewart@flamingspork.com>

	add some docs for console plugin

2012-02-11  Stewart Smith  <stewart@flamingspork.com>

	modify MyISAM description in DRIZZLE_PLUGIN definition to match description in plugin.ini and be more representative of what MyISAM is in Drizzle

2012-02-13  Mark Atwood  <me@mark.atwood.name>

	merge lp:~hingo/drizzle/fix-make-html

2012-02-12  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Include generation of docs into make test, so it is actually routinely 
	tested. Hopefully we'll catch broken docs more often with this.

2012-02-10  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	* A lot of the docs were missing from the source tarball.
	* Also plugins.rst contained two links to plugin docs that didn't exist.
	So make html has also been broken from bzr (mea culpa! ...or maybe we 
	changed to some stricter mode only recently. I wish...)

2012-02-08  Mark Atwood  <me@mark.atwood.name>

	merge lp:~hingo/drizzle/drizzle-7.1.x-versioning-plus-all-fixes

2012-02-09  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	One dangling file to rename. (configure.ac already expects the non-7 file)

2012-02-08  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	merge lp:~hingo/drizzle/drizzle-drizzledump-and-other-version-fixes

2012-02-07  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Previous fix to server detection then only works against 7.1 series and
	wouldn't correctly identify Drizzle 2011.xx.yy series. Now tests both
	separetely.

2012-02-05  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	ServerDetect assumes that Drizzle servers use versions 20xx.yy.zz and
	this breaks when we want to use version numbers 7.1.x.
	This fix simply changes the regexp to classify <= 6 as MySQL and
	>= 7 as Drizzle. This needs to be fixed properly in a later commit, but
	this should allow us to release an rc now.

2012-02-05  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	select ... /*!72301 ... */ produces different result when we use 7.1.x
	versioning. This in fact restores what the test has been doing originally.

2012-02-08  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	re-apply lp:~hingo/drizzle/drizzle-the-version-is-7.1-not-a-date-and-certainly-not-7

2012-02-07  Mark Atwood  <me@mark.atwood.name>

	revert rename drizzle.pc.in drizzle7.pc.in

2012-02-04  Mark Atwood  <me@mark.atwood.name>

	reverse patch previous

2012-02-03  Mark Atwood  <me@mark.atwood.name>

	merge lp:~hingo/drizzle/drizzle-the-version-is-7.1-not-a-date-and-certainly-not-7

2012-02-03  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Changing the version information for symbols was a mistake and 
	causes grief especially in debian packaging. We will continue
	to call the ABI as "DRIZZLE7" for now.

2012-01-31  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	1) Add support for using the descriptive appendixes -stable, -rc, -beta,
	-alpha and -milestone in bzr tags used to tag releases. 
	
	Example: 
	bzr tag 7.1.31-beta
	produces
	drizzle-7.1.31-beta.tar.gz
	
	In particular, a later non-release build from the bzr source tree will
	correctly remove the appendix to produce a version like: 7.1.31.2501-snapshot
	
	Oh yes, non-release builds automatically append -snapshot.
	
	If you continue to do non-appendix tags like 7.1.31 then things will
	also just continue to work.
	
	2) Allow to use single digit minor version (2) and build number (3).
	(I also allow you to use single digit major version (1) but there is
	no code that does anything special about that...)
	
	Example
	bzr tag 1.2.3
	
	Will produce PANDORA_RELEASE_ID 10203
	which in turn will make this value appear in the drizzled variable
	release_id.
	
	Previously the version numbers had to always be the same amount of
	digits, we used yyyy.mm.bb
	
	This is important since release id's without the prepended zeroes
	would have been ambiguous:
	1.2.34 -> 1234
	1.23.4 -> 1234
	
	It is still allowed to continue using always double digit versions:
	bzr tag 1.02.03
	We should be consistent in always using either or.

2012-01-30  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Pandora-build is designed to create release version numbers with
	3 levels: xx.yy.zz. A tarball with such a release number is created
	automatically if a bzr tag with such a number is present:
	
	bzr tag xx.yy.zz
	config/autorun.sh && ./configure && make dist
	
	...would generate drizzle-xx.yy.zz.tar.gz
	
	Our process then goes on to test this tarball, publish it,
	commit the tag and push it to trunk.
	
	In particular, xx.yy.zz is taken from the output of 
	
	bzr tags -r-1
	
	If no tag is present in the current uncommitted working tree, then
	a four-level version number is generated, with the last number being
	the output of `bzr revno`:
	
	drizzle-xx.yy.zz.revno.tar.gz
	
	This commit adds support for an alternative use case: If you have a bzr
	branch where the most recent commit includes the tag, and you haven't
	done any changes to the branch (brz diff outputs nothing), then make
	dist will also generate a 3 level version numbered tar ball.
	
	This enables a process where we use Jenkins to do our source releases:
	
	- Check that latest runs in Jenkins are all passing.
	- Do bzr tag xx.yy.zz, commit and push to trunk.
	- Have a coffee while Jenkins creates a tar ball.
	- Take a copy of the tar ball from Jenkins and publish it.

2012-01-29  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Previous sweep seems to work bueno. Just update .bzrignore with 2 new
	filenames and we are done with the first step.

2012-01-29  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	First sweep: Move any occurence of drizzle7 in any kind of file to
	just drizzle, and the same for drizzled7 to drizzled. Then do the same for 
	filenames. In the makefile some symlinking of drizzled vs drizzled7 can
	simply be removed now.
	
	This commit doesn't include any testing yet.

2012-02-02  Mark Atwood  <me@mark.atwood.name>

	must have license text on all files

2012-02-02  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/autoconf-foo-update

2012-01-29  Brian Aker  <brian@tangent.org>

	Fix unix domain socket to not require that we keep the addr structure sitting around.

2012-01-29  Brian Aker  <brian@tangent.org>

	Fix NI_SERV

2012-01-29  Brian Aker  <brian@tangent.org>

	Update pkg, add in win32 fix.

2012-01-29  Mark Atwood  <me@mark.atwood.name>

	merge lp:~mhrheaume/drizzle/bug-804570

2012-01-18  Matthew Rheaume  <mhrheaume@gmail.com>

	Added support for a CURTIME() function, which returns the current tiem in the form HHMMSS or HH:MM:SS depending on the context.

2012-01-27  Mark Atwood  <me@mark.atwood.name>

	merge lp:~hingo/drizzle/drizzle-warn-if-libv8-missing

2012-01-26  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	JS Plugin: Print warning if libv8.so is not found in configure.
	
	I noticed other plugins are doing this and copied from there.
	Btw: As far as I'm concerned this should be a feature of pandora-build itself.

2012-01-23  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/catalog-errors-to-error-system

2012-01-19  Brian Aker  <brian@tangent.org>

	Update error message logging in catalog.

2012-01-22  Mark Atwood  <me@mark.atwood.name>

	merge lp:~hingo/drizzle/drizzle-rescue-drizzle_password_hash

2012-01-13  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	bin/drizzle_password_hash wasn't built anymore, this is referred to in
	auth_ldap documentation. Move source file to client/ and add it back
	to bin_PROGRAMS there.

2012-01-20  Mark Atwood  <me@mark.atwood.name>

	merge lp:~daniel-nichter/drizzle/fix-bug-916567

2012-01-14  Daniel Nichter  <daniel@percona.com>

	Remove invalid semicolon from end of while().

2012-01-15  Mark Atwood  <me@mark.atwood.name>

	merge lp:~stewart/drizzle/bug911643

2012-01-16  Stewart Smith  <stewart@flamingspork.com>

	fix drizzledump_restore test failure with bug911643 test merged as we used test/ to put our txn log in, which really doesn't work when you later want to DROP SCHEMA test

2012-01-04  Stewart Smith  <stewart@flamingspork.com>

	fix handling of transaction log path in PRINT_TRANSACTION_MESSAGE
	
	If your transaction log is not in DATADIR/transaction.log and you call PRINT_TRANSACTION_MESSAGE("foo/transaction.log") the code would attempt to open DATADIR/transaction.log instead of foo/transaction.log, leading to an error.

2012-01-14  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/shift-out-enum-libdrizle

2012-01-12  Brian Aker  <brian@tangent.org>

	Push out a couple of defines.

2012-01-14  patrick crews  <gleebix@gmail.com>

	Tagged 2012.01.30 release

2012-01-14  patrick crews  <gleebix@gmail.com>

	Merge vijay's translations update + tarball release

2012-01-13  Vijay Samuel  <vjsamuel1990@gmail.com>

	Fix merge conflicts while merging with lp:~mordred/drizzle/translations

2012-01-06  Launchpad Translations on behalf of mordred

	Launchpad automatic translations update.

2012-01-05  Launchpad Translations on behalf of mordred

	Launchpad automatic translations update.

2011-12-19  Launchpad Translations on behalf of mordred

	Launchpad automatic translations update.

2011-11-23  Launchpad Translations on behalf of mordred

	Launchpad automatic translations update.

2011-11-22  Launchpad Translations on behalf of mordred

	Launchpad automatic translations update.

2012-01-11  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/mysql-bug-13358468

2012-01-11  Brian Aker  <brian@tangent.org>

	Fix for Bug#13358468 ASSERTION FAILURE IN BTR_PCUR_GET_BLOCK

2012-01-10  Mark Atwood  <me@mark.atwood.name>

	merge lp:~clint-fewbar/drizzle/no-sigusr1

2012-01-04  Clint Byrum  <clint@ubuntu.com>

	removing unused parent_pid

2012-01-02  Clint Byrum  <clint@ubuntu.com>

	use a pipe to signal to parent when daemon is "ready"

2012-01-08  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/bug879027

2012-01-04  Brian Aker  <brian@tangent.org>

	Fix for 879027.

2012-01-07  Mark Atwood  <me@mark.atwood.name>

	merge lp:~stewart/drizzle/bug911638

2012-01-04  Stewart Smith  <stewart@flamingspork.com>

	fix off-by-one error in sql_perror() that would lead to silly DRIZZLE_ABORT errors instead of 'file not found' for things such as transaction.log not found

2012-01-06  Mark Atwood  <me@mark.atwood.name>

	merge lp:~stewart/drizzle/remove-datahome-catalog

2011-12-27  Stewart Smith  <stewart@flamingspork.com>

	Partially move towards using LOCAL catalog in all path generation by removing getDataHomeCatalog() and instead using catalog::local_identifier() around the place. We do a bit of prep work in the schema engine too. Next step is to remove chdir to 'local' and generate local as part of path to all objects.

2012-01-04  Mark Atwood  <me@mark.atwood.name>

	merge lp:~stewart/drizzle/key-use-catalog

2012-01-04  Stewart Smith  <stewart@flamingspork.com>

	fix table_identifier unittest for having CATALOG in table key

2012-01-04  Stewart Smith  <stewart@flamingspork.com>

	fix table_identifier unittest for having catalog as part of the key

2011-12-27  Stewart Smith  <stewart@flamingspork.com>

	ensure that Table::Key has the CATALOG along with SCHEMA and TABLE_NAME in it. Modify the (not so great) code in Table and TableShare to handle this too. This is one of the precursors for proper CATALOG support.

2012-01-02  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/icc-warnings

2012-01-02  Brian Aker  <brian@tangent.org>

	Fix icc warning.

2012-01-02  Brian Aker  <brian@tangent.org>

	Fix ICC warnings.

2011-12-30  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/yacc-merge

2011-12-28  Brian Aker  <brian@tangent.org>

	Include stddef in the include file.

2011-12-28  Brian Aker  <brian@tangent.org>

	Fix race condition in bison build, also fix NULL issue on FreeBSD.

2011-12-27  Brian Aker  <brian@tangent.org>

	Merge yacc tree.

2011-12-24  Brian Aker  <brian@tangent.org>

	Go back to a single main, for now.

2011-12-23  Brian Aker  <brian@tangent.org>

	Cleanup yacc include, remove dead PC file, and put in the basics for RPM.

2011-12-21  Brian Aker  <brian@tangent.org>

	Fix formating.

2011-12-21  Brian Aker  <brian@tangent.org>

	Break up unit tests

2011-12-19  Brian Aker  <brian@tangent.org>

	Use constructors where we can.

2011-12-19  Brian Aker  <brian@tangent.org>

	Remove memset in case where we are using new()

2011-12-19  Brian Aker  <brian@tangent.org>

	Mark all cases where you are using realloc.

2011-12-27  Mark Atwood  <me@mark.atwood.name>

	fix tests/r/basic.result

2011-12-27  Mark Atwood  <me@mark.atwood.name>

	merge lp:~hingo/drizzle/drizzle-execute-result_set-off-by-one

2011-12-23  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Execute API has off by one error, there is always an empty row at the 
	end of each result set. This fixes it.
	
	Sorry I have no test for this, I don't know who or what code uses this 
	in the server except for json_server, which has no tests currently.
	
	Ref: http://www.flamingspork.com/blog/2011/04/21/http-json-alsosql-interface-to-drizzle/comment-page-1/#comment-102142

2011-12-27  Mark Atwood  <me@mark.atwood.name>

	resolve and merge lp:~ivolucien/drizzle/trunk-bug-621861

2011-11-18  Ivo Roper  <ivolucien@gmail.com>

	refactored TREE struct into Tree class, updating calling code appropriately

2011-11-17  Ivo Roper  <ivolucien@gmail.com>

	switched global TREE function calls over to Tree method calls

2011-11-15  Ivo Roper  <ivolucien@gmail.com>

	merged from repository

2011-11-15  Ivo Roper  <ivolucien@gmail.com>

	ignore bzr config files

2011-11-15  Ivo Roper  <ivolucien@gmail.com>

	cleaned up versions of tree.h and tree.cc

2011-11-15  Ivo Roper  <ivolucien@gmail.com>

	refactoring of TREE and TREE_ELEMENT structs into Tree and Tree_Element classes

2011-12-21  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/null-safety-fix-libdrizzle

2011-12-19  Brian Aker  <brian@tangent.org>

	Null safety fix for libdrizzle

2011-12-21  Mark Atwood  <me@mark.atwood.name>

	merge ../drizzle-fix-icc-const

2011-12-21  Mark Atwood  <me@mark.atwood.name>

	remove excess consts from libdrizzle-1.0/t/client_server.c

2011-12-19  Mark Atwood  <me@mark.atwood.name>

	merge ../drizzle-fix-gettext

2011-12-19  Mark Atwood  <me@mark.atwood.name>

	remove references to pbms in the gettext po files

2011-12-19  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/deprecate-pbms

2011-12-12  Brian Aker  <brian@tangent.org>

	Rmove PBMS (deprecated)

2011-12-16  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/libdrizzle-valgrind-test-warnings

2011-12-15  Brian Aker  <brian@tangent.org>

	Formatting, and valgrind cleanups (just mismatch of free/delete).

2011-12-15  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/refactor14

2011-12-03  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-12-14  Mark Atwood  <me@mark.atwood.name>

	merge ../drizzle-fixcopyright

2011-12-14  Mark Atwood  <me@mark.atwood.name>

	add missing license headers

2011-12-14  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/libdrizzle-tests

2011-12-14  Brian Aker  <brian@tangent.org>

	Fixing include file

2011-12-14  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/fix-localhost

2011-12-12  Brian Aker  <brian@tangent.org>

	Move from using 127.0.0.1, to localhost. 

2011-12-12  Brian Aker  <brian@tangent.org>

	Include additional libdrizzle tests.

2011-12-12  Brian Aker  <brian@tangent.org>

	Add simple linking program to test for C api linking.

2011-12-12  Mark Atwood  <me@mark.atwood.name>

	merge lp:~hingo/drizzle/drizzle-auth_ldap-fix-and-docs

2011-12-08  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Fix old DRIZZLE_PLUGIN macro and plugin.ini that both were giving
	build errors.

2011-11-29  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Fully document how to install OpenLDAP, setup LDAP directory, add Drizzle
	users, configure drizzled and connect with drizzle client using LDAP
	authentication.
	
	Add myself and Edward Konetzko as authors.
	
	Bug fix: Includes one more bug fix found while documenting:
	The LDAP admin password was made visible in a read only variable
	to all Drizzle users (show variables). For security reasons, the
	variable was removed.

2011-11-28  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Add a .. note:: to docs that --auth-ldap.bind-db will no longer work
	(it was changed to bind-dn in earlier commit). As there are almost
	no users for this module out there, no point in providing backwards
	compatibility, but it's still nice to point out the change for those
	1 or 2 users that might be using this.

2011-11-28  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	drizzle_create_ldap_user was initially created for testing purposes
	only, and recently promoted to be distributed to end users. For some
	reason it appended a running number to the end of the username, such
	as "hingo0". This patch removes that so the username is as given on
	command line ("hingo").

2011-11-28  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Bug fix: search LDAP directory for uid, not cn. The cn field
	is for common name, such as "Henrik Ingo".

2011-11-27  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Change default value of --auth-ldap.mysql-password-attribute to
	drizzleMysqlUserPassword so that it matches the attribute name in 
	the provided openldap ldif schema.

2011-11-27  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Fixing typo (or misunderstanding of ldap terminology):
	was: --auth-ldap.bind-db correct: --auth-ldap.bind-dn
	
	Note that the variable was already -dn, only parameter was -db.

2011-12-11  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/libdrizzle-breakout

2011-12-08  Brian Aker  <brian@tangent.org>

	Update all of libdrizzle per mine and Mark's conversation about how to break out code from interface.

2011-12-08  Brian Aker  <brian@tangent.org>

	Updating build for libdrizzled

2011-12-06  Mark Atwood  <me@mark.atwood.name>

	merge lp:~stewart/drizzle/i_s-docs

2011-12-05  Stewart Smith  <stewart@flamingspork.com>

	add a bit more information on some I_S tables in docs

2011-12-05  Stewart Smith  <stewart@flamingspork.com>

	Add a list of all INFORMATION_SCEMA tables to documentation, along with SHOW CREATE TABLE output for them.

2011-11-30  Brian Aker  <brian@tangent.org>

	Fix merge issues with 1.0 CC fix.

2011-11-30  Brian Aker  <brian@tangent.org>

	Fix compiling issues for 1.0, and cleanup header files.

2011-11-29  Brian Aker  <brian@tangent.org>

	Remove libdrizzle-2.0 from being installed.

2011-11-29  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/libdrizzle-2.0-not-install

2011-11-29  Brian Aker  <brian@tangent.org>

	Remove support for installing libdrizzle-2.0 until we get it stabalized

2011-11-26  Brian Aker  <brian@tangent.org>

	Move result over to being behind API.

2011-11-26  Brian Aker  <brian@tangent.org>

	Remove con from being passed object.

2011-11-23  Brian Aker  <brian@tangent.org>

	Redo the way options are handled.

2011-11-23  Brian Aker  <brian@tangent.org>

	First pass, drizzle_create() no longer takes an argument. This means that we can now change drizzle_st without being concerned about ABI.

2011-11-23  Brian Aker  <brian@tangent.org>

	Break out options, first pass.

2011-11-20  Brian Aker  <brian@tangent.org>

	More updates to libdrizzle-2.0

2011-11-20  Brian Aker  <brian@tangent.org>

	Small correction to style.

2011-11-23  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/refactor12

2011-11-22  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-11-22  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/fedora-16-fixes

2011-11-22  Brian Aker  <brian@tangent.org>

	Remove include file special directives for libdrizzle.

2011-11-21  Brian Aker  <brian@tangent.org>

	Remove common_fwd.h from visibility.h

2011-11-21  Brian Aker  <brian@tangent.org>

	Fix Fedora 16 build issues

2011-11-20  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/libdrizzle-refactor

2011-11-18  Brian Aker  <brian@tangent.org>

	Pass through refactoring.
	
	Never throw exceptions from libraries. You can not have the assumption that in a driver that the above language can handle this.

2011-11-17  Brian Aker  <brian@tangent.org>

	Fix safety issues around calling API with no check for NULL

2011-11-14  Mark Atwood  <me@mark.atwood.name>

	merge lp:~stewart/drizzle/fix-gcc46-build

2011-11-15  Stewart Smith  <stewart@flamingspork.com>

	Fix GCC 4.6 warning for variable set but not used in pbms:
	
	plugin/pbms/src/cslib/CSMemory.cc: In function 'size_t mm_check_and_free(MissingMemoryPtr, void*, bool)':
	plugin/pbms/src/cslib/CSMemory.cc:314:7: error: variable 'a_value' set but not used [-Werror=unused-but-set-variable]
	cc1plus: all warnings being treated as errors

2011-11-14  Mark Atwood  <me@mark.atwood.name>

	lp:~hingo/drizzle/7.1-docs-reviewfixes

2011-11-15  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Fixes to the new documentation in lp:~daniel-nichter/drizzle/7.1-docs 
	as discussed / reviewed on mailing list.

2011-11-14  Mark Atwood  <me@mark.atwood.name>

	release 2011.11.29

2011-11-14  Mark Atwood  <me@mark.atwood.name>

	merge translations

2011-11-13  Launchpad Translations on behalf of mordred

	Launchpad automatic translations update.

2011-11-08  Launchpad Translations on behalf of mordred

	Launchpad automatic translations update.

2011-11-04  Launchpad Translations on behalf of mordred

	Launchpad automatic translations update.

2011-11-11  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/refactor11

2011-11-11  Olaf van der Spek  <olafvdspek@gmail.com>

	Oops

2011-11-09  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-11-09  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-11-09  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-11-09  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-11-08  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/refactor10

2011-10-30  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-30  Olaf van der Spek  <olafvdspek@gmail.com>

	Use union instead of struct for YYSTYPE
	Use str_ref

2011-10-29  Olaf van der Spek  <olafvdspek@gmail.com>

	No need for null_lex_string with str_ref

2011-10-29  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-26  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-26  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-26  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-26  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-26  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-26  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-26  Olaf van der Spek  <olafvdspek@gmail.com>

	Use str_ref

2011-11-07  Mark Atwood  <me@mark.atwood.name>

	merge lp:~fallenpegasus/drizzle/fix-libdrizzle

2011-11-07  Mark Atwood  <me@mark.atwood.name>

	dont declare the counter in the loop header in standard C, that's C++

2011-11-07  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/lion-fix

2011-11-07  Brian Aker  <brian@tangent.org>

	Fix OSX Lion compile error.

2011-11-07  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/libdrizzle-update

2011-11-07  Brian Aker  <brian@tangent.org>

	Complete update of libdrizzle

2011-11-04  Brian Aker  <brian@tangent.org>

	Fix libdrizzle pc support (and restore older .pc file to fix older compiles).

2011-11-06  Mark Atwood  <me@mark.atwood.name>

	merge lp:~fallenpegasus/drizzle/drizzle-docfix

2011-11-05  Mark Atwood  <me@mark.atwood.name>

	RST admonitions like note and warning should have a new line before the content

2011-11-06  Mark Atwood  <me@mark.atwood.name>

	merge lp:~mordred/drizzle/fix-ltinit-warnings

2011-11-06  Monty Taylor  <mordred@inaugust.com>

	Remoed direct LT_INIT calls from configure.ac - these are handled in
	PANDORA_CANONICAL because if you inject LT_INIT too early in the sequence,
	it causes issues with AC_USE_SYSTEM_EXTENSIONS. (yay for bad dependency
	sequencing!)
	
	Also moved the js plugin libv8 check into the js plugin dir. I promise I
	will document how all of this is supposed to work better later.

2011-11-04  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/bug-fix-879128

2011-11-04  Brian Aker  <brian@tangent.org>

	Additional fixes for libdrizzle.

2011-11-02  Brian Aker  <brian@tangent.org>

	This fixes the race condition on pkg, as well as the php client compile failure.

2011-10-26  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/refactor8

2011-10-24  Olaf van der Spek  <olafvdspek@gmail.com>

	Use str_ref

2011-10-24  Olaf van der Spek  <olafvdspek@gmail.com>

	Use str_ref

2011-10-24  Olaf van der Spek  <olafvdspek@gmail.com>

	Use str_ref

2011-10-24  Olaf van der Spek  <olafvdspek@gmail.com>

	Use str_ref

2011-10-24  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-26  Mark Atwood  <me@mark.atwood.name>

	merge lp:~daniel-nichter/drizzle/7.1-docs

2011-10-23  Daniel Nichter  <daniel@percona.com>

	Merge lp:~hingo/drizzle/drizzle-docs71 at r2442 and reformat auth_pam doc a little.

2011-10-19  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Good documentation for auth_pam. Part of docs71-focus-areas blueprint.

2011-10-23  Daniel Nichter  <daniel@percona.com>

	Update auth_schema doc and Authentication.

2011-10-23  Daniel Nichter  <daniel@percona.com>

	Merge trunk at r2445.

2011-10-23  Daniel Nichter  <daniel@percona.com>

	Add Administration Getting Started and Logging.  Capitalize SQL clause keywords.

2011-10-22  Daniel Nichter  <daniel@percona.com>

	A lot of doc changes: rewrite and expand Configuration and Administration, re-order top-level sections, enhance Contributing, add Release Notes, add Help and Support, fix title casing, label all plugins, other misc. enhancements.

2011-10-02  Daniel Nichter  <daniel@percona.com>

	Rewrite Configuration docs.

2011-10-25  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/refactor7

2011-10-24  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-24  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-24  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-24  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-23  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-22  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-25  Patrick Crews  <gleebix@gmail.com>

	2011.10.28 tarball + translations update

2011-10-19  Launchpad Translations on behalf of mordred

	Launchpad automatic translations update.

2011-10-18  Launchpad Translations on behalf of mordred

	Launchpad automatic translations update.

2011-10-21  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/refactor6

2011-10-19  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-19  Olaf van der Spek  <olafvdspek@gmail.com>

	Use str_ref

2011-10-19  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-19  Olaf van der Spek  <olafvdspek@gmail.com>

	Use str_ref

2011-10-19  Olaf van der Spek  <olafvdspek@gmail.com>

	Use str_ref

2011-10-19  Olaf van der Spek  <olafvdspek@gmail.com>

	Use str_ref

2011-10-19  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-19  Olaf van der Spek  <olafvdspek@gmail.com>

	Use str_ref

2011-10-19  Olaf van der Spek  <olafvdspek@gmail.com>

	Use str_ref

2011-10-19  Olaf van der Spek  <olafvdspek@gmail.com>

	Use str_ref

2011-10-19  Olaf van der Spek  <olafvdspek@gmail.com>

	Use str_ref

2011-10-19  Olaf van der Spek  <olafvdspek@gmail.com>

	Use str_ref

2011-10-19  Olaf van der Spek  <olafvdspek@gmail.com>

	Use str_ref

2011-10-19  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-19  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-19  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/syslog-refactor

2011-10-19  Brian Aker  <brian@tangent.org>

	Update naming convention for priority.

2011-10-19  Brian Aker  <brian@tangent.org>

	Fix level_t to be more inline with syslog

2011-10-18  Brian Aker  <brian@tangent.org>

	Enable syslog and format sql_select

2011-10-18  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/refactor5

2011-10-18  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-18  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-18  Olaf van der Spek  <olafvdspek@gmail.com>

	Use str_ref

2011-10-18  Olaf van der Spek  <olafvdspek@gmail.com>

	Use data_ref

2011-10-18  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-18  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-18  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-18  Olaf van der Spek  <olafvdspek@gmail.com>

	Use str_ref

2011-10-18  Olaf van der Spek  <olafvdspek@gmail.com>

	Use str_ref

2011-10-18  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/refactor4

2011-10-18  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-17  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-16  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-17  Olaf van der Spek  <olafvdspek@gmail.com>

	Use str_ref

2011-10-17  Olaf van der Spek  <olafvdspek@gmail.com>

	Use str_ref

2011-10-17  Mark Atwood  <me@mark.atwood.name>

	merge lp:~dshrews/drizzle/bug867866

2011-10-16  David Shrewsbury  <shrewsbury.dave@gmail.com>

	Add master_id back to PK of sys_replication.queue table.

2011-10-14  Mark Atwood  <me@mark.atwood.name>

	add plugin/auth_schema to po/POTFILES.in

2011-10-14  Mark Atwood  <me@mark.atwood.name>

	merge lp:~hingo/drizzle/drizzle-js_eval

2011-10-01  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Small style fixes from Olaf's review (thanks).
	Removed @todo items that have been done.

2011-10-01  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Wrote end user documentation for JS().
	Labeled this as version 0.9. 
	This is now ready to start the journey towards trunk!

2011-09-29  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Add 2 tests I forgot:
	- connect from 2 clients to make sure we are handling multi threaded
	mode correctly.
	- run a script that gives JavaScript syntax error.

2011-09-24  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Added tests for JS().

2011-09-23  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Merge newest trunk.

2011-09-23  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Add 2 items to todo list.

2011-09-22  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Add missing doxygen comments to a few helper functions. Cleanup
	comments no longer relevant.

2011-09-21  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Arguments that are of type DATETIME are now created as JavaScript
	Date objects. Needed to export the Temporal family of classes
	to be able to compute unix timestamp value with set_epoch_seconds().

2011-09-15  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Change names and style of the v8 sample code to drizzle like code.

2011-09-13  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Shorten the new error message a little to "Script error:"

2011-09-08  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Change name from js_eval() to just js(), also change name of plugin itself.
	
	This allows for this to become the general javascript plugin, which may
	offer also other javascript services in the future, such as internal C++ api.

2011-09-08  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Use my_error() to return v8 errors to the client instead of stdout/log.
	Added new error type ER_SCRIPT to error_t.h.

2011-09-02  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Change copyright from Sun Microsystems to myself :-)

2011-09-02  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Honoring EcmaScript standard arguments are made available as arguments[]
	(was argv[])
	
	Named parameters become global variables, as in
	js_eval( "myvalue+anothervalue", 1 as 'myvalue', 2 as 'anothervalue')
	
	Integers and real/decimal values passed as appropriate JS counterparts.
	This makes js '+' operator work correctly.
	
	Added whitespace to if() and function calls, sorry for noise in the diff.

2011-09-01  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Arguments 2 to N are now passed to the js script in array argv.
	
	TODO: All arguments are passed as strings, so for integers 
	argv[0]+argv[1] doesn't do what you think it does. Need to
	bind each type separately.

2011-09-01  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Use v8::Locker to allow multiple threads to use v8 engine.
	
	Note that making all threads that need to use JavaScript lock
	on a single mutex is going to be problematic. Newer versions
	of libv8 provide a class Isolate, through which each thread can
	have their own, isolated, instance of a v8 engine and use it
	without locking. However, current version in Ubuntu 11.04 is
	v8 2.5.9.9 and doesn't yet provide this class. Future work
	on this code should add a run-time check about the v8 version
	and use Isolate if available and Locker otherwise.

2011-08-29  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	js_eval() : Working execution of JavaScript code with the v8 engine.
	Simple implementation, script is re-compiled each call, parameters
	ignored, etc...
	
	Also adds libv8.so to the pandora/autotools/configure magic.
	
	Note: I only compiled with CXXFLAGS=-O0 so far, but should work 
	with the default -O2 too.

2011-08-24  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Adding new plugin "js_eval" that takes 1 or more strings as arguments
	and returns the first string. (More code to follow later.)

2011-10-14  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/refactor3

2011-10-14  Olaf van der Spek  <olafvdspek@gmail.com>

	Oops

2011-10-14  Olaf van der Spek  <olafvdspek@gmail.com>

	Use str_ref

2011-10-14  Olaf van der Spek  <olafvdspek@gmail.com>

	Add const

2011-10-14  Olaf van der Spek  <olafvdspek@gmail.com>

	Add const

2011-10-14  Olaf van der Spek  <olafvdspek@gmail.com>

	Use assign(), data() and size()

2011-10-14  Olaf van der Spek  <olafvdspek@gmail.com>

	Use size()

2011-10-14  Olaf van der Spek  <olafvdspek@gmail.com>

	Merge trunk

2011-10-10  Olaf van der Spek  <olafvdspek@gmail.com>

	USe data() and size()

2011-10-14  Olaf van der Spek  <olafvdspek@gmail.com>

	Merge trunk

2011-10-06  Olaf van der Spek  <olafvdspek@gmail.com>

	Use data()

2011-10-06  Olaf van der Spek  <olafvdspek@gmail.com>

	Use data()

2011-10-06  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-06  Olaf van der Spek  <olafvdspek@gmail.com>

	Use assign()

2011-10-06  Olaf van der Spek  <olafvdspek@gmail.com>

	Use assign()

2011-10-06  Olaf van der Spek  <olafvdspek@gmail.com>

	Use data()

2011-10-06  Olaf van der Spek  <olafvdspek@gmail.com>

	Use data() and size()

2011-10-06  Olaf van der Spek  <olafvdspek@gmail.com>

	Use assign()

2011-10-06  Olaf van der Spek  <olafvdspek@gmail.com>

	Add data(), size() and assign() to lex_string

2011-10-14  Mark Atwood  <me@mark.atwood.name>

	merge lp:~daniel-nichter/drizzle/auth_schema

2011-10-09  Daniel  <daniel@ubuntu-10>

	Enable plugin by default.  Always escape and backtick quote the auth table name.

2011-10-08  Daniel  <daniel@ubuntu-10>

	Escape user in SQL statement to avoid SQL injection.  Verify auth table name.  Include auth query in error message.  Tweak formatting to match coding standards.

2011-10-06  Daniel  <daniel@ubuntu-10>

	Add auth_schema user docs.

2011-10-06  Daniel  <daniel@ubuntu-10>

	Add auth_schema_enabled sysvar.  Use drizzle_plugin::auth_schema namespace.  Add user docs and document code.

2011-09-25  Daniel Nichter  <daniel@percona.com>

	auth_schema (auth_db) working prototype.

2011-10-13  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/refactor2

2011-10-10  Olaf van der Spek  <olafvdspek@gmail.com>

	Use assign(), data() and size()

2011-10-10  Olaf van der Spek  <olafvdspek@gmail.com>

	Use assign(), data() and size()

2011-10-10  Olaf van der Spek  <olafvdspek@gmail.com>

	Use data() and size()

2011-10-10  Olaf van der Spek  <olafvdspek@gmail.com>

	Use assign(), data() and size()

2011-10-10  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-11  Mark Atwood  <me@mark.atwood.name>

	merge lp:~patrick-crews/drizzle/dbqp_revamp

2011-10-05  patrick crews  <gleebix@gmail.com>

	Merge with trunk

2011-08-15  patrick crews  <gleebix@gmail.com>

	Minor fix to deal with removed files

2011-08-15  patrick crews  <gleebix@gmail.com>

	Added ENV var needed for happy randgen runs

2011-08-15  patrick crews  <gleebix@gmail.com>

	Merge trunk

2011-08-15  patrick crews  <gleebix@gmail.com>

	Cleanup of option parser

2011-07-27  patrick crews  <gleebix@gmail.com>

	Updated tests/include.am

2011-07-26  patrick crews  <gleebix@gmail.com>

	Merged Stewart's kick-ass randgen branch - randgen is in the tree

2011-05-21  Stewart Smith  <stewart@flamingspork.com>

	add in randgen tree into tests/randgen (merging history)

2011-05-21  John H. Embretsen  <john.embretsen@oracle.com>

	Fix for Transformer code bug: RQG statuses are numbers, not strings, so use the == operator for comparisons instead of the eq operator.

2011-05-20  Roel Van de Paar  <roel.van.de.paar@oracle.com>

	Added --force option to combinations.pl. --force allows combinations.pl to keep running even if STATUS_ENVIRONMENT_FAILURE or STATUS_PERL_FAILURE (255) are detected.

2011-05-20  John H. Embretsen  <john.embretsen@oracle.com>

	Make STATUS_UNKNOWN_ERROR errors from transformers cause immediate test failures (STATUS_ENVIRONMENT FAILURE). Such errors should most likely be handled in some way, so we want RQG users to know about them (by default STATUS_UNKOWN_ERROR does not cause a test failure).

2011-05-20  Roel Van de Paar  <roel.van.de.paar@oracle.com>

	Added --force option to combinations.pl. --force allows combinations.pl to keep running even if STATUS_ENVIRONMENT_FAILURE or STATUS_PERL_FAILURE (255) are detected.

2011-05-20  John H. Embretsen  <john.embretsen@oracle.com>

	Add the following MySQL errors with severity STATUS_SEMANTIC_ERROR:
	- 1163 The used table type doesn't support BLOB/TEXT columns.
	- 1172 Result consisted of more than one row

2011-05-20  John H. Embretsen  <john.embretsen@oracle.com>

	Transformer: Return from transform routine when a transform results in an error, to avoid Perl failure (accessing an undefined array @transformed_queries) a few lines down.
	Also be more verbose when such an error occurs, so that it is more clear what is going on.

2011-05-20  Roel Van de Paar  <roel.van.de.paar@oracle.com>

	If  is decimal, change it to char(255) to accomodate large MAX() values/avoid false transformer compare diffs.

2011-05-20  Roel Van de Paar  <roel.van.de.paar@oracle.com>

	Change to ExecuteAsFunctionTwice to prevent a bug where this transformer used CHAR(255) - while the original column type was VARCHAR(1024). Before this fix, this led to an false positive.

2011-05-19  Roel Van de Paar  <roel.van.de.paar@oracle.com>

	Minor change to message in QueryTimeout.pm

2011-05-19  eve  <philips@eve>

	add misc 'connection lost' messages to be ignored

2011-05-19  eve  <philips@eve>

	fortify various Transforms by having them issue preemptive DROP TABLE before doing work

2011-05-19  John H. Embretsen  <john.embretsen@oracle.com>

	Change QueryTimeout reporter to check its config and report the value of the Query Lifetime Threshold only once (in the beginning of the test run).

2011-05-19  Roel Van de Paar  <roel.van.de.paar@oracle.com>

	Add/clarify new options in help file + some cleanup

2011-05-19  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	--querytimeout added to parameterize QueryTimeout.pm reporter

2011-05-19  Roel Van de Paar  <roel.van.de.paar@oracle.com>

	Generalized Valdiators to make them configurable from a property object (Used in Transformer.pm)

2011-05-19  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Generalized Valdiators to make them configurable from a property object (Used in Transformer.pm)

2011-05-19  Roel Van de Paar  <rvandepaar@dl360-g5-d>

	Adding CONCAT to exclusion list of Count.pm due to a SQL Syntax error being produced by Count transformer when CONCAT is present in the query.

2011-05-19  Roel Van de Paar  <roel.van.de.paar@oracle.com>

	Adding CONCAT to exclusion list of Count.pm due to a SQL Syntax error being produced by Count transformer when CONCAT is present in the query.

2011-05-19  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	--transformers option added to use explicit list of transformers

2011-05-19  John H. Embretsen  <john.embretsen@oracle.com>

	Update copyright notices for files I modified the past few days.

2011-05-19  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fixed license

2011-05-18  John H. Embretsen  <john.embretsen@oracle.com>

	QueryTimeout reporter: After 10 failed KILL QUERY attempts (actually, QUERY_LIFETIME_THRESHOLD + 100 seconds), KILL QUERY obviously does not work, so kill the entire thread instead.

2011-05-18  John H. Embretsen  <john.embretsen@oracle.com>

	OrderBy transformer: Added check for ORDER BY CONCAT() and return STATUS_WONT_HANDLE, as otherwise such queries cause syntax error after transformation (two ORDER BYs in the same statement). An alternative solution would be to improve the other regexes in the transformer, but that is saved for another day.

2011-05-18  John H. Embretsen  <john.embretsen@oracle.com>

	Add line to signal the beginning of a tranformer issue of type syntax or semantic error. The same line is already present for 'normal' transformer issues.
	---------- TRANSFORM ISSUE ----------

2011-05-18  John H. Embretsen  <john.embretsen@oracle.com>

	Print RQG status code and text for each Transformer issue.
	Also, for syntax/sematic errors from tranformers that are causing STATUS_ENVIRONMENT_FAILURE, print a statement clarifying which issue was causing the fatal result.

2011-05-18  John H. Embretsen  <john.embretsen@oracle.com>

	Fixed bug in Count transformer, which was that a query containing a multiplication (a * b) would match a regex intended to match "SELECT *" queries, causing a semantic error because the query would then be transformed when it should have been just skipped (STATUS_WONT_HANDLE).
	
	The fix was to improve the regex to match "SELECT *" specifically, not just "*".

2011-05-18  eve  <philips@eve>

	Heap testing grammar with DML statements and persistent tables

2011-05-18  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Added --run-all-combinations-once to combinations.pl

2011-05-18  John H. Embretsen  <john.embretsen@oracle.com>

	Prepend "DROP FUNCTION IF EXISTS" and "DROP PROCEDURE IF EXISTS" to ExecuteAsFunctionTwice.pm and ExecuteAsSPTwice.pm transform blocks. This is done in order to handle situations where the latter "DROP ..." was not executed due to errors in earlier statements in the block, causing subsequent "Cannot create function xyz, function already exists" errors when using --validator=Transformer. This change ensures that a test no longer aborts with STATUS_ENVIRONMENT_FAILURE if there is a preceding MySQL failure of this kind.

2011-05-18  John H. Embretsen  <john.embretsen@oracle.com>

	Make InlineVirtualColumnTransformer output less like an error message and more like an info message. Could be confusing to new users.

2011-05-18  eve  <philips@eve>

	fix Recovery to use aria-log-dir-path

2011-05-17  eve  <philips@eve>

	A tranformer to exercise the SQL_BIG_RESULT  SQL_SMALL_RESULT and SQL_BUFFER_RESULT options to SELECT

2011-05-16  Philip Stoev  <philips@fedora13>

	add TRUNCATE TABLE to conf/engines/heap/heap_ddl_multi.yy in order to limit table growth

2011-05-16  John H. Embretsen  <john.embretsen@oracle.com>

	Readability improvement: Add lines of text separating issues reported by ResultsetComparator.pm and ResultsetComparatorSimplify.pm:
	---------- RESULT COMPARISON ISSUE START --------
	other output here...
	---------- RESULT COMPARISON ISSUE END ------------

2011-05-16  Philip Stoev  <philips@fedora13>

	better heap_ddl_multi.yy grammar -- less invalid queries

2011-05-16  John H. Embretsen  <john.embretsen@oracle.com>

	Readability improvement: Add a line of text to separate Transform issues in test output.

2011-05-16  eve  <philips@eve>

	remove ORDER BY in conf/engines/heap/heap_ddl_multi.yy, too much time spent there

2011-05-16  eve  <philips@eve>

	generate large fields slightly faster in conf/engines/heap/heap_ddl_multi.yy

2011-05-16  eve  <philips@eve>

	avoid calling cwd() for every instance of _data

2011-05-16  eve  <philips@eve>

	exclude 'information_schema','mysql','performance_schema' from MemoryUsage.pm

2011-05-16  eve  <philips@eve>

	new grammar for testing DDL operations on Heap tables

2011-05-16  eve  <philips@eve>

	simple MemoryUsage reported for monitoring longer-term memory consumption

2011-05-16  eve  <philips@eve>

	add 2 heap-specific errors

2011-05-16  eve  <philips@eve>

	heap is a synonym of memory

2011-05-13  John H. Embretsen  <john.embretsen@oracle.com>

	Fix for Bug#773237 (on Launchpad): Recovery Reporter fails when default storage engine is InnoDB and --engine is not InnoDB
	The fix implements solution option 1), i.e. it removes --loose-skip-innodb from startup options in the Recovery Reporter.
	The downside is that recovery time may increase, the upside is that the Recovery reporter works also when InnoDB is the default storage engine.

2011-05-12  John H. Embretsen  <john.embretsen@oracle.com>

	Add config for optimizer trace tests (variant of existing tests, _trace in end of test name).

2011-05-12  John H. Embretsen  <john.embretsen@oracle.com>

	pb2gentest: Add possibility for alternative randgen location.

2011-05-07  eve  <philips@eve>

	new grammar for testing MariaDB MWL#34 - Dynamic columns

2011-04-29  John H. Embretsen  <john.embretsen@oracle.com>

	New ErrorLogAlarm Reporter, and new status STATUS_ALARM (109).
	The ErrorLogAlarm Reporter is a periodic reporter which scans 
	the server's error log for a specific regex pattern 
	and returns STATUS_ALARM if this pattern is found.
	The default pattern is: ^ERROR
	
	Using this Reporter will then allow users to be alerted when
	an error occurs in the server error log, for example if
	an init file contains a typo.
	
	The pattern can be customized to for example look for 
	specific valgrind warnings or other messages instead.
	Customization is currently only supported by editing the 
	source code.
	
	STATUS_ALARM was added because the test should be aborted if
	the pattern is found, and there was no other critical status 
	already available that seemed suitable for this situation.

2011-04-28  Matthias Leich  <matthias.leich@oracle.com>

	The former WL5136 grammars serve for general checking
	connect/disconnect/kill session when having heavy
	parallel DDL/DML load.
	- modify their name so that the area checked becomes obvious
	- remove references to the WL within the comments

2011-04-25  eve  <philips@eve>

	First fixes towards making RQG indepentent of a particular Generator, in particular random query generation from grammars

2011-04-20  Anitha Gopi  <anitha.gopi@oracle.com>

	Modified copyright notice

2011-04-19  John H. Embretsen  <john.embretsen@oracle.com>

	New validator for checking validity (JSON syntax) of optimizer traces.

2011-04-18  eve  <philips@eve>

	new replication Reporter - clone a slave using xtrabackup and CHANGE MASTER

2011-04-14  John H. Embretsen  <johnemb@gmail.com>

	Add more statistics support to ExecutionTimeComparator validator.
	This patch adds optional enhancements to the validator, which 
	include:
	- Use of fixed or variable sampling size (query repetitions).
	- Evaluation of result stability by use of statistical 
	properties such as standard deviations.
	- Detailed statistics for each query if --debug is enabled.
	- All of the above is possible only if Statistics::Descriptive
	perl module is available and a sampling size (MIN_SAMPLES 
	and MAX_SAMPLES) is set.
	
	Default behavior is still to simply compare original execution
	times from each server, without further sampling or statistical
	considerations.
	
	Note:
	
	- Constant QUERY_REPEATS is replaced by the combination of
	MIN_SAMPLES and MAX_SAMPLES.
	If Statistics::Descriptive is not available, a query will
	be repeated MAX_SAMPLES times if both constants are larger
	than 0.
	If Statistics::Descriptive is available, a query will be 
	repeated at least MIN_SAMPLES times and at most MAX_SAMPLES
	times if both constants are larger than 0.
	If either MIN_SAMPLES or MAX_SAMPLES is 0, only the 
	original result will be used for comparison.
	
	- File output format is changed in certain cases,  i.e. if 
	Statistics::Descriptive is available and a sample size is 
	set.

2011-04-10  patrick crews  <gleebix@gmail.com>

	Merge trunk

2011-04-06  eve  <philips@eve>

	generate only proper GROUP BY in conf/optimizer/range_access2.yy

2011-04-10  patrick crews  <gleebix@gmail.com>

	Fixed needed plugins for server restart

2011-04-02  patrick crews  <gleebix@gmail.com>

	Updated if/else block

2011-04-02  patrick crews  <gleebix@gmail.com>

	Additonal changes to keep up with the ever-changing world of drizzle

2011-03-29  John H. Embretsen  <john.embretsen@oracle.com>

	ExecutionTimeComparator: Change default settings to allow more queries to be validated.
	Now requiring a diff of 50% instead of 500% before reporting a query.

2011-03-29  John H. Embretsen  <john.embretsen@oracle.com>

	ExecutionTimeComparator: Change order of query executions when repeating the same query.
	Use one server at a time in order to allow it to stabilize, before using the other server. Hopefully this will lead to more stable results.
	
	Previous behavior:
	server0: exec0
	server1: exec0
	server0: repeat1
	server1: repeat1
	server0: repeat2
	server1: repeat2
	...
	server0: repeatN
	server1: repeatN
	
	New behavior:
	server0: exec0
	server1: exec0
	server0: repeat1
	server0: repeat2
	...
	server0: repeatN
	server1: repeat1
	server1: repeat2
	...
	server1: repeatN

2011-03-29  John H. Embretsen  <john.embretsen@oracle.com>

	Allow/ignore certain semantic grouping errors that may occur during transformer validation of queries with MySQL systems.
	The goal is to easily be able to use sql_mode=ONLY_FULL_GROUP_BY with MySQL when the Transformer validator is used.
	Without this change, all errors caused by this sql-mode would cause the test to abort with STATUS_ENVIRONMENT_FAILURE.
	
	This change allows the following MySQL errors to be produced by Transformers, hence allowing the test to continue:
	1004: ER_NON_GROUPING_FIELD_USED
	1055: ER_WRONG_FIELD_WITH_GROUP
	1056: ER_WRONG_GROUP_FIELD
	1140: ER_MIX_OF_GROUP_FUNC_AND_FIELDS
	
	In normal mode each of these errors will be mentioned in the test output the first time they occur, and further errors will be suppressed.
	In debug mode each occurrence of all such errors will be mentioned along with the offending queries.
	
	Other types of semantic or syntactic errors, and executors that are not of the type DB_MYSQL, will still return STATUS_ENVIRONMENT_FAILURE.

2011-03-27  eve  <philips@eve>

	more comprehensive temporal_ranges.zz

2011-03-27  eve  <philips@eve>

	allow date/time/datatime primary keys in Gendata.pm

2011-03-27  eve  <philips@eve>

	yet another fix to the Count transformer

2011-03-26  eve  <philips@eve>

	grammars for testing temporal data types

2011-03-17  eve  <philips@eve>

	produce times and datetimes with fractional seconds

2011-03-17  eve  <philips@eve>

	use SELECT ... INTO @var syntax for ExecuteAsFunctionTwice

2011-03-17  eve  <philips@eve>

	make Transform more robust against stray tables

2011-03-17  eve  <philips@eve>

	do not simplify queries in a way that will produce warnings

2011-03-23  patrick crews  <gleebix@gmail.com>

	Merge trunk

2011-03-22  Matthias Leich  <matthias.leich@oracle.com>

	Prevent the generation of SHOW PROCEDURE/FUNCTION CODE in case
	we do not have a server compiled with debug.

2011-03-16  John H. Embretsen  <john.embretsen@oracle.com>

	Fix typo in simplify-mysqltest.pl (vebose --> verbose).

2011-03-16  John H. Embretsen  <john.embretsen@oracle.com>

	Fixed whitespace in simplify-mysqltest.pl (tabs --> spaces). 
	Also removed some blank lines that were not really increasing readability.

2011-03-16  John H. Embretsen  <john.embretsen@oracle.com>

	Fix mysql-test simplifier in case of two basedirs.
	In case of bad SQL in simplified test case, we won't get a result file from either server.
	In that case, we should try the next simplification instead (issue no longer repeatable with the current simplification).
	If just one of the servers is lacking a result file, we bail with an error message.

2011-03-23  patrick crews  <gleebix@gmail.com>

	Cleanup of obsolete grammars.  Updated Reporters to do crash testing and deal with updated env var names

2011-03-14  patrick crews  <gleebix@gmail.com>

	Added new Reporters for Drizzle trx log and slave plugin

2011-03-10  patrick crews  <gleebix@gmail.com>

	Updates to a couple of drizzle reporters

2011-03-09  eve  <philips@eve>

	fix typo

2011-03-09  eve  <philips@eve>

	preliminary grammar for testing temporal types and functions

2011-03-09  eve  <philips@eve>

	fix indentation in lib/GenTest/Transform/OrderBy.pm

2011-03-09  eve  <philips@eve>

	new Transform - ExecuteAsFunctionTwice

2011-03-09  eve  <philips@eve>

	provide information about column types in the Result object

2011-03-09  eve  <philips@eve>

	fix TRANSFORM_IS_SINGLE_DIGIT_ONE, better debug message on Transform failures

2011-03-09  eve  <philips@eve>

	make the ExecuteAsUpdateDelete more robust

2011-03-04  eve  <philips@eve>

	Double recovery Reporter for Aria engine

2011-03-01  eve  <philips@eve>

	use long option --maria-log-dir-path to maria_read_log since short option was changed

2011-02-28  patrick crews  <gleebix@gmail.com>

	Changes to better poll slave server to determine if it is caught up with the master before validation

2011-02-28  patrick crews  <gleebix@gmail.com>

	Merge trunk

2011-02-28  eve  <philips@eve>

	code for testing the features in maria-5.2-rpl preview (better non-PK operation)

2011-02-28  eve  <philips@eve>

	create PK whose length is valid for any maria-block-size

2011-02-28  patrick crews  <gleebix@gmail.com>

	Modified Reporters to integrate with dbqp / look for variable ports set via ENV VARs

2011-02-22  patrick crews  <gleebix@gmail.com>

	Removal of code that clears slave

2011-02-22  Patrick Crews  <gleebix@gmail.com>

	Removed use of ALTER ENABLE/DISABLE KEYS with Gendata for Drizzle

2011-02-22  Patrick Crews  <gleebix@gmail.com>

	New reporter for working with DrizzleSlavePlugin.  Expects master on 9306 and slave on 9308

2011-02-19  eve  <philips@eve>

	misc fixes to make replication Reporters more stable and not rely on fixed sleep()s

2011-02-17  eve  <philips@eve>

	misc fixes to the CloneSlave reporter - make it run in buildbot

2011-02-16  eve  <philips@eve>

	put final master+slave dumping in a separate Reporter. Also, enable Shutdown to shut down both master and slave

2011-02-14  John H. Embretsen  <john.embretsen@oracle.com>

	ExecutionTimeComparator: Rearrange and indent lines reporting stats for skipped queries (better readability).
	Also do not compare EXPLAIN output until after various pre-processing checks are done.

2011-02-14  John H. Embretsen  <john.embretsen@oracle.com>

	ExecutionTimeComparator: Add check for slow queries, skip repetition and reporting if duration from the first execution is longer than the max.
	Initial default MAX_DURATION is set to 1800 seconds (30 minutes).
	Note that if QUERY_REPEATS is 0 (default), we might as well continue validation (the time running the query is already spent, so why not report the result), but this would increase complexity somewhat and make the semantics for MAX_DURATION depend on another setting. So we skip further validation also in such cases (workaround: Set a very large max value).

2011-02-14  John H. Embretsen  <john.embretsen@oracle.com>

	ExecutionTimeComparator: Use 4 decimals in ratios, makes results easier to read.

2011-02-08  Patrick Crews  <gleebix@gmail.com>

	Update to DrizzleInnoTrxLog

2011-02-08  eve  <philips@eve>

	test more Aria engine configurations, based on feedback from Monty

2011-02-07  eve  <philips@eve>

	prepare cloning slave test for BuildBot - enable slave shutdown and remove 'float' fields, which were causing false postivies

2011-02-07  John H. Embretsen  <john.embretsen@oracle.com>

	Some enhancements to ExecutionTimeValidator:
	- report number of failed queries (non_status_ok)
	- report number of non-selects (non_selects)
	- report number of non-results (no_results)

2011-02-07  John H. Embretsen  <john.embretsen@oracle.com>

	Fixed ExecutionTimeComparator to return STATUS_WONT_HANDLE if either server returned status other than STATUS_OK. 
	Before this fix only result from server0 was checked (twice).

2011-02-07  eve  <philips@eve>

	provide checks in CloneSlave against tests that do not generate enough binlog events

2011-02-07  eve  <philips@eve>

	allow _field_nokey grammar construct

2011-02-07  eve  <philips@eve>

	initial commit for a new, simpler replication grammar

2011-02-07  eve  <philips@eve>

	allow more time for cloned slave to start

2011-02-05  eve  <philips@eve>

	misc code cleanup in the CloneSlave Reporter

2011-02-04  John H. Embretsen  <john.embretsen@oracle.com>

	outer_join.zz: Arrange table names in a more systematic fashion.
	The new table names will make it easier to tell table properties from table names in post-mortem analysis.
	- table size increases with the table name's position in the alphabet
	- tables with same letters (e.g. 'A' and 'AA') are of the same size, but using different engines.
	- all single-letter tables are MyISAM tables, all double letter tables are InnoDB (with current data generator).
	This change also eliminates table names that were not in use (32 tables are generated).

2011-01-26  Patrick Crews  <gleebix@gmail.com>

	New temporary reporter for testing the Innodb-based transaction log

2011-01-25  eve  <philips@eve>

	reduce the instances of blobs in the test to avoid too many 'packet too big' errors

2011-01-25  eve  <philips@eve>

	misc fixes to the CloneSlave Reporter

2011-01-03  eve  <philips@eve>

	clone slave using mysqldump + change master

2011-01-24  eve  <philips@eve>

	new Validator - converts literals N to (SELECT N FROM literals.numbers) 

2011-01-24  eve  <philips@eve>

	allow multiple transformations per Transform

2011-01-21  John H. Embretsen  <john.embretsen@oracle.com>

	Various optional extensions to ExecutionTimeComparator.
	Whether to use these can be configured by editing variables
	or constants in the top of the file (ExecutionTimeComparator.pm).
	If needed one can make it configurable via the command line
	later.
	
	- Skip EXPLAIN comparison. In some cases EXPLAIN output 
	comparison is not interesting and/or too expensive.
	Set the variable $skip_explain to 1 to skip this.
	Default is 0 (EXPLAIN comparison enabled).
	
	- Query repetition: 
	Repeat each query N times (default 0) and calculate 
	and use the average execution times for these 
	repetitions instead of numbers from single runs.
	Single executions may too often yield false positives
	due to for example background activity.
	
	- File output: 
	Notable results written to tab-separated text file. 
	Queries with ratios outside the given thresholds will 
	be written to the text file along with the ratio, 
	reversed ratio, time0 and time1. This will then be easy
	to import into a spreadsheet or other tools for further
	processing. Default behavior is to write to a file 
	("rqg_executiontimecomp.txt"). To disable this, undef the
	variable $outfile.
	
	- Table variation: 
	For simple queries selecting from a single table, it is
	possible to repeat the query against other tables 
	specified in the @tables array. This is useful for
	(e.g.) comparing ratios for tables of different sizes.
	The @tables array is by default empty, in which case no 
	such extra executions will take place.

2011-01-20  eve  <philips@eve>

	make UPDATE immune to different results depending on the order of records

2011-01-20  eve  <philips@eve>

	fixes to dbt3-dml.yy that prevent 'duplicate key value' errors

2011-01-20  eve  <philips@eve>

	new grammar and validator for testing the optimization of DML statements

2011-01-20  eve  <philips@eve>

	DBT-3 scale 0.0001, suitable for faster running of DML tests

2011-01-18  eve  <philips@eve>

	first draft for a Validator for DML statements

2011-01-18  eve  <philips@eve>

	make the Executor handle 'changed rows' and 'matched rows' as reported by mysql_info()

2011-01-14  eve  <philips@eve>

	grammar and RQG fixes for testing HANDLER

2011-01-14  John H. Embretsen  <john.embretsen@oracle.com>

	Update pushbuild scripts to use 5.0.91 instead of 5.0.87 for comparison runs on Windows.

2011-01-13  eve  <philips@eve>

	revert the low memory mysqld options, will make them configurable and introduce them again later

2011-01-12  Jon Olav Hauglid  <jon.hauglid@oracle.com>

	Update header in metadata_stability grammar.
	- Update copyright notice
	- Add comment about the usage of the grammar.

2011-01-12  Jon Olav Hauglid  <jon.hauglid@oracle.com>

	Updates to the metadata_stability grammar:
	- Revert change that added MyISAM and MEMORY engine tables (Bug#55683).
	- Re-enable grammar for now fixed bugs (Bug#48246, Bug#49891)
	- Change disabled syntax to match pattern used in pushbuild.
	- Remove DETERMINISTIC from CREATE FUNCTION as the created function can
	be non-deterministic.

2011-01-11  eve  <philips@eve>

	restrict mysqld memory usage in an attempt to allow running more than one RQG test simultaneously without having to buy 16Gb of ram

2011-01-08  eve  <philips@eve>

	updated .CC file for Aria recovery

2011-01-08  eve  <philips@eve>

	print bzr log and bzr version-info for combinations.pl runs

2011-01-08  eve  <philips@eve>

	mkdir required directories for recovering the SMF data set

2011-01-08  eve  <philips@eve>

	enable Recovery testing to detect 'marked as crashed' failures

2010-12-27  eve  <philips@eve>

	convert mysqldump SQL into single-line statements, suitable for further processing

2010-12-27  eve  <philips@eve>

	print EXPLAIN before simplification in order to aid debugging of queries with unstable plans

2010-12-27  eve  <philips@eve>

	misc fixes to the Simpipe simplification framework

2010-12-27  eve  <philips@eve>

	use alias istead of table in grammar in order to avoid confusion

2010-12-27  eve  <philips@eve>

	fixes to the range_access2.yy grammar -- do not use LIMIT , more complex WHERE

2010-12-27  eve  <philips@eve>

	test all 4 engines at once

2010-12-03  eve  <philips@eve>

	faster simplification via eliminating entire groups of rows

2010-12-27  eve  <philips@eve>

	filter file for intersection

2010-12-27  eve  <philips@eve>

	fix typo

2010-12-27  eve  <philips@eve>

	filter file for range accesses

2010-12-27  eve  <philips@eve>

	also detect 'table has crashed' messages on recovery

2010-12-20  eve  <philips@eve>

	grammars and data sets for testing OQGRAPH

2010-12-14  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Changed case in performance schema

2010-12-13  eve  <philips@eve>

	DBT-3 joins grammar with currencies and realistic HAVING clauses

2010-12-11  eve  <philips@eve>

	removed obsolete .CC file

2010-12-11  eve  <philips@eve>

	comprehensive .CC files for DS-MRR optimization

2010-12-11  eve  <philips@eve>

	handle ER_TOO_BIG_SELECT

2010-12-11  eve  <philips@eve>

	a fully formed grammar for DBT-3 joins

2010-12-11  eve  <philips@eve>

	minor cleanup

2010-12-10  eve  <philips@eve>

	preliminary version of grammar generating DBT-3 /TPC-H joins

2010-12-06  eve  <philips@eve>

	better grouping of EXPLAIN optimizations in --debug output

2010-12-06  eve  <philips@eve>

	handle intersection and sort intersection optimizations

2010-12-06  eve  <philips@eve>

	DBT3/TPC-H with scale 0.01

2010-12-06  eve  <philips@eve>

	adjusting the dbt3-ranges.yy grammar for best results -- more COUNT() , no GROUP BY

2010-12-03  eve  <philips@eve>

	new range optimizer grammar based on DBT3 + dataset

2010-12-03  eve  <philips@eve>

	fix typo in util/simplify-crash.pl

2010-12-02  Jon Olav Hauglid  <jon.hauglid@oracle.com>

	Three small extensions to the WL#5004 grammar:
	- FLUSH TABLES
	- FLUSH TABLES table_list WITH READ LOCK
	- UPDATE triggers

2010-11-29  Patrick Crews  <gleebix@gmail.com>

	Merge trunk

2010-11-26  Patrick Crews  <gleebix@gmail.com>

	Minor syntax fix in DrizzleTransactionLog reporter

2010-11-29  Patrick Crews  <gleebix@gmail.com>

	Added no-err-filter option to turn off randgen suppression of error messages.  There are cases where we want to see all error output from the randgen.  Code only added to Drizzle Executor, but can be added to other Executors if desired

2010-11-23  Patrick Crews  <gleebix@gmail.com>

	Added grammar to assist with duplicating bug 680669

2010-11-22  patrick crews  <gleebix@gmail.com>

	Created Drizzle variants of Recovery reporters

2010-11-22  patrick crews  <gleebix@gmail.com>

	Created a separate DrizzleTransformer as several MySQL/Maria transformers do not work with Drizzle.  Added two Transforms for testing EXECUTE

2010-11-18  patrick crews  <gleebix@gmail.com>

	merge trunk

2010-11-18  patrick crews  <gleebix@gmail.com>

	Added thread-tracking to translog_concurrent1 grammar

2010-11-18  patrick crews  <gleebix@gmail.com>

	Added error log scanner - will scan the log after each query, searching for the cause of a particular error message

2010-11-17  patrick crews  <gleebix@gmail.com>

	Enhancement to DrizzleTransactionLog reporter to allow seamless runs on older or newer Drizzle trees

2010-11-17  eve  <philips@eve>

	use 'alias1' instead of 'table1' to avoid confusion with 't1' in simplified test cases

2010-11-17  eve  <philips@eve>

	slightly improved regexp for detecting join cache uses

2010-11-17  eve  <philips@eve>

	simplify queries starting from the end

2010-11-17  eve  <philips@eve>

	new Validator and Transformer for targeted join_cache testing with SimPipe simplification

2010-11-17  eve  <philips@eve>

	use mysqld options to restrict mysqld memory usage -> smaller core files -> faster crash simplification

2010-11-17  eve  <philips@eve>

	misc improvements to the Simpipe framework

2010-11-16  patrick crews  <gleebix@gmail.com>

	Fixed typo in path in transaction log reporter

2010-11-16  patrick crews  <gleebix@gmail.com>

	Adjustments to Drizzle transaction log tests - removed tweaks of ISOLATION LEVEL settings + changes to Reporter

2010-11-11  Patrick Crews  <gleebix@gmail.com>

	Merge trunk

2010-11-11  Matthias Leich  <matthias.leich@oracle.com>

	Fix template:
	The server system variable 'table-lock-wait-timeout' does no more exist since some time.
	It was replaced by 'lock-wait-timeout'.

2010-11-11  Patrick Crews  <gleebix@gmail.com>

	Modificatons to the DrizzleTransactionLog Reporter to allow for running on Hudson/drizzle-automation

2010-11-10  eve  <philips@eve>

	a foundation for a new simplification framework

2010-11-10  eve  <philips@eve>

	print EXPLAIN diff in ResultsetComparatorSimplify

2010-11-10  eve  <philips@eve>

	complete CC files for testing MRR/ICP for single servers

2010-11-10  eve  <philips@eve>

	Test MRR/ICP/ranges with all 3 storage engines that support it

2010-11-10  eve  <philips@eve>

	make ExecuteAsTrigger multithread-safe

2010-11-10  eve  <philips@eve>

	avoid reporting STATUS_CONTENT_MISMATCH bugs on queries involving LIMIT. Only report STATUS_LENGTH_MISMATCH

2010-11-10  eve  <philips@eve>

	increase query lifetime in order to reduce false positives

2010-11-10  eve  <philips@eve>

	new .opt file that disables MRR, since there is no --mysqld option

2010-11-10  eve  <philips@eve>

	new FF file that allows only MRR/BKA/join_cache queries

2010-11-10  eve  <philips@eve>

	silence ER_MIX_OF_GROUP_FUNC_AND_FIELDS error, printed by ONLY_FULL_GROUP_BY SQL mode

2010-11-10  eve  <philips@eve>

	--engine will have precedence over the .ZZ file 

2010-11-10  eve  <philips@eve>

	handle index_condition_pushdown in DisableChosenPlan Validator

2010-11-09  Patrick Crews  <gleebix@gmail.com>

	Replace use of PID to THREAD_ID

2010-11-09  Patrick Crews  <gleebix@gmail.com>

	Merge trunk

2010-11-09  eve  <philips@eve>

	expose _thread_id to grammars

2010-11-09  Patrick Crews  <gleebix@gmail.com>

	Modified translog_concurrent3 grammar to output pid.  Will help with troubleshooting concurrent testing bugs

2010-11-08  Patrick Crews  <gleebix@gmail.com>

	Fixed TransactionLog reporter - bad path to transaction log

2010-11-08  Patrick Crews  <gleebix@gmail.com>

	Added code to Drizzle Executor to use sqltrace

2010-11-08  Patrick Crews  <gleebix@gmail.com>

	Revert DrizzleTransactionLog Reporter to use 2 servers - overhead of validating against a server that was logging the recovery made tests slower than desired

2010-11-04  Patrick Crews  <gleebix@gmail.com>

	Fix of typo in the translog reporter

2010-11-04  Patrick Crews  <gleebix@gmail.com>

	Updates to the transaction log tests. Removed single-thread variants that used a Validator - redundant

2010-11-02  patrick crews  <gleebix@gmail.com>

	Modifications to the drizzledump_migrate grammar to avoid hitting a situation requiring manual intervention (more complicated migration)

2010-11-02  eve  <philips@eve>

	better MTR test cases, pretty printing, etc.

2010-11-02  eve  <philips@eve>

	Do not remove the AS from "table1 AS alias1"

2010-11-02  eve  <philips@eve>

	dump the diff of the EXPLAINS for Transform failures

2010-11-02  eve  <philips@eve>

	remove some MTR output during crash simplification

2010-11-02  eve  <philips@eve>

	Rename tables as t1 , t2 , t3, etc when dumping a test case

2010-11-02  eve  <philips@eve>

	Do not remove the AS from "table1 AS alias1"

2010-11-02  eve  <philips@eve>

	reduce the usage of STRAIGHT_JOIN since it is not SQL standard

2010-11-02  eve  <philips@eve>

	report all MTR failures as STATUS_ENVIRONMENT_FAILURE

2010-11-02  eve  <philips@eve>

	enable simplify-crash to use server that is already running, rather than hang forever trying to restart it

2010-11-02  eve  <philips@eve>

	better messages on wrong script arguments; allow --no-mask to override --mask so that --no-mask can be specified in .CC files

2010-11-01  Patrick Crews  <gleebix@gmail.com>

	New transaction log grammars designed to produce a higher number of valid queries.  Using additional grammars as the error-prone ones have proven valuable for testing

2010-11-01  patrick crews  <gleebix@gmail.com>

	Tweaks to the drizzledump migration tests

2010-10-28  John H. Embretsen  <john.embretsen@oracle.com>

	Server: Increase wait time from 20 s to 120 s until timing out a startup attempt. Startup time may drag out in some cases (bug#57773).

2010-10-28  John H. Embretsen  <john.embretsen@oracle.com>

	Server: Print total wait time when server startup fails on Unix.

2010-10-28  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Testing that the DBD driver is there and displaying version

2010-10-26  eve  <philips@eve>

	more robust ExecutionTimeComparator

2010-10-25  eve  <philips@eve>

	new --valgrind-xml option that reports Valgrind failures at the end of the test

2010-10-25  eve  <philips@eve>

	dump test even on sporadic failures

2010-10-25  eve  <philips@eve>

	filter that permits only queries using a join buffer

2010-10-25  eve  <philips@eve>

	disable plans from least general to most general

2010-10-25  eve  <philips@eve>

	fix --no-mask in combinations.pl

2010-10-21  John H. Embretsen  <john.embretsen@oracle.com>

	Adjust the ParseAllGrammars unit test to skip rule checks for redefine files if such files exist in the working copy of the repository.

2010-10-21  John H. Embretsen  <john.embretsen@oracle.com>

	ParseAllGrammars unit test: Print helpful message when assert fails.

2010-10-21  John H. Embretsen  <john.embretsen@oracle.com>

	Bug in runall-new.pl: GenTest accepts property "redefine", not "redefine_file".

2010-10-21  John H. Embretsen  <john.embretsen@oracle.com>

	pb2gentest: Add blank line before new entries in special comments that are printed to output.
	A "new entry" is defined by the string "Bug#" or "WL#" in the beginning of a comment line.
	With properly formatted comments, this will result in output like:
	
	# Bug#1234 - Some bug title
	# Disabled: SQL this and that disabled
	
	# WL#4321 - Some worklog title
	# Disabled: New feature, worklog not pushed yet
	
	etc.

2010-10-20  John H. Embretsen  <john.embretsen@oracle.com>

	WL5004_sql_custom.yy: Temporarily revert to the state of WL5004_sql.yy grammar as of revid before:matthias.leich@oracle.com-20100909144349-oft15uen1upz9j8v.
	This is to make the tests using this "custom" grammar pass for "late" code branches.
	The added coverage due to fixed bugs in 5.5-runtime is now part of the WL5004_sql.yy grammar, to be used for such (not so late) branches.
	To go back to the previous (more "recent") state of this grammar, revert this revision at some later point in time.
	Note: It may not have been necessary to revert the whole patch in order to avoid test failures, but this was done for simplicity.

2010-10-19  John H. Embretsen  <john.embretsen@oracle.com>

	pb2gentest*: Automatically look for redefine file to match the given grammar file. If found, add --redefine=file to RQG command line. Also:
	- print special comments from grammar file or redefine file (if used). Special comments include those that mention bug number or worklog number or the word Disabled in the beginning of the comment.
	- use different grammar file for mdl_stress and mdl_deadlock tests based on branch name.
	- update address of Free Software Foundation in copyright statement.
	- update copyright statement (pb2gentest.pl only).
	Same set of changes applied to both pb2gentest.pl and pb2gentest-new.pl.

2010-10-19  John H. Embretsen  <john.embretsen@oracle.com>

	WL5004_sql.yy grammar changes: Some updates from Matthias and Jon Olav. Also, since most bug-specific disablings are removed, the original grammar (from the previous revision, revid philips@eve-20101016082950-m730jxbm726me57i), without bzr history, has been preserved as the file WL5004_sql_custom.yy.
	This makes it possible to run at least two different versions of the grammar against various product versions.

2010-10-16  eve  <philips@eve>

	handle both binlog and non-default vardir in Recovery

2010-10-15  eve  <philips@eve>

	post-push fixes

2010-10-15  eve  <philips@eve>

	cache MySQL metadata

2010-10-13  eve  <philips@eve>

	make 'binlog cache full' error non-fatal

2010-10-13  eve  <philips@eve>

	make Recovery testing handle binlog and replication

2010-10-13  eve  <philips@eve>

	make runall reconnect to master if it has been restarted due to recovery testing

2010-10-15  eve  <philips@eve>

	make DisableChosenPlan handle join caching and MRR

2010-10-14  Patrick Crews  <gleebix@gmail.com>

	translog_ordering grammar + gendata.  Simple test for finding instances where the translog and innodb transaction order are out of sync

2010-10-14  Patrick Crews  <gleebix@gmail.com>

	Organized a grammar rule for easier changes

2010-10-13  patrick crews  <gleebix@gmail.com>

	Merge trunk

2010-10-13  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fix to bug53535

2010-10-11  Matthias Leich  <matthias.leich@oracle.com>

	Fix the storage place of the redefine file

2010-10-13  patrick crews  <gleebix@gmail.com>

	Removed query output from Drizzle Executor when using --debug.  No longer needed due to sqltrace option

2010-10-07  John H. Embretsen  <john.embretsen@oracle.com>

	Revert change from Oct 1 causing regression with INFORMATION_SCHEMA tests, see https://bugs.launchpad.net/randgen/+bug/655740. Reverted revid philips@eve-20101001113351-hr7p09x3ukmfvf63.

2010-10-06  eve  <philips@eve>

	only use SET optimizer_switch on switches that are supported in the particular server release

2010-10-05  patrick crews  <gleebix@gmail.com>

	minor changes to concurrent transaction log Reporter

2010-10-05  Matthias Leich  <matthias.leich@oracle.com>

	1. Pass assigned redefine files through to the runall call
	2. Increase the sleep time before the backup of protocols etc. is made
	Reason: There were too often messages of tar that some InnoDB related
	files changed during the backup
	3. Include the redefine file into teh backup

2010-10-05  Matthias Leich  <matthias.leich@oracle.com>

	Minor fix:
	Allow to assign a redefine file

2010-10-05  Matthias Leich  <matthias.leich@oracle.com>

	Minor corrections:
	1. Improve comments
	2. The server system variable "table-lock-wait-timeout" is no more valid.
	It was renamed to "lock-wait-timeout".
	3. Add the assignment of a redefine file to the RQG options.
	4. Increase search_var_size because it happened too frequent that the
	distance of search pattern to the file end was bigger.

2010-10-05  eve  <philips@eve>

	apply disabling to subquery_cache only to queries that show expr_cache in EXPLAIN SELECTED and not any of the other caches that are laying around

2010-10-04  patrick crews  <gleebix@gmail.com>

	Updated grammar so INSERTs work correctly

2010-10-04  patrick crews  <gleebix@gmail.com>

	Merge with trunk

2010-10-01  eve  <philips@eve>

	Slightly improved the I_S metadata query so that tests with --threads=>10 have at least some chance to run before the end of the universe

2010-10-01  eve  <philips@eve>

	do not run EXPLAIN on test dumping, causes too many crashes

2010-10-01  eve  <philips@eve>

	make DisableChosenPlan handle in_to_exists transformations as well

2010-10-01  eve  <philips@eve>

	extra speedup via mysqld options for MTR simplificaitons

2010-09-29  eve  <philips@eve>

	new Transformers that execute selects and subselects in a TRIGGER, UPDATE and DELETE contexts

2010-09-28  patrick crews  <gleebix@gmail.com>

	Merge trunk

2010-09-28  eve  <philips@eve>

	OpenStreetMap schema and data for Andorra

2010-09-28  eve  <philips@eve>

	fix Recovery.pm to properly work with table names that contain 'error'

2010-09-27  patrick crews  <gleebix@gmail.com>

	Added new Reporter to test Drizzle's transaction log - it will attempt to replicate + validate from the log after a randgen run is complete.  Modified GenTest.pm so that we can use Reporters with Drizzle

2010-09-28  patrick crews  <gleebix@gmail.com>

	Added two variants of our most effective grammars in order to stress the data dictionary tables while generating serious queries

2010-09-26  patrick crews  <gleebix@gmail.com>

	Added new grammars designed for use with threads > 1

2010-10-04  patrick crews  <gleebix@gmail.com>

	Added grammar, gendata + Validator files for testing MySQL->Drizzle migration via the drizzledump client

2010-09-23  patrick crews  <gleebix@gmail.com>

	Merge with trunk

2010-09-23  eve  <philips@eve>

	adjust the Recovery reporter to the Maria->Aria rename in MariaDB 5.2

2010-09-23  patrick crews  <gleebix@gmail.com>

	Added new grammar transaction_log_single_thread2_drizzle.yy  Variant of the original grammar, designed for single-threaded testing of the transaction log

2010-09-22  patrick crews  <gleebix@gmail.com>

	Tuned + renamed initial transaction_log grammar

2010-09-22  patrick crews  <gleebix@gmail.com>

	Merge trunk

2010-09-22  eve  <philips@eve>

	fix TRANSFORM_DISTUNCT to use case-insensitive comparisons

2010-09-15  eve  <philips@eve>

	make ExecuteAsView use a separate database in order to avoid metdata pollution

2010-09-15  eve  <philips@eve>

	new simple grammar for sort_union and index_merge testing

2010-09-22  patrick crews  <gleebix@gmail.com>

	Added initial, single-thread grammar + validator for the Drizzle transaction log.

2010-09-09  Matthias Leich  <matthias.leich@oracle.com>

	Adjustment to fixed and new bugs for 5.5-runtime
	Attention: Not all RQG tests with this grammar on mysql-5.5-runtime pass 

2010-09-08  eve  <philips@eve>

	remove CHECKSUM=1, caused more problems than was useful for. will use .ZZ files instead

2010-09-08  eve  <philips@eve>

	make crashes on data loading terminate the entire test

2010-09-08  eve  <philips@eve>

	use RQG_HOME when calling runall.pl

2010-09-07  Patrick Crews  <gleebix@gmail.com>

	Altered Drizzle.pm executor to deal with unused error code changes made to Drizzle.  Probably not needed, but good to clean up

2010-09-07  Matthias Leich  <matthias.leich@oracle.com>

	Adjust preliminary RQG grammar for WL#5136 to open bugs

2010-09-07  Patrick Crews  <gleebix@gmail.com>

	Patch to Gendata.pm to remove the CHECKSUM=1 for CREATE TABLE statements generated for Drizzle servers.  Otherwise we get errors

2010-09-07  Matthias Leich  <matthias.leich@oracle.com>

	Preliminary RQG grammars for WL#5136

2010-09-06  eve  <philips@eve>

	fixes to Transforms to make them subselect-compatible

2010-09-06  eve  <philips@eve>

	new Transformer - ExecuteAsUnion

2010-09-06  eve  <philips@eve>

	enable CHECKSUM=1 when creating tables

2010-09-06  eve  <philips@eve>

	enable extra maria recovery code

2010-09-03  eve  <philips@eve>

	simple way to generate lcov genhtml reports from runall.pl

2010-09-03  eve  <philips@eve>

	script for simplifying queries based on performance

2010-09-03  eve  <philips@eve>

	regexp fixes

2010-09-03  eve  <philips@eve>

	better stats for the ExecutionTimeComparator

2010-09-02  eve  <philips@eve>

	provide textual exit codes for various scripts and not jus numbers

2010-09-01  Patrick Crews  <gleebix@gmail.com>

	Merge with trunk

2010-09-01  eve  <philips@eve>

	remove deprecated mysqld options from Recovery.pm

2010-09-01  Patrick Crews  <gleebix@gmail.com>

	Added proclist_subquery_drizzle.yy, fixed data_dict_concurrent_drizzle's minor grammar errors causing bad queries

2010-08-31  Patrick Crews  <gleebix@gmail.com>

	data_dict_concurrent_drizzle.yy - generate a number of queries that SELECT from data_dictionary tables.

2010-08-31  eve  <philips@eve>

	new transformer - execute as SELECT item

2010-08-31  eve  <philips@eve>

	.cc and .ff files for testing the dsmrr-cpk optimization

2010-08-31  eve  <philips@eve>

	better timeout for QueryTimeout.pm so that Valgrind queries have a chance to run

2010-08-31  eve  <philips@eve>

	better defaults for the simplify-crash.pl script

2010-08-31  eve  <philips@eve>

	support for filters on the EXPLAIN output from each SELECT

2010-08-31  eve  <philips@eve>

	provide --no-mask for grammars that do not benefit from masking

2010-08-31  eve  <philips@eve>

	fixes to the GendataTest.pm. Also made it indepedent from example.zz by using a dedicated .ZZ file

2010-08-30  eve  <philips@eve>

	fix for participating rules feature

2010-08-29  eve  <philips@eve>

	use maria_read_lock to further validate Maria recovery

2010-08-28  eve  <philips@eve>

	make --rows have priority over .ZZ file

2010-08-28  eve  <philips@eve>

	Report when copying is in progress during recovery testing, to prevent undesirable Ctrl+Cs

2010-08-28  eve  <philips@eve>

	make 'can't find record' a fatal error

2010-08-28  eve  <philips@eve>

	new Transform - execute as INSERT ... SELECT

2010-08-28  eve  <philips@eve>

	fixes to the StraightJoin Transform

2010-08-28  eve  <philips@eve>

	protection against broken grammar rules that always produce broken queries

2010-08-28  eve  <philips@eve>

	fix incorrect INSERT ... SELECT LIMIT X LIMIT Y

2010-08-28  eve  <philips@eve>

	fix incorrect usage of _letter

2010-08-28  eve  <philips@eve>

	merge

2010-08-26  John H. Embretsen  <john.embretsen@oracle.com>

	pb2gentest: Increase queries for outer_join test, but lower duration (more coverage on faster machines while limiting load on slower ones).

2010-08-19  Patrick Crews  <gleebix@gmail.com>

	Merge with trunk

2010-08-19  John H. Embretsen  <john.embretsen@oracle.com>

	Support --sqltrace option with classic runall.pl and gentest.pl. Add to usage texts.

2010-08-18  Patrick Crews  <patrick.crews@sun.com>

	Tweak of grammar to generate more valid queries

2010-08-19  Patrick Crews  <gleebix@gmail.com>

	proclist_drizzle.yy - new grammar designed to test concurrent SHOW PROCESSLIST scenarios.  Generates some background workload or executes SHOW PROCESSLIST.  Designed to be run with gendata=conf/drizzle/drizzle.zz --threads=10.  Currently hitting some deadlocks when queries=25000

2010-08-18  Patrick Crews  <gleebix@gmail.com>

	Tweaked optimizer_subquery_drizzle grammar to produce more valid queries

2010-08-16  Patrick Crews  <gleebix@gmail.com>

	Merge with trunk

2010-08-12  eve  <philips@eve>

	merge

2010-08-12  eve  <philips@eve>

	post-push fixes for lib/GenTest/Transform.pm

2010-08-12  eve  <philips@eve>

	misc fixes to various Transforms that were unstable

2010-08-12  eve  <philips@eve>

	misc improvements to Transforms, including the ability to transform one query into several equivalent queries

2010-08-12  eve  <philips@eve>

	output EXPLAIN EXTENDED for the query

2010-08-12  eve  <philips@eve>

	new Transform that disables the query plan that was initially chosen for the query

2010-08-12  eve  <philips@eve>

	Dummy transform

2010-08-11  John H. Embretsen  <johnemb@johnemb-mac.local>

	DBServer: Add basic support for Mac OS X by having utility functions to check for darwin, and looking for libmysqlclient.dylib instead of .so.

2010-08-11  John H. Embretsen  <johnemb@johnemb-mac.local>

	DBServer: Correct directory name for RelWithDebInfo builds on Windows. Was RelWithDebugInfo, should be RelWithDebInfo. Thanks to wlad for pointing this out.

2010-08-09  eve  <philips@eve>

	better ORDER BY transformer, that uses ORDER BY 1 in case no ORDER BY is specified

2010-08-09  eve  <philips@eve>

	better STRAIGHT_JOIN Transformer

2010-08-09  eve  <philips@eve>

	new Transform - convert subqueries to views

2010-08-09  eve  <philips@eve>

	tag each query with the name of the Transform it came from

2010-08-09  eve  <philips@eve>

	fix ExecuteAsView transform -- now handles subqueries if they can be converted into a VIEW

2010-08-09  eve  <philips@eve>

	fix the Limit Transforms to properly handle OFFSET

2010-08-04  John H. Embretsen  <john.embretsen@oracle.com>

	runall-new.pl: Convert paths fed to system utils on windows to win-style to avoid errors (there are probably more paths to be converted, but this is a start). Add utility function unix2winPath() to GenTest.pm.

2010-08-04  John H. Embretsen  <john.embretsen@oracle.com>

	runall-new.pl: Use 'dir' instead of 'ls -l' on Windows.

2010-08-04  John H. Embretsen  <john.embretsen@oracle.com>

	pb2gentest-new.pl: Correct script name.

2010-08-04  John H. Embretsen  <john.embretsen@oracle.com>

	pb2gentest*.pl: Support vardir as relative path by adjusting pskill commands.

2010-08-04  John H. Embretsen  <john.embretsen@oracle.com>

	Add --notnull option to runall-new.pl (was recently added to runall.pl and friends).

2010-08-04  John H. Embretsen  <john.embretsen@oracle.com>

	MySQLd.pm: Revert to File::Path's mkpath instead of the newer make_path. Older Perl (e.g. v5.8.8) does not have make_path.

2010-08-04  John H. Embretsen  <john.embretsen@oracle.com>

	Add "bin" to search path for mysqld and mysqldump on Windows.
	Also add various search paths for libmysql.dll, which may be located in a number of places depending on build type, version, etc. etc.

2010-08-03  John H. Embretsen  <john.embretsen@oracle.com>

	Use File::Path's make_path function instead of Perl's built-in mkdir function to create MySQL database directories.
	mkdir does not work on Windows if multiple directory levels need to be created (e.g. parent/new/newsub).

2010-08-03  John H. Embretsen  <john.embretsen@oracle.com>

	Fix for bug#55689 (mysqldump fails with new server module against old MySQL due to --no-tablespaces).
	The fix is to only add --no-tablespaces to mysqldump command only if MySQL version number is greater than 5.1.13 (the option was added in 5.1.14).

2010-08-03  eve  <philips@eve>

	ugly hack to enable multiple --validator --reporter in runall.pl

2010-08-03  eve  <philips@eve>

	fix ports in util/simplify-query.pl to match latest MTR v1 --start-and-exit behavior

2010-08-16  Patrick Crews  <gleebix@gmail.com>

	Final, working grammar and validator.  Intended to work in a single-server, single-thread environment.  Grammar and Validator should be paired.  Seeing runs at ~4 min / 50 'queries', with a query being a round of creating one or more test tables per round (avg 5-7)

2010-08-09  Patrick Crews  <gleebix@gmail.com>

	Checkpoint - basically working.  We still need to populate the test bed via SELECT's (creating larger tables), but we do some magic at this point

2010-08-06  Patrick Crews  <gleebix@gmail.com>

	Checkpoint - we are able to test multiple tables per query-set!  Next some cleanup and whatnot in the Validator and more interestingness in the tables generated (grammar)

2010-08-06  Patrick Crews  <gleebix@gmail.com>

	Checkpoint - we have basic (single table) case working.  Need extra code for better error messaging and handling multiple tables

2010-08-05  Patrick Crews  <gleebix@gmail.com>

	Minor fix of string comparison

2010-08-05  Patrick Crews  <gleebix@gmail.com>

	Updated drizzledump validator to only work on the end of a multi-query statement via a signal query - SELECT 1.  Will look into using query comments to be less hackish.  Still need to get comparison and attendant meta-data queries working

2010-08-05  Patrick Crews  <gleebix@gmail.com>

	Continued work on drizzledump grammar and validator

2010-08-04  Patrick Crews  <gleebix@gmail.com>

	initial drizzledump grammar and Drizzledump validator.  Will / need to work together to validate drizzledump output.

2010-08-28  eve  <philips@eve>

	report crashes during gendata .zz generation

2010-08-02  eve  <philips@eve>

	post-push fixes for the --notnull option

2010-08-02  eve  <philips@eve>

	added --notnull option to all scripts

2010-08-02  eve  <philips@eve>

	improvements and speedups to the simplify-crash script

2010-08-02  eve  <philips@eve>

	disable the DisableIndexes validator by default due to slowness

2010-08-02  eve  <philips@eve>

	subquery grammar without outer join bypasses some structural issues with the optimizer

2010-07-21  Patrick Crews  <gleebix@gmail.com>

	Additional changes for YES/NO vs. TRUE/FALSE on metadata queries

2010-07-21  Patrick Crews  <gleebix@gmail.com>

	Modified Drizzle Executor to look for YES rather than TRUE when performing metadata queries

2010-07-20  eve  <philips@eve>

	enable the RemoveIndexHints Transformer

2010-07-20  eve  <philips@eve>

	new grammar for testing virtual columns

2010-07-20  eve  <philips@eve>

	increase the lenghth limit for generated queries

2010-07-20  eve  <philips@eve>

	new functionality for running different queries on the 2 servers

2010-07-20  eve  <philips@eve>

	new Transforms for Virtual columns and FORCE|IGNORE index

2010-07-19  eve  <philips@eve>

	fix broken handling of 

2010-07-16  eve  <philips@eve>

	use RQG_HOME to find config files specified via --gendata --grammar and --redefine

2010-07-16  eve  <philips@eve>

	better transactions for the engine_stress.yy

2010-07-16  eve  <philips@eve>

	combinations file for Maria recovery

2010-07-16  eve  <philips@eve>

	fixes to engine_stress.yy -- better ORDER BY for more predictable REPLACE/UPDATE/DELETE

2010-07-15  John H. Embretsen  <john.embretsen@sun.com>

	New file (pb2gentest-new.pl) that is mostly a copy of pb2gentest.pl. The difference is that this file uses runall-new.pl instead of runall.pl.
	In addition, the Shutdown reporter is no longer added by default, as this is not yet compatible with runall-new.pl (the latter shuts down its own servers, usually).

2010-07-08  Patrick Crews  <gleebix@gmail.com>

	Altered metadata-gathering queries to accommodate changes to Drizzle in Executor/Drizzle.pm

2010-07-08  Patrick Crews  <gleebix@gmail.com>

	Added limit_compare_drizzle.  Altered gendata file drizzle.zz to use char(10) and char(1024).  Adjusted grammar files that use drizzle.zz to reflect new columns generated by gendata file

2010-07-08  eve  <philips@eve>

	increase proportion of DML over SELECTs in conf/engines/engine_stress.yy

2010-07-08  eve  <philips@eve>

	remove DELAYED from varchar test, not supported by any interesting engine

2010-07-08  eve  <philips@eve>

	some modifications to the varchar test -- both long and short strings, no SELECT , etc

2010-07-08  eve  <philips@eve>

	handle one more 'out of disk space' message

2010-07-07  eve  <philips@eve>

	make 'got error X from engine' errors fatal

2010-07-07  eve  <philips@eve>

	use kill when shutting down server as well, for extra security

2010-07-07  eve  <philips@eve>

	merge

2010-07-06  Matthias Leich  <matthias.leich@sun.com>

	- Modify bughunt.pl so that
	- the server binary gets also put into the archive with
	information about the problem found
	- the creation of the archive happens when the write activity
	to files is hopefully completed
	- move the parameter "basedir" out of the rqg_options block
	- minor beautification in bughunt_template.cfg

2010-07-06  eve  <philips@eve>

	merge

2010-07-06  eve  <philips@eve>

	better method for limiting core file sizes

2010-07-07  eve  <philips@eve>

	misc fixes to the Recovery test, now works with non-ascii charsets

2010-07-07  eve  <philips@eve>

	new DatabaseConsistency checks at the end of the test

2010-07-06  eve  <philips@eve>

	rearrange queries in conf/engines/engine_stress.yy in order to get a bit more actual updates from DML

2010-07-06  eve  <philips@eve>

	remove unnecessary debug output 

2010-07-06  eve  <philips@eve>

	Misc cleanups to the recovery test, uncomment parts of grammar, remove Falcon-specific stuff

2010-07-02  eve  <philips@eve>

	speed up util/simplify-crash.pl by not dumping intermediate cores and using MTR --fast

2010-07-02  eve  <philips@eve>

	add extra information to backtraces - full strings + potential location of crash

2010-06-28  Patrick Crews  <patrick.crews@sun.com>

	Added _mix variants of some drizzle grammars.  These gendata/ grammar combos are designed to test BlitzDB with Innodb tables.  Had to modify / fork from originals as we had to make some tradeoffs to work with BlitzDB.  Keeping originals as they provide larger coverage for Innodb by itself.

2010-06-25  Matthias Leich  <matthias.leich@sun.com>

	Adjustment to open bugs

2010-06-25  Matthias Leich  <matthias.leich@sun.com>

	Adjustments to open bugs

2010-06-25  Matthias Leich  <matthias.leich@sun.com>

	Adjustment to open bug

2010-06-24  Matthias Leich  <matthias.leich@sun.com>

	1. Fix bug (not proper set variable)
	2. Improve comments
	3. Adjustment to fixed and new bugs
	Base is: 5.5-m3 mysql-trunk-bugfixing
	I haven't seen any statements with wrong syntax except
	LOCK TABLE ... IN ... MODE
	which is required as soon as WL3561 gets pushed.

2010-06-23  Matthias Leich  <matthias.leich@sun.com>

	There is the loop over the trials to get the desired bad effect.
	Move actions which are not affected by the modifications inside
	of the loop before the loop.

2010-06-15  Matthias Leich  <matthias.leich@sun.com>

	Minor correction so that we catch all errors

2010-06-11  Patrick Crews  <patrick.crews@sun.com>

	Minor change so we see the query to be executed in output before trying to run it against the server

2010-06-11  Matthias Leich  <matthias.leich@sun.com>

	Add checking of the MEMORY storage engine

2010-06-10  Matthias Leich  <matthias.leich@sun.com>

	Use the correct file extension

2010-06-09  Matthias Leich  <matthias.leich@sun.com>

	Improvements for bugunting:
	1. Abort in case a test run gets STATUS_UNKNOWN_ERROR because it extreme
	likely that any future run will also fail.
	2. In case we hit an interesting problem preserve the content of the vardir,
	grammars, cores etc. in a compressed archive.
	

2010-06-09  John H. Embretsen  <john.embretsen@sun.com>

	Add required (for XML reporting) result attribute to Incidents generated by the Backtrace reporter. Setting result to 'fail', assuming that is correct for most backtrace incidents.

2010-06-08  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Corefile stuff. Version nmbers on Windows

2010-06-02  Matthias Leich  <matthias.leich@sun.com>

	- Adjustments of grammars to current bugs.
	- Improvements
	RQG runs with these grammars on mysql-next-mr
	suffer from various open bugs.

2010-06-02  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Delete sock file after call to server->crash

2010-06-01  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Look for file more places for installed mysql

2010-06-01  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Delete socket file on server stop, look for boot-sql more places

2010-05-28  Patrick Crews  <patrick.crews@sun.com>

	Further modifications of drizzle grammars / gendata files to produce a higher percentage of valid queries

2010-05-28  Patrick Crews  <patrick.crews@sun.com>

	Modification of grammar / gendata files to better work with drizzle.  Added drizzle variants for some tests as the grammars needed to be modified (didn't want to alter tests used by anyone else)

2010-05-28  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fixed typo in Windows mode

2010-05-21  Matthias Leich  <matthias.leich@sun.com>

	Adjustments to current properties of RQG tools

2010-05-21  Philip Stoev  <pstoev@mysql.com>

	make sure REPORTER_TYPE_ALWAYS is called for REPORTER_TYPE_DATA

2010-05-21  Philip Stoev  <pstoev@mysql.com>

	merge

2010-05-20  patrick crews  <patrick.crews@sun.com>

	Added disconnect method and altered DESTROY method.  Old DESTROY became disconnect and new DESTROY simply calls disconnect()

2010-05-19  Matthias Leich  <matthias.leich@sun.com>

	First version of RQG grammars for testing
	WL5092 RBR: Options for writing partial or full row images in RBR events

2010-05-19  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Moved call to mysqldump into DBServer/MySQLd

2010-05-19  Patrick Crews  <patrick.crews@sun.com>

	Altered lib/GenTest/Executor/Drizzle.pm to make use of EXECUTOR_RETURNED_ROW_COUNTS and EXECUTOR_AFFECTED_ROW_COUNTS to keep up with changes to the randgen

2010-05-21  Philip Stoev  <pstoev@mysql.com>

	better debug output in certain situations

2010-05-18  Philip Stoev  <pstoev@mysql.com>

	only apply ExecuteAsView transform if no subqueries are present

2010-05-18  Philip Stoev  <pstoev@mysql.com>

	some cleanup in util/simplify-crash.pl

2010-05-18  Philip Stoev  <pstoev@mysql.com>

	removing duplicate script util/simplify-crashes.pl

2010-05-17  Philip Stoev  <pstoev@mysql.com>

	add both types of test to the 'make test' Makefile target

2010-05-17  Philip Stoev  <pstoev@mysql.com>

	forcefully dealocate the Mixer so that the destructors of the Validators are properly called

2010-05-17  Philip Stoev  <pstoev@mysql.com>

	count and report affected_rows and returned rows separately

2010-05-16  Philip Stoev  <pstoev@mysql.com>

	fix bad .zz files, data should be followed by a = and not by => 

2010-05-15  Philip Stoev  <pstoev@mysql.com>

	fix allowing --engine=memory to work

2010-05-14  Matthias Leich  <matthias.leich@sun.com>

	Fix: Variable name is $pick_mode and not $pickmode

2010-05-13  Matthias Leich  <matthias.leich@sun.com>

	Fix bugs in PERL code pieces of grammar

2010-05-12  Matthias Leich  <matthias.leich@sun.com>

	Enable checking of transactional locking

2010-05-12  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Added --character-set-dir

2010-05-12  Matthias Leich  <matthias.leich@sun.com>

	Adjust the "CSV file to MTR test converter" to the behaviour of mysqldump
	Convert "Init DB","<schema>" to "USE <schema>"
	Detail:
	- mysqldump causes entries within the CSV file like
	"Init DB","<schema>"
	check if <schema> exists
	collect names of tables residing within <schema>
	various SELECTs on tables residing in <schema>
	- the old converter filtered the "Init DB","<schema>" out
	and the various SELECTs fail with "unknown table" in case
	the current (session) schema is <> "<schema>"

2010-05-11  Patrick Crews  <patrick.crews@sun.com>

	Experimental large dataset testing grammars

2010-05-07  Philip Stoev  <pstoev@mysql.com>

	better combinations file for metadata_locking testing

2010-05-07  Philip Stoev  <pstoev@mysql.com>

	terminate combinations run immediately on environment or perl error

2010-05-06  John H. Embretsen  <john.embretsen@sun.com>

	Fix incident timestamp so that it is of ISO format and can pass XML validation.

2010-05-06  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Reduce duration for range_access test until we are able to prove to PB2 that we are alive even with no output to stdout for 30 minutes. Should probably look more detailed at the test as well to see what is going on.

2010-05-06  John H. Embretsen  <john.embretsen@sun.com>

	Revert previous change. It was based upon a misunderstanding. Reporters need to give back control, not sleep for longer periods of time.

2010-05-06  John H. Embretsen  <john.embretsen@sun.com>

	Add a Heartbeat reporter printing a message every 20 mins, and add this to range_access test in pb2gentest.pl. This to avoid 30-minute timeouts enforced by Pushbuild.

2010-05-05  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Do not set --loose-log-output option when testing MySQL 5.0.x, otherwise the server will refuse to start.

2010-04-30  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Add opt_range_access (longish-running) test. Also fix so that opt_no_subquery is not run when we mean to run opt_no_subquery_compare_50.

2010-04-30  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Add opt_no_subquery test, following recommendations from Patrick C.

2010-04-30  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Alphabetize optimizer test definitions.

2010-04-30  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Add opt_no_subquery_compare_50 test for comparing queries for current server to 5.0 server.

2010-04-29  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Add opt_access_exp test based on recommendations from Patrick C.

2010-04-29  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Add opt_subquery test based on recommendations from Patrick C. Also fix typo in comment.

2010-04-29  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Add outer_join test based on recommendations from Patrick C.

2010-04-29  John H. Embretsen  <john.embretsen@sun.com>

	BzrInfo: Close temp file after reading. Also print a message if related file handling goes wrong.

2010-04-28  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Some cosmetic printout fixes.

2010-04-28  John H. Embretsen  <john.embretsen@sun.com>

	BzrInfo fixes for Windows (used to be too much escaping). Also print error message if unable to delete temporary file.

2010-04-23  John H. Embretsen  <john.embretsen@sun.com>

	XML: Make an incdident's signature a CDATA element to allow for various strange characters.

2010-04-23  John H. Embretsen  <john.embretsen@sun.com>

	XML: Fix wrong use of chomp in trim function.

2010-04-22  John H. Embretsen  <john.embretsen@sun.com>

	XML: Add generic incident to test report if status is not STATUS_OK and no incdidents have been reported from Reporters. Using status code as signature for now...

2010-04-22  John H. Embretsen  <john.embretsen@sun.com>

	XML: Trim away trailing newlines from Environment bit, kernel and encoding.

2010-04-22  John H. Embretsen  <john.embretsen@sun.com>

	XML: Use DATA_MODE and DATA_INDENT to improve XMl report readability for humans. This also makes debugging easier when there are parsing errors at the receiver end.

2010-04-22  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Moved server handling to lib/DBServer

2010-04-21  John H. Embretsen  <john.embretsen@sun.com>

	Accept and pass along all properties needed for XML reporting from runall-new to GenTest.

2010-04-21  John H. Embretsen  <john.embretsen@sun.com>

	Incident: Reorder XML elements according to XML schema. Add commented-out lines for missing elements.

2010-04-21  John H. Embretsen  <john.embretsen@sun.com>

	Fix indentation of Incident.pm. Using 4-space indent instead of tabs.

2010-04-20  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest.pl: Get tmpdir from GenTest if env var TMPDIR is not set. Also, add path to XML::Writer module to PERL5LIB for Solaris (actually only needed on techra22 (sparc32-bit) right now). Rearranged the latter to a multiline statement to make it easier to maintain.

2010-04-20  John H. Embretsen  <john.embretsen@sun.com>

	Fix for tmpdir bug in GenTest.pm:
	- if a suitable tmpdir was not found, it would be set to '/' or '\' (depending on OS), which is not a good idea.
	- as a result, the "croak if not defined $tmpdir" would never be reached.
	- fix: only append '/' or '\' if $tmpdir is defined, i.e. found among the given alternatives.
	If a suitable tmpdir is not found, GenTest will alert the user by croaking.

2010-04-16  John H. Embretsen  <john.embretsen@sun.com>

	Start using BzrInfo module for reporting versions to screen and XML reports.
	XML:
	BuildInfo:   Report bzr revision id of MySQL as 'revision' if available.
	Report some form of branch name or nick as 'tree' if available.
	Looking at some environment variables commonly set in automated 
	environment (PB2) as well as info from bzr.
	Environment: Report bzr revision id of randgen as 'version' if available.
	This is temporary (should be 'revision') until XML schema is fixed.
	pb2gentest:   Use the BzrInfo module for getting bzr information to print.
	This way we get a more uniform expression, with prefixes and all.
	Also print information set by some of PB2's environment variables.
	

2010-04-16  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fixed erroneous view names in optimizer grammars (only relevant when run with --views)

2010-04-16  John H. Embretsen  <john.embretsen@sun.com>

	Merge.

2010-04-16  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Sqltrace option for re-runs

2010-04-16  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fixed gendata from default and start-dirty typo

2010-04-16  John H. Embretsen  <john.embretsen@sun.com>

	Add a utility module called BzrInfo which can be used to obtain information about a bazaar tree.
	To be used in reporting of various kinds.

2010-04-15  John H. Embretsen  <john.embretsen@sun.com>

	XML: Adjust reported MySQL Server version info so that "version" is "major.minor.point" only (e.g. "5.5.4"), and the rest is part of "package" (e.g. "5.5.4-log-debug Source distribution").
	This is to make it easier to query based on versions in the reporting UI, and to align with other related test drivers.

2010-04-14  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Server.pl utility added

2010-04-13  Philip Stoev  <pstoev@mysql.com>

	allow grammar simplification to work with mask and mask-level

2010-04-12  John H. Embretsen  <john.embretsen@sun.com>

	Make sure XML-reporting related options are propagated to runall when running combinations tests.

2010-04-12  John H. Embretsen  <john.embretsen@sun.com>

	Fix capitalization typo in comment.

2010-04-12  John H. Embretsen  <john.embretsen@sun.com>

	Enable XML reporting in pb2combinations.pl. Also add username to output (aligned with pb2gentest.pl).

2010-04-12  John H. Embretsen  <john.embretsen@sun.com>

	XML and pb2gentest: Automatically enable XML reporting on more hosts. Added comments and adjusted some details.
	No longer specifying a default user name for SCP copying. If needed, specify user as part of value of --report-xml-tt-dest.

2010-04-09  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Display user name before running test. To ease debugging in a non-uniform deployment environment.

2010-04-08  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Try out XML reporting to TT in Pushbuild. Temporary code.

2010-04-08  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Merge from lp:~kalebral/randgen/update-drizzle-queries

2010-04-08  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	merge

2010-04-08  John H. Embretsen  <john.embretsen@sun.com>

	XML: Say error if --xml-output is not set when --report-xml-tt is. (Hopefully temporary)

2010-04-08  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Possibility to create a replicating server pair from two pre-exisiting server objects

2010-04-08  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fixed problem with stale dbh handlerwhich caused problem for replication

2010-04-08  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Adjustments after merge

2010-04-08  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Merge from lp:~johnemb/randgen/xml-report

2010-04-07  John H. Embretsen  <john.embretsen@sun.com>

	XML: Treat  as  for <environment> (fixes same parsing issue on linux as previous commit).

2010-04-07  John H. Embretsen  <john.embretsen@sun.com>

	XML: Parsing failed on 32-bit linux. Cause: bit tag was empty. Fix: Assume 32-bit if there is nothing following an underscore in output of 'uname -m'.

2010-04-07  John H. Embretsen  <john.embretsen@sun.com>

	XML: Use GenTest's subs for OS checks instead of $^O.

2010-04-07  John H. Embretsen  <john.embretsen@sun.com>

	XML: Option --testname requires a value. Also add its usage docs to runall, gentest.

2010-04-07  John H. Embretsen  <john.embretsen@sun.com>

	Merge randgen branch (revno 379, 2010-04-07 11:00 CEST) to XML report branch.

2010-04-07  John H. Embretsen  <john.embretsen@sun.com>

	XML: Update usage comment and stop exporting XML tranport types. Type value parsing is now handled by the Transporter module itself (see new()).

2010-04-07  John H. Embretsen  <john.embretsen@sun.com>

	XML: Use grammar file basename as testname if not given explicitly. If no grammar file name, use 'rqg_no_name'.

2010-04-06  John H. Embretsen  <john.embretsen@sun.com>

	XML: Use testname as 'testsuite->name', since this is the XML tag used by the TestTool web reports. 'test->name' is currently ignored by TT web. Hence, we set both values to RQG testname, as we don't distinguish between test cases, tests or test suites yet.

2010-04-06  John H. Embretsen  <john.embretsen@sun.com>

	XML: Add temporary comment for --report-xml-tt

2010-03-26  John H. Embretsen  <john.embretsen@sun.com>

	XML: Add new options to support XML report delivery.
	--report-xml-tt
	- when defined, tells the RQG to report results to TT (Test Tool, a Sun-internal reporting framework).
	--report-xml-tt-type
	- tells the XML module which transport type to use for reporting.
	- default is scp (and currently the only supported type).
	--report-xml-tt-dest
	- tells the XML module where to send the test results.
	- default is adapted to current setup for sun-internal automated testing and TT.

2010-03-26  John H. Embretsen  <john.embretsen@sun.com>

	XML: Use isoTimestamp instead of isoUTCTimestamp as start and end times in XML reports. Default reporting framework (TT) does not care about timezones yet.

2010-03-26  John H. Embretsen  <john.embretsen@sun.com>

	Update copyright statement for XML module.

2010-03-26  John H. Embretsen  <john.embretsen@sun.com>

	Merge from lp:randgen, revno 366, 2010-03-26.
	Manually resolved 1 merge conflict:
	gentest.pl
	- Incorporated XML-related changes into gentest.pl and 
	lib/GenTest/App/GenTest.pm while keeping refactoring
	done in merge source.
	Examples requiring manual edits:
	- added testname option to gentest.pl
	- added usage text for xml-output option
	- fixed option name (xml_output --> xml-output)
	- using time() instead of Time::HiRes::time() for test ID
	in GenTest.pm since reporting framework requires integer.
	- now saying "XML report written ..." at end of test run.
	- etc.

2010-03-09  John H. Embretsen  <john.embretsen@sun.com>

	XML: Make Transporter object implementation more in line with the Array way of doing it. Also added working (though imperfect) implementation for scp file copy.

2010-03-05  John H. Embretsen  <john.embretsen@sun.com>

	Add XML Transporter class for delivery of XML reports to a remote destination. So far only skeleton in place, no real functionality.

2010-03-05  John H. Embretsen  <john.embretsen@sun.com>

	Introduce sub for check for linux OS in GenTest. Use this and solaris() in XML/Report.pm.

2010-03-05  John H. Embretsen  <john.embretsen@sun.com>

	Merge from lp:randgen, revno 376.
	Manually resolved 3 conflicts:
	Text conflict in lib/GenTest.pm
	Text conflict in lib/GenTest/XML/Report.pm
	Text conflict in lib/GenTest/XML/Test.pm
	
	Kept changes in target branch while merging in 
	the change from xml_timestamp() to isoUTCTimestamp()
	wherever xml_timestamp was used.

2010-03-05  John H. Embretsen  <john.embretsen@sun.com>

	Add --testname option (may be temporary) to use with xml reporting.

2010-03-03  John H. Embretsen  <john.embretsen@sun.com>

	Fix xml_timestamp (was 1 month minus 1 day too early). Also fix xml-output file writing (did not work with config hash ref in quotes).

2010-03-02  John H. Embretsen  <john.embretsen@sun.com>

	Merge latest randgen trunk (revno 360, 2010-03-02) into xml-report branch.

2009-12-02  John H. Embretsen  <john.embretsen@sun.com>

	Fix issues with XML reporting after latest merge (gentest.pl).

2009-12-02  John H. Embretsen  <john.embretsen@sun.com>

	Merge latest randgen trunk into xml-report branch.

2009-12-01  John H. Embretsen  <john.embretsen@sun.com>

	XML: Remove commented out old code (test attributes).

2009-12-01  John H. Embretsen  <john.embretsen@sun.com>

	XML: Set test name, required by TTparser. TODO: We need to define/get the name from somewhere... pb2gentest already knows the test name, so make it possible to pass this to runall/gentest?

2009-12-01  John H. Embretsen  <john.embretsen@sun.com>

	XML: Make name and value for attributes separate elements in order to comply with the schema.

2009-12-01  John H. Embretsen  <john.embretsen@sun.com>

	XML: for <test id> use time() instead of Time::HiRes::time() since id must be integer (HiRes gives floating point value)

2009-12-01  John H. Embretsen  <john.embretsen@sun.com>

	XML: Under <binaries> element, change <binary> to <program> as defined by schema.

2009-12-01  John H. Embretsen  <john.embretsen@sun.com>

	XML: Schema needs revision elements to be integers, so convert osRev to osPatch (not used for now).

2009-12-01  John H. Embretsen  <john.embretsen@sun.com>

	XML: Remove Z (UTC timezone) form xml_timestamp. Two reasons: 1) Current XML validator does not support timestamp  2) Time is not Zulu-time (UTC) anyway, it is local time.

2009-11-30  John H. Embretsen  <john.embretsen@sun.com>

	XML: Further adjustments to schema version 1.2. Added 'harness' program, removed product 'bit' (must be either 32 or 64, not 'i386'), and a few other minor adjustments.

2009-11-26  John H. Embretsen  <john.embretsen@sun.com>

	Write XML file location at end of test run.

2009-11-19  John H. Embretsen  <john.embretsen@sun.com>

	XML: Some fixes for OS environment info, particularly for Solaris

2009-11-17  John H. Embretsen  <john.embretsen@sun.com>

	XML: Add/change some OS elements as per schema.

2009-11-17  John H. Embretsen  <john.embretsen@sun.com>

	XML: Fix bad removal of braces due to automatic formatting (after tabs-->space switch) and some other wrongdoings.

2009-11-17  John H. Embretsen  <john.embretsen@sun.com>

	XML: Whitespace changes only: Change tabs-->spaces, using 4-space indentation, for the entire XML package.
	The old mix of tabs and spaces for indentation was messy.

2009-11-17  John H. Embretsen  <john.embretsen@sun.com>

	XML: Add more environmental info.
	Basic logic from sysqa.
	Also removed standalone <version> element, was not per schema.

2009-11-16  John H. Embretsen  <john.embretsen@sun.com>

	XML: Switch order of 'environment' and 'buildinfo', to make it easier to compare output to the schema's Sample.xml file.

2009-11-16  John H. Embretsen  <john.embretsen@sun.com>

	XML: Use newest schema definition (v1.2). Also setting 'real' user ID as operator, and disabled problematic version string.

2010-04-07  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Unit-test fix

2010-04-06  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fix Bug #52584

2010-04-05  Philip Stoev  <pstoev@mysql.com>

	fixes to the Recovery Reporter - do not validate the performance_schema table, work with 0000-00-00 in date/datetime/time fields

2010-04-01  Philip Stoev  <pstoev@mysql.com>

	calling stop_child inconsistently, plus a fix for the situation where there are no passing queries at all during simplification

2010-03-30  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fixed some copyright headers

2010-03-30  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fixed some bugs in runall-new.pl and App::GenTest wrt 2 servers, validators and reporters

2010-03-29  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Query plan only for selects

2010-03-29  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Added EXPLAIN to test

2010-03-27  Philip Stoev  <pstoev@mysql.com>

	better propragation of crashing error codes

2010-03-27  Philip Stoev  <pstoev@mysql.com>

	further fixes to the ExecuteAs* transformers and prevention of future occurences

2010-03-27  Philip Stoev  <pstoev@mysql.com>

	fix broken ExecuteAs* validators. Terminate test on future similar issues

2010-03-27  Philip Stoev  <pstoev@mysql.com>

	fixes to the filtering in mysqltest simplification

2010-03-26  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fix to Bug#52343

2010-03-25  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fixed version check

2010-03-25  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fixed version check

2010-03-23  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Proper child stop on Linux/Windows

2010-03-22  Philip Stoev  <pstoev@mysql.com>

	merge

2010-03-22  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Collation metadata for javaDB and Postgres

2010-03-22  Philip Stoev  <pstoev@mysql.com>

	hopefully faster regexps in Random.pm

2010-03-19  John H. Embretsen  <john.embretsen@sun.com>

	Actually fix runall-new as well, as intended in the previous commit.

2010-03-19  John H. Embretsen  <john.embretsen@sun.com>

	runall: Add 'client/Debug/' to search path for client binaries. Runall runs mysqldump at the end of each replication test run, and this would fail on Windows Debug builds without this change.

2010-03-19  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Use GenTest module in runall-new.pl

2010-03-18  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Better default slave-vardir

2010-03-15  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Better version checking

2010-03-15  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Better 5.0 check of basedir

2010-03-13  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	return instead of exit from GenTest::App::GenTest

2010-03-12  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	qoute for spaces in path

2010-03-12  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	5.1 and 5.0 adaptions

2010-03-12  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Version numbers as ints

2010-03-12  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Figuring out the mysql version for Linux

2010-03-09  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	gentest.pl made a wrapper of new module GenTest::App::GenTest.pm

2010-03-07  Philip Stoev  <pstoev@mysql.com>

	merge

2010-03-05  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Added benchmarking and profiling

2010-03-04  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Enable old startserver test

2010-03-04  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Server crash function and unit test of Backtrace reporter

2010-03-04  John H. Embretsen  <john.embretsen@sun.com>

	Use say() instead of print() where we can, to get a uniform prefix for all chatter (PB2 scripts). Almost all remaining prints are nedded to conform with current external (PB2) log parsers.

2010-03-04  John H. Embretsen  <john.embretsen@sun.com>

	Start using GenTest's windows() and solaris() checking subs instead of re-inventing the wheel in each pb2 script.

2010-03-04  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Smal test-fix#

2010-03-04  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Better performnace data

2010-03-04  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Performance data for gendata and grammar generation added to unit test

2010-03-04  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	ISO-8601 timestamps, both for logging and XML(using UTC)

2010-03-04  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fix referneces to error_log, time-stamp on valgrind and some more

2010-03-03  Patrick Crews  <patrick.crews@sun.com>

	optimizer_access_exp grammar - designed to mix a number of table access methods in interesting ways

2010-03-03  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Experimental timing of unittests

2010-03-03  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	More replication fixes + someother stuff

2010-03-03  John H. Embretsen  <john.embretsen@sun.com>

	Bug#51691: Add sbin/ to search path for mysqld. The location changed in some MySQL builds following the introduction of cmake for unix (WL#5161).

2010-03-03  Matthias Leich  <Matthias.Leich@sun.com>

	Major changes:
	1. Work with copies of the original grammars
	Intended effect:
	No problems in case the original grammars get changed
	during RQG runtime or between RQG run and inspection
	of protocols
	2. Save storage space by deleting unimportant protocols

2010-03-02  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fixed some typos

2010-03-02  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	valgrind support added to server

2010-03-02  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Change duration for mdl_deadlock test to 20 mins (more Pushbuild friendly).

2010-03-02  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Out-of-source test fix

2010-03-02  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	More robust testing of server/runall

2010-03-02  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	More testing wrt. out-of-source, cmake and installed base stuff

2010-03-02  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fixed unit/TestScript wrt. out-of-source, cmake and installed base

2010-03-01  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Correct lock timeout name in mdl_deadlock test.

2010-03-01  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	More Cmake out-of-source stuff

2010-03-01  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Cmake out-of-source build adaptions

2010-02-26  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Add mdl_deadlock test, using higher lock wait timeouts than other MDL tests in order to detect more potential deadlocks. The downside is that this test may also detect more false deadlocks (valid lock waits).

2010-02-25  Matthias Leich  <Matthias.Leich@sun.com>

	Minor beatification: Remove trailing spaces

2010-02-24  John H. Embretsen  <john.embretsen@sun.com>

	Categorized configuration files by moving them into subdirectories with descriptive names.
	THIS CHANGE MAY BREAK EXISTING USAGE PATTERNS!
	Announced at https://lists.launchpad.net/randgen/msg00014.html.
	
	==> usage of --grammar, --gendata and other options referring to files need to take this into account.
	
	All files in conf/ have been moved into respective subdirectories, representing categories.
	Sub-categories also exist, e.g. engines/innodb/ or optimizer/archive/.
	Archive-subcategories are for older files that may still be useful but that have been superseeded by other files.
	Updated other files referring to files in the conf/ directory.

2010-02-24  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Disable test_runall. problem caused by cmake?

2010-02-24  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Cmake adaptions

2010-03-07  Philip Stoev  <pstoev@mysql.com>

	changes to support large-scale mysqltest simplifications

2010-02-22  Matthias Leich  <Matthias.Leich@sun.com>

	1. Remove ONLINE
	2. Raise the likelihood that a short lifetime table exists
	3. Improve comments
	4. Correct and streamline grammar around partitioned tables

2010-02-19  Matthias Leich  <Matthias.Leich@sun.com>

	Adjustment to open bug

2010-02-19  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Better slave shutdown

2010-02-19  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Added waitForSlaveSync

2010-02-19  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Better diagnostics

2010-02-19  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Enable runall-new test. Start replication properly and test that replication is working

2010-02-19  Matthias Leich  <Matthias.Leich@sun.com>

	One simplification attempt for a server crash did not
	work because the stackback trace contained somewhere 
	a substring "safe".
	Solution: Search for 'Unsafe statement binlogged'

2010-02-19  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Temporary disable test of runall-newa

2010-02-19  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Added replicating server (actually a master/slave pair) + unit test

2010-02-18  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Do not return from stopServer util the server is properly stopped + test of start dirty

2010-02-18  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Add start dirty to Server::MySQLd.pm

2010-02-17  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	more mysql.sock problems

2010-02-17  Bernt Johnsen  <bernt.johnsen@sun.com>

	Windows adaptions

2010-02-17  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Don't set socket file. Crashes when path > 107 so it's unusbale in a proper testing environment. Anway, RQG uses IP communication on 127.0.0.1 anyway

2010-02-17  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	removed option

2010-02-17  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Handle spaces in files

2010-02-16  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	sayFile + quote for spaces

2010-02-16  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Decrease default lock-wait timeouts to 1s. Add new option --loose-lock-wait-timeout=1 by default.

2010-02-16  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	More server stuff

2010-02-16  John H. Embretsen  <john.embretsen@sun.com>

	Add execute permissions to pb2runtest.pl

2010-02-16  John H. Embretsen  <john.embretsen@sun.com>

	New (incomplete) test runner for running RQG tests, currently functioning as a wrapper around runall.pl.
	It supports test specifications written in separate files (see --help).
	Initial primary use is aimed at Pushbuild 2, hence the file name. 
	Thought to replace pb2gentest.pl once test definition are in place.
	May be more closely integrated and/or merged with runall/gentest/server stuff later.

2010-02-16  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	--loose-skip options not on windows

2010-02-15  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Small adjustment

2010-02-15  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Improved server testing

2010-02-15  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Make sure custom set values of lock timeouts are not overridden.

2010-02-15  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Add --loose- to --table-lock-wait-timeout option, removed in MySQL 5.5

2010-02-15  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fixed some layout stuff (blame Emacs:Windows)

2010-02-15  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Prpoer server shutdown

2010-02-15  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Server dsn and test of dsn/Executor

2010-02-15  John H. Embretsen  <john.embretsen@sun.com>

	Correct Copyright years for Properties.pm. File was introduced in 2009 and updated in 2010 (see previous revision).

2010-02-12  John H. Embretsen  <john.embretsen@sun.com>

	Add collectOpt() sub-routine to Properties.pm. This routine can be used to generate a stringified list of options with a specified prefix, similar to genOpt() (which collects a specific sub-group of options). Options included may be specified in an array passed as argument to the routine. Otherwise, all top-level (non-hash/-array) options will be included.

2010-02-12  John H. Embretsen  <john.embretsen@sun.com>

	Add missing path separator to bindir path. Fixes some issues with debugger on Windows (missing line numbers in stack traces, etc.).

2010-02-12  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Windows-stuff that didn't work on Unix

2010-02-12  Bernt Johnsen  <bernt.johnsen@sun.com>

	Server: Windows process start

2010-02-11  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Server: server options, better testing, some improvements

2010-02-11  Bernt Johnsen  <bernt.johnsen@sun.com>

	Removed the dependncy to File::path since just one routine was needed

2010-02-11  Bernt Johnsen  <bernt.johnsen@sun.com>

	Server db create on windows

2010-02-11  Bernt Johnsen  <bernt.johnsen@sun.com>

	First windows adaptions for Server

2010-02-11  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Added portnumber to server start

2010-02-11  Philip Stoev  <pstoev@mysql.com>

	merge

2010-02-11  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	MySQL server added (not used yet)

2010-02-10  Matthias Leich  <Matthias.Leich@sun.com>

	Merge latest changes into local tree.

2010-02-10  Matthias Leich  <Matthias.Leich@sun.com>

	- Adjustments to open bugs
	- Enable REPLACE

2010-02-11  Philip Stoev  <pstoev@mysql.com>

	further fixes to mysqltest simplification

2010-02-10  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Some more drizzle stuff added

2010-02-10  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Copyright headres and license added

2010-02-09  Patrick Crews  <patrick.crews@sun.com>

	Added a note to the subquery* grammars identifying them as older.  They are still valuable tests, but should not be prioritized over other grammars

2010-02-09  Matthias Leich  <Matthias.Leich@sun.com>

	Minor modifications
	- add accidently removed example
	- unify formatting of paragraphs
	- replace the only partially used tabs with spaces

2010-02-08  Patrick Crews  <patrick.crews@sun.com>

	Added possibility of having DISTINCT function in aggregate calls in certain grammars

2010-02-05  Matthias Leich  <Matthias.Leich@sun.com>

	- Add variation of "masking" to bug hunting
	- Improve comments

2010-02-05  Philip Stoev  <pstoev@mysql.com>

	final simplification adjustments

2010-02-05  Philip Stoev  <pstoev@mysql.com>

	merge

2010-02-05  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Unit test for runall.pl

2010-02-05  Philip Stoev  <pstoev@mysql.com>

	faster mysqltest simplification

2010-02-03  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	removed unneeded debug print

2010-02-03  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	dbx-based stack dump Solaris with pstack/c++filt as alternative

2010-02-02  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Remove 'bulk_insert' test, because it is not useful enough to keep around as an automated test.

2010-02-02  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Remove 'mostly_selects' test, because it is not useful enough to keep around as an automated test.

2010-02-01  Matthias Leich  <Matthias.Leich@sun.com>

	- Improve the comments
	- Add workarounds for new bugs

2010-02-01  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Remove/disable specific limit test for InnoDB, MyISAM. This test is Falcon-specific. Generic LIMIT optimization will be tested by Optimizer grammars.

2010-02-01  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Disable InnoDB test based on falcon_backlog (not relevant enough for InnoDB).

2010-02-01  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Disable compare_self testing against InnoDB, MyISAM, as this test makes most sense to run against more unstable, 'broken' storage engines.

2010-02-01  John H. Embretsen  <john.embretsen@sun.com>

	Rename config files (grammar, gendata) for tiny_inserts tests. Config is generic, so removing storage engine reference in file names. Added comment in grammar file. Kept pb2gentest.pl up-to-date.

2010-01-29  Patrick Crews  <patrick.crews@sun.com>

	Described current join condition issues in optimizer* grammars, ported expanded ON condition rules to outer_join_portable.yy

2010-01-27  John H. Embretsen  <john.embretsen@sun.com>

	simplify_mysqltest.pl: Convert tabs to spaces. This was inconsistent prior to this change. Spaces only is easier to work with across editors and systems.

2010-01-27  John H. Embretsen  <john.embretsen@sun.com>

	New feature in simplify-mysqltest.pl utility script: Specify basedir2 in order to simplify a test case based on result differences between two servers.
	
	After a simplification attempt, if there is still a difference, simplification succeeded and will try to continue.
	If there is no longer a difference, the issue is not reproduced, and the simplifier either continues down a different path or stops.
	
	Such simplification currently requires valid mysqltest/SQL statements so that .result files are produced, so one may need to convert multi-line statements into single-line statements in the original test before simplifying, until some better handling of this is implemented.
	
	This was first used in relation to MySQL bug#49771.

2010-01-27  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	RQG-style constructors in Channel/Process/ErrorFilter

2010-01-27  Bernt Johnsen  <bernt.johnsen@sun.com>

	Disable (Temoprary?) centralized error filtreing on windows

2010-01-27  Bernt Johnsen  <bernt.johnsen@sun.com>

	Test fork/process in combination

2010-01-27  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Error filtering fixes

2010-01-27  Bernt Johnsen  <bernt.johnsen@sun.com>

	New try on centralized error filtering, now using threaded perl on Windows

2010-01-26  Bernt Johnsen  <bernt.johnsen@sun.com>

	Use threads on windows

2010-01-26  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Better IPC Pipe handling + Unit test

2010-01-26  Matthias Leich  <Matthias.Leich@sun.com>

	Workaround for Bug
	50619 assert in handler::update_auto_increment

2010-01-26  Philip Stoev  <pstoev@mysql.com>

	performance schema grammar

2010-01-26  Philip Stoev  <pstoev@mysql.com>

	merge

2010-01-25  Matthias Leich  <Matthias.Leich@sun.com>

	- Some cleanup
	- Adjustments according to bugs found or fixed within the last week
	- Avoid the generation of unsafe statements when running in SBR mode
	- Fix bugs within the grammar

2010-01-22  Patrick Crews  <patrick.crews@sun.com>

	range_access.yy - Altered the JOIN rules so that we have a greater variety of ON conditions possible

2010-01-22  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fixed small incosistency

2010-01-22  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	backed out centralized error filtering due to fork() hang on windows

2010-01-20  Patrick Crews  <patrick.crews@sun.com>

	outer_join.yy - expanded possible JOIN conditions allowed through the grammar.  Tested debug output and results are similar to previous results with some gains for certain optimizations

2010-01-19  Matthias Leich  <Matthias.Leich@sun.com>

	Development of RQG grammar for replication testing
	- Improved comments
	- remove superfluous commands
	- adjust grammar to new bugs
	- use LIMIT if possible
	- disable the names of tables which will be not created by the
	current data creation grammar

2010-01-18  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	IPC cleanup

2010-01-18  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Centralized handling of error message supression in separate process

2010-01-26  Philip Stoev  <pstoev@mysql.com>

	better log output around core files

2010-01-18  Philip Stoev  <pstoev@mysql.com>

	do not use table E in the stress test grammar

2010-01-18  Philip Stoev  <pstoev@mysql.com>

	merge

2010-01-18  Philip Stoev MySQL  <ps221752@nanna21>

	fix core dumping -- find mysqld location more reliably

2010-01-18  Philip Stoev  <pstoev@mysql.com>

	do not use failing SELECT queries for REPEATABLE READ calculations

2010-01-17  Philip Stoev  <pstoev@mysql.com>

	fix to transaction consistency grammar

2010-01-16  Philip Stoev  <pstoev@mysql.com>

	avoid duplicating the test content while simplifying

2010-01-15  Matthias Leich  <Matthias.Leich@sun.com>

	Improve the grammar by adding statement parts which are unsafe
	in case of SBR where possible.

2010-01-14  Matthias Leich  <Matthias.Leich@sun.com>

	- Minor improvements of structure and comments
	- Some finetuning with the goal to reduce the fraction of failing statements

2010-01-13  Matthias Leich  <Matthias.Leich@sun.com>

	Extend the grammar according to Phase 2 of development

2010-01-12  Matthias Leich  <Matthias.Leich@sun.com>

	Extend grammar according to Phase 2 of grammar development

2010-01-12  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Try-out code to mark failing tests as 'experimental' in a test branch in PB2.

2010-01-11  Matthias Leich  <Matthias.Leich@sun.com>

	Extend grammar according to Phase 2 of grammar development

2010-01-08  Matthias Leich  <Matthias.Leich@sun.com>

	Minor improvements

2010-01-07  Matthias Leich  <Matthias.Leich@sun.com>

	- Correct syntax failures
	- slightly improved structure

2010-01-06  Matthias Leich  <Matthias.Leich@sun.com>

	Add triggers and events

2010-01-05  Matthias Leich  <Matthias.Leich@sun.com>

	Minor improvements of comments

2010-01-05  Matthias Leich  <Matthias.Leich@sun.com>

	Minor corrections
	- Comment + formatting
	- broader range of values

2010-01-05  Matthias Leich  <Matthias.Leich@sun.com>

	Merge latest changes into local tree

2010-01-04  Patrick Crews  <patrick.crews@sun.com>

	range_access grammar - implemented 3-part indexes + minor tweaks and cleanups

2010-01-05  Matthias Leich  <Matthias.Leich@sun.com>

	- Finetuning of SAVEPOINT related statements
	The base:
	1. SAVEPOINT is an InnoDB only feature
	2. RELEASE SAVEPOINT and ROLLBACK TO SAVEPOINT fail frequent
	because the named SAVEPOINT often does not exist
	Changes:
	- Reduce the frequency of SAVEPOINT related statements in general
	- Increase the fraction of "SAVEPOINT ..." compared to the total
	amount of SAVEPOINT related statements
	- Reduce the frequency of FLUSH LOGS with the goal to avoid the
	annoying amount of binary logs generated
	- statements for PROCEDUREs, FUNCTIONs, VIEWs

2010-01-04  Matthias Leich  <Matthias.Leich@sun.com>

	RQG grammar for testing replication, phase 2
	
	Add DDL for tables and procedures and some other 
	minor improvements.

2010-01-04  Patrick Crews  <patrick.crews@sun.com>

	=range_access: small improvements and changes

2010-01-04  John H. Embretsen  <john.embretsen@sun.com>

	Replace all instances of --skip-safemalloc with --loose-skip-safemalloc.
	This is to counteract a recent change in the server code, specifically revision 
	serg@mysql.com-20091222093556-8aocy9n92pdp0rwr 
	which would cause server startup issues if this mysqld option was used without --loose in some code branches.

2009-12-31  Philip Stoev  <pstoev@mysql.com>

	merge

2009-12-29  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Preserve all columns in multi-column keys if one of teh columns is used in simplified query

2009-12-31  Philip Stoev  <pstoev@mysql.com>

	removing obsolete grammars

2009-12-31  Philip Stoev  <pstoev@mysql.com>

	remove grammars for individual, old bugs

2009-12-25  Philip Stoev  <pstoev@mysql.com>

	protection against duplicate arguments and against constuctor constants with the same value

2009-12-23  Philip Stoev  <pstoev@mysql.com>

	fixes to the metadata_stability grammar

2009-12-22  Patrick Crews  <patrick.crews@sun.com>

	range_access:  minor adjustments + incremental improvements / additions

2009-12-19  Patrick Crews  <patrick.crews@sun.com>

	range_access grammar - added .zz file, minor tweaks + changes due to addition of ZZ file

2009-12-18  Matthias Leich  <Matthias.Leich@sun.com>

	Development of RQG grammars for replication testing , Phase 2
	
	The added grammars are derivates of replication-dml_* .
	I will remove parts of the replication-ddl_* grammars later.

2009-12-18  Matthias Leich  <Matthias.Leich@sun.com>

	Two corrections:
	1. grammar item "nontrans_trans" was wrong adjusted and had no effect at all.
	2. grammar item "replace" contained a ";" instead of "|". 

2009-12-18  Matthias Leich  <Matthias.Leich@sun.com>

	Minor fix
	The name is now rqg_options

2009-12-18  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	rqg_options consistently in plural

2009-12-17  Patrick Crews  <patrick.crews@sun.com>

	range_access grammar - added dual-integer indexes and related queries
	Removed older, temporary range grammars.

2009-12-17  Patrick Crews  <patrick.crews@sun.com>

	New Transfrom - ExecuteAsPreparedTwice
	Will take a query, create a prepared statement from it, then execute it 2x.
	In response to Bug#49570 and Bug#48508

2009-12-17  Matthias Leich  <Matthias.Leich@sun.com>

	Merge changes into local tree

2009-12-16  Patrick Crews  <patrick.crews@sun.com>

	Re-do of range_access grammar - implemented single-index ranges first, then will add 2 and 3 column indexes in the next iteration.

2009-12-16  Matthias Leich  <Matthias.Leich@sun.com>

	This grammar should be the final version for the task
	Develop a RQG grammar for replication testing - Phase 1 (DML only)
	1. Adjustment to server modifications where VERSION() and SYSDATE()
	cause a warning when running with binlog_format = 'STATEMENT'
	2. Adjustment to open bugs

2009-12-15  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Enable 'compare_self' (datatypes) test also for other engines (myisam, innodb) than falcon.

2009-12-15  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	information_schema schema-name hack for mysql

2009-12-15  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Add configuration for innodb_repeatable_read test (based on existing falcon equivalent).

2009-12-14  Patrick Crews  <patrick.crews@sun.com>

	range_access:
	Submitting new / updated version of the grammar.  Keeping older version while tuning / experimenting.
	
	New Transformer added - ExecuteAsSPTwice.  Will take a query, then execute it as a
	stored procedure 2x.  Some bugs / crashes have been noted to occur in such situations.

2009-12-14  Matthias Leich  <Matthias.Leich@sun.com>

	RQG grammar for replication testing
	- deactivate "shake_clock" because this fools RQG's deadlock detection
	- correct grammar item "dml_list"
	- introduce the scenario:
	The first m statements of a transaction use non transactional tables
	the following n statements use transactional tables
	- minor beautification

2009-12-14  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Exclude table DUMMY in metadata

2009-12-14  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Implemented: Bug #49565  _field and the rest should assert instead of returning an empty string

2009-12-14  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Definition for rqg_innodb_transactions test.

2009-12-14  John H. Embretsen  <john.embretsen@sun.com>

	Fix column names in DatabaseConsistency validator (add col_ prefix).

2009-12-11  Patrick Crews  <patrick.crews@sun.com>

	Removal of older, less comprehensive grammars.

2009-12-11  John H. Embretsen  <john.embretsen@sun.com>

	Merge with tip of branch

2009-12-10  Matthias Leich  <Matthias.Leich@sun.com>

	- Correct comments
	- remove the no more needed preloading of metadata
	- enable LOAD DATA ...
	- reduce the fraction of USE <test|test1>
	- replace "tmpnam" with "_tmpnam"
	- make values affected by RAND(...) more deterministic 

2009-12-10  Matthias Leich  <Matthias.Leich@sun.com>

	Add a template for a configuration file for use with util/bughunt.pl

2009-12-11  John H. Embretsen  <john.embretsen@sun.com>

	many_indexes: Temporarily disable use of UTF16 until WL#1213 is pushed to non-falcon branches. Add support for innodb and myisam engines in pb2gentest.

2009-12-11  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Specify an InnoDB-variant of falcon_backlog test (single-record updates while a separate REPEATABLE-READ transaction is running.

2009-12-11  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Explicitly support engines innodb and myisam for test using falcon_limit grammar.

2009-12-11  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Explicitly add support for innodb and myisam engines for test using falcon_tiny_inserts grammar.

2009-12-10  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Explicitly enable innodb and myisam engines for test using maria_bulk_insert grammar

2009-12-10  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Explicitly support innodb and myisam engines for test using maria_stress grammar.

2009-12-10  Philip Stoev  <pstoev@mysql.com>

	new DisableIndexes transform

2009-12-09  Patrick Crews  <patrick.crews@sun.com>

	Added some tuning information for controlling the size of the queries produced.

2009-12-09  Matthias Leich  <Matthias.Leich@sun.com>

	Increase GENERATOR_MAX_LENGTH because I hit the old limit
	of 2048 with a correct grammar.

2009-12-09  Matthias Leich  <Matthias.Leich@sun.com>

	Improve comments

2009-12-09  Matthias Leich  <Matthias.Leich@sun.com>

	Merge lastest changes into local tree

2009-12-09  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fixed --seed bug in gentest.pl

2009-12-09  Matthias Leich  <Matthias.Leich@sun.com>

	RQG grammar for replication testing
	- minor beautification
	- adjustment to open bugs
	- finetuning of testing grammar like
	- increase fraction of data modifying statements
	- reduce the amount of NULL values in columns

2009-12-09  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Better reporting of --sed=time change. Added seed=time() concersion to Gendata.pm

2009-12-09  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Changes to util/bughunt.pl

2009-12-09  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Stop printining date and time twice. Also skip uname (some host information is printed later).

2009-12-09  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: No longer set MTR_BUILD_THREAD unless specified by user. Our PB2 hosts should run Cat most 1 test at a time.

2009-12-09  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Change '*' output prefixes to '=' (or '+' for the Shutdown wait-for-pid output) so we don't confuse people with red coloring in PB2 logs.

2009-12-08  Patrick Crews  <patrick.crews@sun.com>

	Added range_access.yy
	Still very raw work - need to refine creation of indexes, add character and mixed index / query combinations.

2009-12-08  Matthias Leich  <Matthias.Leich@sun.com>

	- minor corrections
	- add comments

2009-12-08  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Remove default mtr-options

2009-12-08  Matthias Leich  <Matthias.Leich@sun.com>

	- Add comments
	- Correct parameter name

2009-12-08  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	simplify-mysqltest_template.cfg added

2009-12-08  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Missing space in simplify-mysqltest

2009-12-08  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Separate mysqld command in simplyfy-mysqltest

2009-12-08  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Separate mysqld command in simplyfy-mysqltest

2009-12-08  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Typo in util/simplify-mysqltest

2009-12-08  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Small fix in tables()

2009-12-07  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Executor->tables() for backwards compatability

2009-12-07  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Improved JavaDB metadata

2009-12-04  John H. Embretsen  <john.embretsen@sun.com>

	Improve output text when processing test log in pb2combinations tests.

2009-12-04  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Metadata changes to dummy executor

2009-12-04  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Don't call cacheMetaData on undefined executor

2009-12-04  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	New metadata implmentation

2009-12-03  Matthias Leich  <Matthias.Leich@sun.com>

	RQG grammar for replication testing
	1. Generate a second schema via the new gendata functionality
	2. Fix multi table delete's which failed frequent with "Unknown table A ot B"
	3. Replace the frequent used column "col_int" by "col_tinyint" because this
	increases the likelihood that statements affect any rows. 

2009-12-03  John H. Embretsen  <john.embretsen@sun.com>

	Fix partition_pruning.zz's partition definitions which did not go well with the earlier addition of col_ prefix to column names.
	Was causing 'Can't use an undefined value as an ARRAY reference at lib/GenTest/Generator/FromGrammar.pm line 297.' errors in PB2.

2009-12-03  Philip Stoev  <pstoev@mysql.com>

	new backup errors

2009-12-02  Matthias Leich  <Matthias.Leich@sun.com>

	RQG grammar for replication testing
	- Modifications according to the code review
	- Some additional improvements

2009-12-02  Patrick Crews  <patrick.crews@sun.com>

	Added comments / clarification to the outer_join* and partition_pruning grammars

2009-12-02  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	current/default Schema cleanup

2009-12-02  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Implemented  in gendata, added defaultSchema in executors

2009-12-02  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Extra comment about semisync plugin location, in case we see issues with this in the future.

2009-12-02  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Specify 'None' validator when we do not want to use any validators. See bug#49167.

2009-12-01  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fix for Bug#49167

2009-11-30  Patrick Crews  <patrick.crews@sun.com>

	created portable (more standards-compliant) version of the outer_join grammar.
	Minor changes to other files (tuning, etc)

2009-11-30  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Quotes where missing for blob/text/binary/enum

2009-11-27  Matthias Leich  <Matthias.Leich@sun.com>

	RQG grammar for replication testing
	The RQG reports RC = 255 problem seems to be fixed.

2009-11-27  Matthias Leich  <Matthias.Leich@sun.com>

	Merge latest changes

2009-11-27  John H. Embretsen  <john.embretsen@sun.com>

	Workaround for MySQL bug 48351: Support semisync plugin names both with and without 'lib'-prefix. With time only non-prefixed plugin name will be used. Also support other plugin dirs (release builds, sandbox builds etc) by doing recursive search for plugin files. First match wins.

2009-11-27  Matthias Leich  <Matthias.Leich@sun.com>

	RQG grammar for replication testing
	Note: It is already known that there are problems
	when executing this grammar with a bunch of threads
	(RQG RC = 255). I am working on this problem.

2009-11-27  Philip Stoev  <pstoev@mysql.com>

	merge

2009-11-27  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	merge

2009-11-27  Matthias Leich  <Matthias.Leich@sun.com>

	RQG Grammar for replication testing
	- improvements
	- extensions
	- minor beautification

2009-11-27  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Gendata indices for JavaDB/Posgres

2009-11-27  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Gendata fixes

2009-11-27  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Adding col_ prefix to column names in conf/outer_join.yy

2009-11-27  Philip Stoev  <pstoev@mysql.com>

	add col_ prefix in front of all fields in all grammars to conform with new column naming style

2009-11-27  Philip Stoev  <pstoev@mysql.com>

	evaluate seed=time in the top-level script and do not pass it to any child scripts. This prevents two servers from being populated with a different seed = time

2009-11-27  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Improved Dummy executor for debugging purposes

2009-11-27  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Temporary dix of gendata regression

2009-11-26  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fixed JavaDB/Postgres issues 

2009-11-26  Philip Stoev  <pstoev@mysql.com>

	make each thread use different seed -> different queries

2009-11-26  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Always copy input file

2009-11-26  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	simplify-mysqltest fix

2009-11-26  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fixed help problem

2009-11-26  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	util/simplify-mysqltest.pl fixes

2009-11-25  Matthias Leich  <Matthias.Leich@sun.com>

	RQG grammar for replication testing

2009-11-25  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	util/bughunt.pl added

2009-11-25  Philip Stoev  <pstoev@mysql.com>

	merge

2009-11-25  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Do not use --mem option. This option currently makes MTR fail in some branches (mysql-next-mr with friends) on Windows (MTR bug 49096), where --mem is irrelevant anyway. We use --mysqld=--log-output=file and --mysqld=--innodb-flush-log-at-trx-commit as 'workarounds' (already specified) to increase concurrency.

2009-11-25  Philip Stoev  <pstoev@mysql.com>

	allow A-Z, AA-ZZ, and AAA-ZZZ to be recognized as table names to be dumped

2009-11-25  Matthias Leich  <Matthias.Leich@sun.com>

	Extend the grammar for testing DML on replication
	
	Some parts of the grammar are temporary disabled.

2009-11-24  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	merge

2009-11-24  Matthias Leich  <Matthias.Leich@sun.com>

	- Corrections in messages
	- Add default for desired_status_codes
	- Make some string concatenation code better readable
	- Remove the RQG log in case we got exit status 0

2009-11-24  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Display PATH, to be better able to debug environmental issues in PB2.

2009-11-24  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	fix --reporter in runall

2009-11-24  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Imporved comment

2009-11-24  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Changes + merge

2009-11-23  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Ported dump-test.pl + some improvements

2009-11-23  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	merge

2009-11-23  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Merger + fixes

2009-11-20  Matthias Leich  <Matthias.Leich@sun.com>

	Merge latest changes

2009-11-20  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Temporarily disable help due to weird warning from Perl

2009-11-20  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Help, comments and beter check for illegal props

2009-11-20  Matthias Leich  <Matthias.Leich@sun.com>

	Cleanup in grammar simplification
	- $storage_prefix   Path to a directory which needs to be assigned by the user.
	- $storage          Path to a subdirectory of $storage_prefix where grammars and logs
	belonging to the simplification process are stored.
	The grammar simplification process calculates the name of
	the subdirectory and creates it.

2009-11-20  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Added required list

2009-11-20  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fixed config template

2009-11-20  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	New config

2009-11-23  Patrick Crews  <patrick.crews@sun.com>

	outer_join grammar - added a ZZ file so that we can get JOINs of different engines
	tuning and other minor changes.

2009-11-23  Philip Stoev  <pstoev@mysql.com>

	merge

2009-11-23  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Add mdl_stability test config.

2009-11-23  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Rename mdl test to mdl_stress.

2009-11-23  Philip Stoev  <pstoev@mysql.com>

	fix for the metadata_stability test

2009-11-23  Philip Stoev  <pstoev@mysql.com>

	make running a debug query on a non-debug binary a fatal environmental error

2009-11-23  Philip Stoev  <pstoev@mysql.com>

	new test for metadata locking stability

2009-11-23  Philip Stoev  <pstoev@mysql.com>

	timeouts for util/simplify-crash.pl

2009-11-22  Patrick Crews  <patrick.crews@sun.com>

	modifications / tuning for the outer_join grammar.

2009-11-22  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Rename mdl_innodb to mdl and enable innodb explicitly, based on feedback from pstoev (test is not per se for innodb so having innodb in the test name may be confusing).

2009-11-20  Patrick Crews  <patrick.crews@sun.com>

	merge

2009-11-20  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Added print mode for Dummy executor

2009-11-20  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Added print mode for Dummy executor

2009-11-20  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Add test config for comprehensive metadata locking test (WL#5004)

2009-11-20  Philip Stoev  <pstoev@mysql.com>

	more error message suppressions for MDL grammar

2009-11-20  Philip Stoev  <pstoev@mysql.com>

	merge

2009-11-20  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Add --engine=innodb for all named innodb tests.

2009-11-20  Philip Stoev  <pstoev@mysql.com>

	more error message suppressions for MDL grammar

2009-11-20  Philip Stoev  <pstoev@mysql.com>

	remove ER_SP_PROC_TABLE_CORRUPT from list of fatal errors

2009-11-20  Philip Stoev  <pstoev@mysql.com>

	faster data loading: use transactions for smaller record counts, use ENABLE/DISABLE keys, use multiple-row insert with more records per insert

2009-11-19  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Add --valgrind option to runall commands for tests which names include 'valgrind'.
	Had to loosen some restrictions (regexes) on test names to allow for this.
	Need to be careful when adding tests which names share parts of 
	other tests' names (see partn_pruning and partn_pruning_compare_50 tests).
	Not adding --valgrind if valgrind executable is not in path (or does not 
	support --version option).

2009-11-19  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Generalize use of --innodb option. Add it if test name includes 'innodb'. Also continue adding it for special tests whose names do not incldue 'innodb'. innodb_limit test added for script testing purposes (for now).

2009-11-20  Patrick Crews  <patrick.crews@sun.com>

	outer_join.yy grammar
	
	99% complete.  Still running some tests on this, but this is largely the final form (sans tweaks)
	Added everything that was missing - aliases, additional clauses, etc.

2009-11-18  Patrick Crews  <patrick.crews@sun.com>

	Initial work on the outer_join grammar.  This is still very rough

2009-11-18  Philip Stoev  <pstoev@mysql.com>

	better INFORMATION_SCHEMA test

2009-11-17  Matthias Leich  <Matthias.Leich@sun.com>

	First version of a new grammar checking replication 
	This grammar is incomplete and might contain bugs.

2009-11-17  Philip Stoev  <pstoev@mysql.com>

	correct backup error codes

2009-11-17  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Make sure backup feature is enabled for backup tests (add --mysql-bakcup option). Also add --innodb option to server command line if backup test is for InnoDB.

2009-11-16  Philip Stoev  <pstoev@mysql.com>

	better deadlock detection

2009-11-16  Philip Stoev  <pstoev@mysql.com>

	make the QueryProperties validator omnipresent regardless of --validators

2009-11-16  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Set option --mysqld=--innodb for tests that always use innodb.

2009-11-16  Philip Stoev  <pstoev@mysql.com>

	make missing storage engines a fatal environment failure

2009-11-15  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	tables() is supposed to include views

2009-11-14  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	typo

2009-11-14  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	More metadata calls for JavaDB and Postgres (not very well tested)

2009-11-13  John H. Embretsen  <john.embretsen@sun.com>

	pb2combinations: Look for and kill remaining mysqld processes after a test run, similar to pb2gentest.

2009-11-12  John H. Embretsen  <john.embretsen@sun.com>

	Minor fixes to comments in pb2{gentest,combinations}.pl

2009-11-12  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	merge

2009-11-12  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Fix quoting and output redirection around pslist and pskill commands.

2009-11-12  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Changes to partn_pruning_compare_50:
	- Use ResultsetComparator instead of ResultsetComparatorSimplify. Not important to simplify in PB2, and the simplifier requires an extra perl module (MyParsePP).
	- Set duration to half (300s instead of 600s) since creating tables takes more time than with the average test.
	- Specify --reporters to not include the Shutdown reporter, due to Bug#48560 (shutting down servers before doing dumps).

2009-11-12  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Kill remaining mysqld processes also on Windows (requires pskill from MS SysInternals PsTools).

2009-11-12  John H. Embretsen  <john.embretsen@sun.com>

	pb2combinations: Set --trials to 1 to see if at least that will run OK in PB2 without causing hangs.

2009-11-12  John H. Embretsen  <john.embretsen@sun.com>

	pb2combinations: Make test output handling slightly more 'intelligent' by checking number of lines and displaying head and tail only if there are more than 200 lines.

2009-11-11  John H. Embretsen  <john.embretsen@sun.com>

	pb2combinations: Adding some changes that have already been applied to pb2gentest. Also redirecting output to log file.
	This includes:
	- more info output when starting the script (arguments, environment, etc.)
	- user configurable grammar location (RQG_CONF)
	- now also running 'bzr info' and 'bzr version-info'
	- MTR-style result reporting ([ pass ], [ fail ])
	Also:
	- redirecting combinations.pl output to log file.
	- displaying first and last part of log file at end of test.
	This is a simple hack for avoiding memory issues in PB2 when a test generates megabytes or gigabytes of output.
	TODO: Make it more intelligent, make it work on windows, make it handle hanged processes etc.

2009-11-12  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Added tables() and fields() for Postgres

2009-11-11  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Added tables() abd fields() function for JavaDB

2009-11-11  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fixed help text in runall.pl

2009-11-11  Philip Stoev  <pstoev@mysql.com>

	do not dump tablespaces in order to be 5.0-compatible

2009-11-11  Philip Stoev  <pstoev@mysql.com>

	DROP+CREATE VIEW in the ExecuteAsView Transform, not just replace over the previous view

2009-11-11  Philip Stoev  <pstoev@mysql.com>

	when Transforming, account for the fact that the transformed query may have failed

2009-11-10  Matthias Leich  <Matthias.Leich@sun.com>

	- Minor improvements
	- Replace _table, _fields etc. by other constructs

2009-11-10  Philip Stoev  <pstoev@mysql.com>

	new QUERY_IS_REPLICATION_SAFE property

2009-11-10  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: partn_pruning: Reduce duration from default (600s) to 300s, since we also spend a lot of time creating tables.

2009-11-09  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Get rid of spurious error messages at end of runs (from kill and killall) by:
	- not using killall. killall on Solaris is dangerous and only runnable by super-user.
	- using pgrep to find mysqld PIDs instead of ps+grep+awk (simpler).
	- only doing kill if a mysqld process is found (no more "bad argument count" and "permission denied").
	- printing a message explaining printed numbers (PIDs) if mysqld processes are found.

2009-11-09  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Simple MTR-style reporting of test results, for xref and PB2 (pass/fail only, no signature support yet).

2009-11-05  Philip Stoev  <pstoev@mysql.com>

	the timeout values that are good for mleich will  probably be too low for PB2

2009-11-04  Philip Stoev  <pstoev@mysql.com>

	use POSIX module for signals, because otherwise alarm() does not get delivered if read() is blocking :-( 

2009-11-04  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Matthias' grammar simplification improvements

2009-11-04  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Prepare for splitting of RQG framework and grammars by making grammar and gendata file location configurable.

2009-11-04  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Drizzle stuff

2009-11-03  lbieber  <lbieber@lbieber-laptop>

	sync with latest from trunk

2009-10-29  Lee Bieber  <lbieber@dhcp-umpk18-110-49.SFBay.Sun.COM>

	sync with latest from trunk

2009-10-27  Lee Bieber  <lbieber@lee-biebers-macbook-pro.local>

	sync with latest from trunk

2009-10-24  Lee Bieber  <lbieber@lee-biebers-macbook-pro.local>

	merge with latest from trunk

2009-10-23  lbieber  <lbieber@lbieber-laptop>

	merge with latest from trunk

2009-10-21  lbieber  <lbieber@lbieber-laptop>

	merge with latest from the trunk

2009-11-02  lbieber  <lbieber@lbieber-laptop>

	update error messages for Drizzle

2009-11-03  Matthias Leich  <Matthias.Leich@sun.com>

	- various minor improvements and corrections
	- add sub tests for user locks
	- some adjustments to open and fixed bugs

2009-11-03  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fixed regression caused by the fix for bug#48000

2009-11-03  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Support "rqg_" prefix in test names. If it is there, strip it off before processing further.

2009-11-03  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Do not set default --basedir if some basedir is already set.

2009-11-03  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Add partn_pruning_compare_50 test definition, including setting path to installation of 5.0 release against which to do query result comparison. This is to be considered experimental for the time being.

2009-11-02  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	merge

2009-11-02  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Shortened test name for parition pruning (--> partn_pruning), anticipating extensions.

2009-11-02  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Bug#48000 fixed. Changed to INFORMATION_SCHEMA which is (somewhat) more portable

2009-11-01  Philip Stoev  <pstoev@mysql.com>

	latest version of the flightstats grammar

2009-11-01  Philip Stoev  <pstoev@mysql.com>

	more error messages

2009-11-01  Philip Stoev  <pstoev@mysql.com>

	new property in QueryProperties.pm

2009-10-31  Philip Stoev  <pstoev@mysql.com>

	fix for flightstats grammar

2009-10-31  Philip Stoev  <pstoev@mysql.com>

	sample grammar against the flightstats database

2009-10-31  Philip Stoev  <pstoev@mysql.com>

	move user-supplied mysqld options to the end of the command-line, so that they override any options supplied internally by runall.pl

2009-10-29  Patrick Crews  <patrick.crews@sun.com>

	Update to the partition_pruning grammar:
	Altered partitioning statements in the gendata file to reflect changes
	in syntax for multi-column partitioning
	
	Fixed typos in the grammar that was causing 'Unknown field' errors

2009-10-29  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: partition_pruning test: Allow prefixed testname (e.g. to distinguish from MTR test with same name). Also use default Reporters instead of just shutdown.

2009-10-29  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Set default duration of 10 minutes. 20 minutes is too long when the number of RQG tests in PB2 increases, causing delays.

2009-10-29  Philip Stoev  <pstoev@mysql.com>

	merge

2009-10-29  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	merge

2009-10-29  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	translateMysql.pl added

2009-10-29  Philip Stoev  <pstoev@mysql.com>

	increase timeout as requested by jasonh

2009-10-29  Philip Stoev  <pstoev@mysql.com>

	new semisynch test by JasonH

2009-10-28  Patrick Crews  <patrick.crews@sun.com>

	Changes to the partition pruning grammar to reflect changes in the feature.
	Extended the grammar to include larger character columns and added some other
	minor changes.

2009-10-28  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Detect Postgres server crash

2009-10-28  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fix testStack.yy bug

2009-10-28  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	--gendata argument should be optional

2009-10-28  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	StackFrame::set should return undef

2009-10-28  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Add first version of config for 'partition_pruning' test.

2009-10-28  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Add configuration for 'partition_ddl' test.

2009-10-28  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Reorder (alphabetize) non-falcon test definitions for easier lookup.

2009-10-28  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Remove obsolete optimizer tests.

2009-10-28  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Global frame for inline perl added

2009-10-28  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Some code simplifications (and hopefully speedups)

2009-10-28  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Use Recovery reporter in myisam_blob_recovery test (this was a regression caused by a previous change).

2009-10-27  John H. Embretsen  <john.embretsen@sun.com>

	Merge again...

2009-10-27  Philip Stoev  <pstoev@mysql.com>

	merge

2009-10-27  Philip Stoev  <pstoev@mysql.com>

	remove duplicate Transformer.pm file

2009-10-27  Philip Stoev  <pstoev@mysql.com>

	new ExecuteAsView Transformer

2009-10-27  John H. Embretsen  <john.embretsen@sun.com>

	Merge own changes with tip of branch.

2009-10-27  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	... somewhat more compact perl in testStack.yy snippets

2009-10-27  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Exit with an error message if test name is not recognized by this script.

2009-10-27  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Made test configurations that support or are used for the Falcon engine only trigger only if falcon is mentioned in test name. Otherwise this may interfere with other tests for other features. This should make myisam_blob_recovery work (used to fail due to unknown falcon option being specified). Also moved multi-engine or engine independent tests closer together.

2009-10-27  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Do not pick a port base ID if MTR_BUILD_THREAD is already set by user. This allows the user to control which ports will be used.

2009-10-27  Philip Stoev  <pstoev@mysql.com>

	further reductions in the strength of the semisynch test

2009-10-27  Philip Stoev  <pstoev@mysql.com>

	in case of runall.pl startup failure, print command-line arguments

2009-10-27  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Added stack utility which makes it possible to pass argument to sub-rules and results back

2009-10-27  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Enable rpl_semisync test on Windows, as support for this was recently added to replication development branches.

2009-10-26  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest.pl: Disable pb2 db lookup of branch id (while working out perl module issues on certain platforms). Get from env var instead, if set. Adjust messages accordingly

2009-10-26  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Bug#48302 fixed

2009-10-26  Philip Stoev  <pstoev@mysql.com>

	grammar dumping script

2009-10-25  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest.pl: Inverted wrong if check for unix-only kill commands.

2009-10-25  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest.pl: Improved output/information when starting the script and adjusted pb2 database connection details.
	- More structured output.
	- Print all accepted arguments.
	- Do not print DBI error when connect to pb2 database fails, use only custom error string.
	- Added full host name for pb2 database server to allow for non-PB2 clients in other domains.
	- Set DBI connect timeout of 5 seconds for pb2 database connect() call.
	- If $tree looks like a URL, extract branch name from it before doing pb2 db lookup.

2009-10-24  Philip Stoev  <pstoev@mysql.com>

	merge

2009-10-24  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Smal fixxes, more testing

2009-10-24  Philip Stoev  <pstoev@mysql.com>

	extra error silencing for signal/resignal

2009-10-24  Philip Stoev  <pstoev@mysql.com>

	use long strings in signal/resignal

2009-10-23  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	rermoved unused module

2009-10-22  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest.pl: Temporarily add randgen/lib as 'use' library until PB2 config can be fixed.

2009-10-22  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest.pl: Re-enabled printing of bzr branch/version information on startup. Using 'bzr info' instead of 'bzr parent' because parent is a plugin command that is not available on all PB2 hosts.

2009-10-22  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest.pl: Fixed setting of MTR_BUILD_THREAD on Windows (multiple commands on single command line). Created convenience variable for checking if we are on Windows OS.

2009-10-22  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Set MTR_BUILD_THREAD to avoid port number conflicts during parallel test runs on the same host.

2009-10-22  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest.pl: Revert change to plugin-dir for rpl_semisync test. Original works for distributions and PB2. Latest update only worked with source trees and 'make'.

2009-10-22  Philip Stoev  <pstoev@mysql.com>

	Validator for aborting on syntax errors

2009-10-22  Philip Stoev  <pstoev@mysql.com>

	fixes to pb2gentest.pl for semisynch replication

2009-10-22  Philip Stoev  <pstoev@mysql.com>

	merge

2009-10-22  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Added simple script testing. Made gensql.pl usable against other databases

2009-10-22  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	--redfine added to runall.pl

2009-10-21  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Let --mask be a seed to the masking process instead of the first 16 bits of the mask

2009-10-21  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Let --mask be a seed to the masking process instead of the first 16 bits of the maska

2009-10-21  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Let --mask be a seed to the masking process instead of the first 16 bits of the maska

2009-10-21  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Changed STATUS_OK to 0. Changed default MTR_BUILD_THREAD to 930 for legacy reasons

2009-10-22  Philip Stoev  <pstoev@mysql.com>

	more permissive timeouts for semiynch test, as agreed with JasonH

2009-10-21  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fixed typo in gendata.pl

2009-10-21  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Improved create table reporting

2009-10-21  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Small fix to gendata-old.pl

2009-10-21  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Merging drizzle adaptions to gentest.pl

2009-10-20  lbieber  <lbieber@lbieber-laptop>

	merge with latest from trunk

2009-10-20  lbieber  <lbieber@lbieber-laptop>

	add drizzle_only flag to provide default reporters and validators.   Sync with latest from trunk

2009-10-15  lbieber  <lbieber@lbieber-laptop>

	merge with latest from trunk

2009-10-14  lbieber  <lbieber@lbieber-laptop>

	merge with latest from trunk

2009-10-13  lbieber  <lbieber@lbieber-laptop>

	merge with latest from trunk

2009-10-20  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	test improvements. Small fix to GendataSimple

2009-10-20  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fixed status check in gentest.pl

2009-10-20  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	merge

2009-10-20  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: info_schema test should use 10 threads, not 100 (100 is overkill).

2009-10-20  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Dummy executor change

2009-10-20  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Added --redefine option to gentest.pl

2009-10-20  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	small fix to Gendata.pm

2009-10-20  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	merge

2009-10-20  John H. Embretsen  <john.embretsen@sun.com>

	Added new tests info_schema and signal_resignal to pb2gentest, and added basic "skip test" functionality.
	Also adjusted some defaults (Reporters and mysqld options), to be more in line with non-Falcon code bases (we now have special logic for the Falcon cases).
	Not including the Recovery reporter by default for non-falcon tests.
	Skipping rpl_semisync test on Windows until the feature is ready for it.
	Added missing semicolon in rpl_semisync "plugin" if-else.

2009-10-20  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Refactored gendata.pl and gendata-old.pl to modules. The scripts are kept as wrappers

2009-10-20  Matthias Leich  <Matthias.Leich@sun.com>

	Minor corrections:
	- huge grammars like WL5004_sql.yy need a bigger
	value GENERATOR_MAX_LENGTH
	- message after check ($#sentence > GENERATOR_MAX_LENGTH )

2009-10-19  Philip Stoev  <pstoev@mysql.com>

	merge

2009-10-19  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	--mtr-build-thread and MTR_BUILD_THREAD semantics added to runall.pl

2009-10-19  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	runall.pl help() updated

2009-10-19  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fixes to t\test.bat

2009-10-19  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fixes to t\test.bat

2009-10-19  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	batch file for .t-tests in Windows

2009-10-16  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Portabel file-listing

2009-10-15  John H. Embretsen  <john.embretsen@sun.com>

	pb2gentest: Logic for making sure correct plugin file name is passed on to the RQG/MySQL on Windows (.dll vs .so) for rpl_semisync test.

2009-10-15  John H. Embretsen  <john.embretsen@sun.com>

	Added new test rpl_semisync to pb2gentest.pl.
	Test is described here: http://forge.mysql.com/wiki/RandomQueryGeneratorTests#Semisynchronous_replication
	Will most likely need more tweaks for Windows due to loading of plugins.
	
	Also fixed a tabs vs spaces inconsistency and added a general comment.

2009-10-15  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Updated readme

2009-10-19  Philip Stoev  <pstoev@mysql.com>

	information_schema test

2009-10-15  Philip Stoev  <pstoev@mysql.com>

	higher priority for valid, interesting constructs, e.g. setting the error message text to some text value

2009-10-15  Philip Stoev  <pstoev@mysql.com>

	higher priority for valid, interesting constructs, e.g. setting the error message text to some text value

2009-10-15  Philip Stoev  <pstoev@mysql.com>

	extra mysqld error messages categorized

2009-10-15  Philip Stoev  <pstoev@mysql.com>

	allow 'default' binlog format

2009-10-15  Philip Stoev  <pstoev@mysql.com>

	replication ZZ file for both myisam and innodb

2009-10-15  Philip Stoev  <pstoev@mysql.com>

	extra explanatory message on 'memory corruption' errors

2009-10-14  Matthias Leich  <Matthias.Leich@sun.com>

	Various improvements
	- adjustment to open bugs
	- some cleanup and beautifying

2009-10-14  Matthias Leich  <Matthias.Leich@sun.com>

	- Extend grammar
	Add character sets , use various (till extreme sizes) for string values
	- Minor cleanup and beautifying
	
	The test passed (*) a run with
	- 30 threads
	- 1200 seconds duration
	on
	- mysql-trunk-signal
	- ./BUILD/compile-pentium64-valgrind-max
	(*) There were the usual valgrind warnings. The fix for
	Bug#47412 Valgrind warnings / user can read uninitalized memory using SP variables
	is not pushed till now.

2009-10-14  Matthias Leich  <Matthias.Leich@sun.com>

	Extend the grammar

2009-10-14  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Improved unit/ParseAllGrammars.pm

2009-10-14  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Added unit/README

2009-10-14  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Forgot the grammar file

2009-10-14  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Added grammar parse-test

2009-10-14  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Added grammar parse-test

2009-10-14  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Updated some help function (more to do here)

2009-10-13  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Fixed unit test reporting

2009-10-13  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	merge

2009-10-13  Patrick Crews  <patrick.crews@sun.com>

	changed a typo that was causing bad queries

2009-10-13  Patrick Crews  <patrick.crews@sun.com>

	optimizer grammar changes / improvements
	
	no_subquery - imported some extras from the subquery grammar
	such as STRAIGHT JOIN, etc
	
	subquery - imported a fix from no_subquery to prevent false positives for
	queries that use an aggregate, nonaggregate and no GROUP BY
	These queries returned a single row result where the nonaggregate
	could change and cause false errors on server to server compares

2009-10-13  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Masking implemented in the .pl-scripts

2009-10-13  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Silly utested typeo

2009-10-13  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Apply new masking (still old semantics, 1 level down)

2009-10-13  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	More unit-testing of Grammar.pm

2009-10-13  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Added unit test framework and started on unit tests

2009-10-13  Philip Stoev  <pstoev@mysql.com>

	add 'debug' to the mysqld options dumped with each test case

2009-10-12  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Merge from lp:~kalebral/randgen/drizzle

2009-10-12  lbieber  <lbieber@lbieber-laptop>

	merge with latest from trunk

2009-10-12  lbieber  <lbieber@lbieber-laptop>

	per feedback from Bernt, remove  and use executor in gendata.pl.  Update Drizzle.pm with recent changes that were also made to MySQL.pm and should be applied to Drizzle.pm (i think)

2009-10-12  lbieber  <lbieber@lbieber-laptop>

	merge with latest from the trunk

2009-10-09  lbieber  <lbieber@lbieber-laptop>

	put if statement around SET SQL MODE which is MySQL only

2009-10-09  lbieber  <lbieber@lbieber-laptop>

	merge with latest from the trunk

2009-10-08  lbieber  <lbieber@lbieber-laptop>

	move conf/RecoveryConsistency.pm to lib/GenTest/Reporter directory

2009-10-08  lbieber  <lbieber@lbieber-laptop>

	add debug information in gendata.pl

2009-10-08  lbieber  <lbieber@lbieber-laptop>

	merge with latest from trunk

2009-10-08  lbieber  <lbieber@lbieber-laptop>

	merge with latest from trunk

2009-10-05  lbieber  <lbieber@lbieber-laptop>

	add more rows for transaction testsing, add drizzle.yy configuration, for now remove SQL_MODE from gendata.pl

2009-10-12  Patrick Crews  <patrick.crews@sun.com>

	partition_pruning grammar - incorporated review feedback / 
	minor changes and additions
	
	Added MarkErrorLog validator (missing in the LP tree)

2009-10-12  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Hudson experiments: t/grammar-doubledefine.t disabled.

2009-10-12  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	New grammar masking and patching (not activated yet)

2009-10-09  Patrick Crews  <patrick.crews@sun.com>

	changes to the partition_pruning grammar.
	3 way joins are disabled as they can take too long with larger row counts
	Added use of date / datetime fields in WHERE clauses (they are subpartitioned fields)

2009-10-09  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Contributors file added

2009-10-08  John H. Embretsen  <john.embretsen@sun.com>

	Update paths in PB2 scripts, having modified PB2 host setup to use the randgen branch on Launchpad.

2009-10-08  John H. Embretsen  <john.embretsen@sun.com>

	Reduce number of trials in RQG combinations runs in PB2 from 100 to 4, in an effort to eliminate host issues (running out of memory etc.).

2009-10-08  Bernt M. Johnsen  <bernt.johnsen@sun.com>

	Merge latest changes from internal

2009-10-03  Philip Stoev  <pstoev@mysql.com>

	replace ->debug with rqg_debug

2009-10-03  Philip Stoev  <pstoev@mysql.com>

	file renamed to QueryProperties

2009-10-03  Philip Stoev  <pstoev@mysql.com>

	Drizzle Executor and conf/ files

2009-10-03  Philip Stoev  <pstoev@mysql.com>

	initial fixes for drizzle

2009-10-03  Philip Stoev  <pstoev@mysql.com>

	merge from internal tree

2009-08-16  Philip Stoev  <pstoev@mysql.com>

	new ResultsetProperties validator

2009-08-16  Philip Stoev  <pstoev@mysql.com>

	fixes to Random.pm -- dictionaries, etc

2009-08-14  Philip Stoev  <pstoev@mysql.com>

	make the --innodb mysqld option optional

2009-08-07  Philip Stoev  <pstoev@mysql.com>

	remove third-party modules

2009-07-30  Philip Stoev  <pstoev@mysql.com>

	test for information_schema

2009-07-30  Philip Stoev  <pstoev@mysql.com>

	allow working with tables and databases of varying structure

2009-07-24  Philip Stoev  <pstoev@mysql.com>

	remove third-party binaries

2009-07-24  Philip Stoev  <pstoev@mysql.com>

	initial import from internal tree

2011-07-26  patrick crews  <gleebix@gmail.com>

	Merge trunk

2011-07-26  patrick crews  <gleebix@gmail.com>

	Additional work for running MySQL servers (still not ready for prime-time / working)

2011-06-28  patrick crews  <gleebix@gmail.com>

	merge trunk

2011-06-28  patrick crews  <gleebix@gmail.com>

	Code cleanup / reorganization

2011-06-23  patrick crews  <gleebix@gmail.com>

	Believed to be last tweaks needed to have different code trees / basedirs in a single dbqp run.  Now to code for new servers : )

2011-06-22  patrick crews  <gleebix@gmail.com>

	Merge trunk

2011-06-22  patrick crews  <gleebix@gmail.com>

	Additional work on allowing dbqp to handle multiple server types / versions (even simultaneously)

2011-06-22  patrick crews  <gleebix@gmail.com>

	Added environment manager + test_execution cleanup.

2011-06-20  patrick crews  <gleebix@gmail.com>

	Merge trunk + initial changes for code_management

2011-06-20  patrick crews  <gleebix@gmail.com>

	Merge trunk

2011-06-17  patrick crews  <gleebix@gmail.com>

	Merge trunk

2011-06-17  patrick crews  <gleebix@gmail.com>

	Additional fix - crashme mode

2011-06-17  patrick crews  <gleebix@gmail.com>

	Continued code cleanup / fixes

2011-06-17  patrick crews  <gleebix@gmail.com>

	Additonal code cleanup

2011-06-17  patrick crews  <gleebix@gmail.com>

	Tweak of logging behavior (no more 'if debug' checks...) and related code cleanup.  Also groundwork for allowing multiple basedirs (server code bases) to the test runner)

2011-06-17  patrick crews  <gleebix@gmail.com>

	Added ability to use libeatmydata as LD_PRELOAD for servers.  Need to update docs

2011-06-16  patrick crews  <gleebix@gmail.com>

	Additional tweaks

2011-06-16  patrick crews  <gleebix@gmail.com>

	Cleanup of option handling + test modes.  Initial work for expanding dbqp capabilities to do neat things

2011-10-11  pcrews  <pcrews@lucid32>

	Updated translations + tarball release 2011.10.27

2011-10-07  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/refactor2

2011-10-06  Olaf van der Spek  <olafvdspek@gmail.com>

	Use lex_string assign(), data() and size()

2011-10-06  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/remove-copy-schema-test-pl

2011-10-06  Brian Aker  <brian@tangent.org>

	Remove the schema copy in test-run.pl

2011-10-05  Mark Atwood  <me@mark.atwood.name>

	merge lp:~hingo/drizzle/drizzle-new-pandora-pluginini-keys

2011-10-04  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	This does 2 things:
	
	1) Modify pandora-plugin to allow more keys in a plugin.ini. Until now
	you could only specify headers, sources and extra-dist, but not
	scripts (that are not compiled, just copied) or various text or data
	files you wish to be part of an installation.
	
	The new plugin.ini keys correspond to automake targets as follows:
	
	# plugin.ini key
	automake variable
	-----------------
	# scripts or bin_scripts
	dist_bin_SCRIPTS=
	# sbin_scripts
	dist_sbin_SCRIPTS=
	# libexec_scripts
	dist_libexec_SCRIPTS=
	# pkg_scripts
	dist_pkgdata_SCRIPTS=
	# data
	dist_data_DATA=
	# pkg_data
	dist_pkgdata_DATA=
	# sysconf_data
	dist_sysconf_DATA=
	
	2a) Uses the new keys pkg_scripts and pkg_data to move some useful
	files from the auth_ldap plugin to ./share/drizzle7/ so an end user
	can benefit from them without downloading Drizzle source codes.
	
	2b) Also adds libdrizzle-2.0/libdrizzle/mysql_password_hash to programs
	that should be installed and changes the name to drizzle_password_hash.
	(Source filenames are unchanged. Makefile first builds mysql_password_hash
	and then makes a copy to the final name. I didn't know if someone expects
	mysql_password_hash to be there in some tests or something.)
	
	The intent is to write documentation for LDAP authentication that uses
	bin/drizzle_password_hash and share/drizzle7/* for creating LDAP user
	records.

2011-10-05  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/refactor1a

2011-09-19  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-09-19  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-09-18  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-09-18  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-10-03  Mark Atwood  <me@mark.atwood.name>

	merge lp:~hingo/drizzle/drizzle-offline-build-is-broken-for-sphinx

2011-10-01  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Our manual links to the Python manual (or probably this is the Sphinx
	documentation). This is done with an intersphinx reference, part of
	which consists of fetching http://docs.python.org/objects.inv when
	one builds using "make" or "make [dir]html". This means that it is
	impossible to build Drizzle without network connection, (such as on
	an airplane, train) because failing to fetch that URL will make the 
	build fail. (Warnings are errors.)
	
	This changes the sphinx configuration file to use a local copy of the
	file instead, and adds the file to the repo. It is now possible to build
	Drizzle without network connection.
	
	It will be necessary to update the local copy in docs/python-inv.txt
	from time to time.

2011-10-03  Mark Atwood  <me@mark.atwood.name>

	merge lp:~hingo/drizzle/drizzle-fix-make-clean-for-docs

2011-10-01  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Add the directories output by various sphinx make targets to
	.bzrignore and make clean.

2011-10-03  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/factor-thread-specific

2011-09-26  Brian Aker  <brian@tangent.org>

	Wrap thread specfic

2011-09-27  patrick crews  <gleebix@gmail.com>

	2011.09.26 tarball + translations

2011-09-19  Launchpad Translations on behalf of mordred

	Launchpad automatic translations update.

2011-09-05  Launchpad Translations on behalf of mordred

	Launchpad automatic translations update.

2011-09-22  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/fix-non-repeat-tests

2011-09-22  Brian Aker  <brian@tangent.org>

	Fix non-repeatable tests.

2011-09-22  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/fix-missing-result-file

2011-09-21  Brian Aker  <brian@tangent.org>

	Adding missing result file for definer_test.result

2011-09-21  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/ip-memory-leak

2011-09-21  Brian Aker  <brian@tangent.org>

	Fix memory leak when creating ipv6 string

2011-09-19  Mark Atwood  <me@mark.atwood.name>

	merge lp:~daniel-nichter/drizzle/query-log-ts

2011-09-18  Daniel  <daniel@ubuntu-10>

	Make first event line start_ts=TS.  Update and expand docu; fix a typo (wrong version).

2011-09-16  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/refactor7

2011-09-15  Olaf van der Spek  <olafvdspek@gmail.com>

	Merge trunk

2011-08-22  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-08-22  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-08-22  Olaf van der Spek  <olafvdspek@gmail.com>

	Add do_sha1()

2011-09-15  Mark Atwood  <me@mark.atwood.name>

	merge lp:~vjsamuel/drizzle/more-doc-fixes

2011-09-15  vjsamuel1990@gmail.com

	Fixed typo in other.html

2011-09-15  vjsamuel1990@gmail.com

	Merge added doc examples for LEFT, FIND_IN_SET, LOCATE and fixed incorrect result for INSTR

2011-09-15  vjsamuel1990@gmail.com

	Merge added examples for TRIM

2011-09-15  Mark Atwood  <me@mark.atwood.name>

	merge lp:~vjsamuel/drizzle/fix-bug-850898

2011-09-15  vjsamuel1990@gmail.com

	Merge fix for bug #850898 and doc style fixes

2011-09-15  Mark Atwood  <me@mark.atwood.name>

	merge lp:~vjsamuel/drizzle/fix-bug-850858

2011-09-15  vjsamuel1990@gmail.com

	Merge fix for bug #850858

2011-09-15  Mark Atwood  <me@mark.atwood.name>

	merge lp:~vjsamuel/drizzle/fix-bug-850782

2011-09-15  vjsamuel1990@gmail.com

	Merge fix for bug #850782

2011-09-15  Mark Atwood  <me@mark.atwood.name>

	merge lp:~vjsamuel/drizzle/fix-bug-850799

2011-09-15  vjsamuel1990@gmail.com

	Merge fix for bug #850799

2011-09-14  Mark Atwood  <me@mark.atwood.name>

	merge lp:~linuxjedi/drizzle/trunk-bug-528410

2011-09-07  Andrew Hutchings  <andrew@linuxjedi.co.uk>

	Add function drizzle_column_skip_all
	Add error when rows retrieval is attemped before all columns have been retrieved

2011-09-13  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/refactor7

2011-09-13  Olaf van der Spek  <olafvdspek@gmail.com>

	Fix ICC warning

2011-08-22  Olaf van der Spek  <olafvdspek@gmail.com>

	Update plugin.am

2011-08-22  Olaf van der Spek  <olafvdspek@gmail.com>

	Remove keycache

2011-08-22  Olaf van der Spek  <olafvdspek@gmail.com>

	Prune

2011-08-22  Olaf van der Spek  <olafvdspek@gmail.com>

	cppcheck

2011-08-22  Olaf van der Spek  <olafvdspek@gmail.com>

	cppcheck

2011-09-13  Mark Atwood  <me@mark.atwood.name>

	merge lp:~daniel-nichter/drizzle/plugin-docs

2011-09-03  Daniel Nichter  <daniel@percona.com>

	Complete documenting 2nd half of plugins.

2011-09-02  Daniel Nichter  <daniel@percona.com>

	Merge trunk changes at r2411.

2011-08-13  Daniel Nichter  <daniel@percona.com>

	Skeleton documentation for all plugins, more complete docu for first half of plugins.
	Clean up plugin.ini titles and descriptions.
	Reformat and reorganize root index.
	Change Administrative to Administration and remove empty files (logging, etc.)
	Add, fix, and tag documentation for functions.

2011-09-13  Mark Atwood  <me@mark.atwood.name>

	merge lp:~hingo/drizzle/drizzle-README-update

2011-08-29  Henrik Ingo  <henrik.ingo@avoinelama.fi>

	Updated README
	- make sure links are up to date
	- add instructions to "apt-get build-dep drizzle" before first build from source

2011-08-30  patrick crews  <gleebix@gmail.com>

	2011.08.25 tarball release

2011-08-22  Mark Atwood  <me@mark.atwood.name>

	merge lp:~mumair/drizzle/IPV6-REFACTOR1

2011-08-22  Muhammad Umair  <umair@RemoteDesk>

	merge lp:~mumair/drizzle/IPV6-REFACTOR1

2011-08-20  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/client

2011-08-20  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-08-20  Olaf van der Spek  <olafvdspek@gmail.com>

	Oops

2011-08-20  Olaf van der Spek  <olafvdspek@gmail.com>

	Read conf files

2011-08-20  Olaf van der Spek  <olafvdspek@gmail.com>

	Add throwing variants of query()

2011-08-20  Olaf van der Spek  <olafvdspek@gmail.com>

	Make base members private

2011-08-20  Olaf van der Spek  <olafvdspek@gmail.com>

	Make drizzle::result_c copyable

2011-08-20  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/refactor7

2011-08-20  Olaf van der Spek  <olafvdspek@gmail.com>

	Add const

2011-08-20  Olaf van der Spek  <olafvdspek@gmail.com>

	Oops

2011-08-19  Olaf van der Spek  <olafvdspek@gmail.com>

	cppcheck

2011-08-19  Olaf van der Spek  <olafvdspek@gmail.com>

	cppcheck

2011-08-19  Olaf van der Spek  <olafvdspek@gmail.com>

	cppcheck

2011-08-19  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-08-19  Olaf van der Spek  <olafvdspek@gmail.com>

	Undo change

2011-08-19  Olaf van der Spek  <olafvdspek@gmail.com>

	Merge trunk

2011-08-18  Olaf van der Spek  <olafvdspek@gmail.com>

	Merge trunk

2011-08-15  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-08-15  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-08-15  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-08-15  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-08-15  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-08-15  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-08-15  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-08-15  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-08-17  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/refactor6

2011-08-14  Olaf van der Spek  <olafvdspek@gmail.com>

	Remove unnecessary constructors and destructors

2011-08-14  Olaf van der Spek  <olafvdspek@gmail.com>

	Remove unnecessary constructors and destructors

2011-08-14  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-08-14  Olaf van der Spek  <olafvdspek@gmail.com>

	Remove unused Session::query_cache_key var

2011-08-14  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor iocache

2011-08-13  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor iocache

2011-08-13  Olaf van der Spek  <olafvdspek@gmail.com>

	Move iocache header stuff to iocache.h

2011-08-13  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor iocache

2011-08-13  Olaf van der Spek  <olafvdspek@gmail.com>

	Move flush() into iocache

2011-08-13  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-08-13  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor DYNAMIC_ARRAY

2011-08-17  Mark Atwood  <me@mark.atwood.name>

	can use 0 to mean NULL, cannot use NULL to mean 0

2011-08-17  Mark Atwood  <me@mark.atwood.name>

	memset(buf,NULL,len) is not ok, should be memset(buf,0,len)

2011-08-17  Mark Atwood  <me@mark.atwood.name>

	Update test result files, error code is now 1746 for transaction in progress

2011-08-16  Mark Atwood  <me@mark.atwood.name>

	link docs/ipv6_data_type.rst to TOC in docs/columntypes.rst

2011-08-16  Mark Atwood  <me@mark.atwood.name>

	merge lp:~mumair/drizzle/drizzle-IPV6

2011-08-16  Muhammad Umair  <umair@RemoteDesk>

	merge lp:~mumair/drizzle/drizzle-IPv6Address

2011-08-16  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/valgrind-fix

2011-08-16  Brian Aker  <brian@tangent.org>

	This fixes up the valgrind issues (ie path, and the testing of drizzletest)

2011-08-16  pcrews  <pcrews@lucid32>

	Updated translations + 2011.08.24 release

2011-08-09  Launchpad Translations on behalf of mordred

	Launchpad automatic translations update.

2011-08-15  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/help-fix

2011-08-15  Brian Aker  <brian@tangent.org>

	Fixes for --help work.

2011-07-18  Brian Aker  <brian@tangent.org>

	--help and --version now work a bit more quickly. Also, we don't have to worry about root messing up file creation.

2011-07-18  Brian Aker  <brian@tangent.org>

	This shifts the closing of the socket to after we know that no errors are going to occur.

2011-07-17  Brian Aker  <brian@tangent.org>

	Add better error messages for issues on startup.

2011-08-13  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/refactor6

2011-08-12  Olaf van der Spek  <olafvdspek@gmail.com>

	cppcheck

2011-08-12  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/client

2011-08-11  Olaf van der Spek  <olafvdspek@gmail.com>

	Fix PBMS

2011-08-11  Olaf van der Spek  <olafvdspek@gmail.com>

	drizzle::noncopyable

2011-08-11  Olaf van der Spek  <olafvdspek@gmail.com>

	Remove mysql and verbose options

2011-08-11  Olaf van der Spek  <olafvdspek@gmail.com>

	Add drizzle::query_c

2011-08-11  Olaf van der Spek  <olafvdspek@gmail.com>

	Delete commented functions

2011-08-11  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/refactor5

2011-08-11  Olaf van der Spek  <olafvdspek@gmail.com>

	Fix PBMS

2011-08-11  Olaf van der Spek  <olafvdspek@gmail.com>

	Merge trunk

2011-08-10  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-08-10  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-08-08  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-08-08  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-08-08  Olaf van der Spek  <olafvdspek@gmail.com>

	Use data_ref

2011-08-08  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-08-08  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-08-08  Olaf van der Spek  <olafvdspek@gmail.com>

	Remove unnecessary cast

2011-08-08  Olaf van der Spek  <olafvdspek@gmail.com>

	Use str_ref

2011-08-08  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-08-08  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-08-08  Olaf van der Spek  <olafvdspek@gmail.com>

	cppcheck

2011-08-08  Olaf van der Spek  <olafvdspek@gmail.com>

	cppcheck

2011-08-07  Olaf van der Spek  <olafvdspek@gmail.com>

	cppcheck

2011-08-07  Olaf van der Spek  <olafvdspek@gmail.com>

	Merge trunk

2011-08-10  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/refactor4

2011-08-10  Olaf van der Spek  <olafvdspek@gmail.com>

	Avoid comparison between signed and unsigned

2011-08-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Fix assert

2011-08-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Update .yy

2011-08-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Use const char* instead of str_ref

2011-08-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-08-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Rename set_db to set_schema

2011-08-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Use str_ref

2011-08-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-08-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor setTableName

2011-08-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor getTableName

2011-08-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor Table_ident 

2011-08-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor lex_string_t

2011-08-10  Mark Atwood  <me@mark.atwood.name>

	merge

2011-08-10  Mark Atwood  <me@mark.atwood.name>

	fix sign/unsigned comparison in plugin/innobase/xtrabackup/xtrabackup.cc

2011-07-30  Laurynas Biveinis  <laurynas.biveinis@percona.com>

	Fix icc warning: zero extending result of unary operation
	
	The fix is to adjust ut_2pow_round and ut_calc_align macro definitions
	to typecast explicitly to a possibly wider type of the result of the
	unary operation.

2011-07-30  Laurynas Biveinis  <laurynas.biveinis@percona.com>

	Merge from trunk

2011-04-07  Laurynas Biveinis  <laurynas.biveinis@percona.com>

	Replace VLA with boost::scoped_array

2011-04-07  Laurynas Biveinis  <laurynas.biveinis@percona.com>

	Merge from trunk

2011-04-05  Laurynas Biveinis  <laurynas.biveinis@percona.com>

	Port Percona's innodb_files_extend.patch

2011-08-10  Mark Atwood  <me@mark.atwood.name>

	merge lp:~patrick-crews/drizzle/bug823616

2011-08-09  patrick crews  <gleebix@gmail.com>

	Re-record slave basic test to accommodate new SHOW CREATE TABLE output

2011-08-09  Mark Atwood  <me@mark.atwood.name>

	add plugin/zeromq/zeromq_log.cc to po/POTFILES.in

2011-08-09  Mark Atwood  <me@mark.atwood.name>

	merge lp:~krummas/drizzle/zeromq-support

2011-08-08  Marcus Eriksson  <marcuse@marcuse-laptop>

	add schema as first frame and add some initial docs

2011-08-08  Marcus Eriksson  <marcuse@marcuse-laptop>

	initial zeromq replicator support

2011-08-08  Mark Atwood  <me@mark.atwood.name>

	add copyright notice to new config/autorun.sh

2011-08-08  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/autoreconf

2011-08-07  Brian Aker  <brian@tangent.org>

	Adding in autorun that uses autoreconf

2011-08-02  Brian Aker  <brian@tangent.org>

	Update to use autoreconf

2011-08-06  Mark Atwood  <me@mark.atwood.name>

	add plugin/query_log/module.cc to po/POTFILES.in

2011-08-06  Mark Atwood  <me@mark.atwood.name>

	merge lp:~daniel-nichter/drizzle/query-log-plugin

2011-08-03  Daniel Nichter  <daniel@percona.com>

	Make tests idempotent.

2011-07-30  Daniel Nichter  <daniel@percona.com>

	Remove assert.

2011-07-30  Daniel Nichter  <daniel@percona.com>

	Use C++ iostream instead of Boost format.

2011-06-25  Daniel Nichter  <daniel@percona.com>

	Include sys/stat.h for S_IRUSR on FreeBSD.

2011-06-02  Daniel Nichter  <daniel@percona.com>

	Fix -Wmissing-declarations warnings by adding forward declarations.

2011-06-02  Daniel Nichter  <daniel@percona.com>

	Remove useless trailing semicolons causing compile warning on gcc 4.4.3 (Ubuntu 10.04).

2011-06-02  Daniel Nichter  <daniel@percona.com>

	Change sed syntax in tests to work on Mac OS, CentOS, and Ubuntu.

2011-05-20  Daniel Nichter  <daniel@percona.com>

	Change to GPLv3 license.

2011-05-15  Daniel Nichter  <daniel@percona.com>

	Add query_log/docs.

2011-05-15  Daniel Nichter  <daniel@percona.com>

	Add query_log plugin.  It's tested and documented.

2011-08-05  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/client

2011-08-03  Olaf van der Spek  <olafvdspek@gmail.com>

	Merge trunk

2011-07-30  Olaf van der Spek  <olafvdspek@gmail.com>

	Merge trunk

2011-07-27  Olaf van der Spek  <olafvdspek@gmail.com>

	Merge trunk

2011-07-22  Olaf van der Spek  <olafvdspek@gmail.com>

	Merge trunk

2011-07-20  Olaf van der Spek  <olafvdspek@gmail.com>

	Merge trunk

2011-07-19  Olaf van der Spek  <olafvdspek@gmail.com>

	Merge trunk

2011-07-14  Olaf van der Spek  <olafvdspek@gmail.com>

	Revert DRIZZLE_DEFAULT_TCP_PORT_MYSQL   

2011-07-14  Olaf van der Spek  <olafvdspek@gmail.com>

	Fix DRIZZLE_DEFAULT_TCP_PORT_MYSQL

2011-07-14  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-07-14  Olaf van der Spek  <olafvdspek@gmail.com>

	Remove old defines

2011-07-14  Olaf van der Spek  <olafvdspek@gmail.com>

	Simplify verbose option

2011-07-14  Olaf van der Spek  <olafvdspek@gmail.com>

	Add options for user and password

2011-07-14  Olaf van der Spek  <olafvdspek@gmail.com>

	Use C++ API

2011-07-14  Olaf van der Spek  <olafvdspek@gmail.com>

	Use C++ API

2011-07-14  Olaf van der Spek  <olafvdspek@gmail.com>

	Use C++ API

2011-08-04  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/refactor3

2011-08-04  Olaf van der Spek  <olafvdspek@gmail.com>

	Merge trunk

2011-07-07  Olaf van der Spek  <olafvdspek@gmail.com>

	strmake -> strdup

2011-07-07  Olaf van der Spek  <olafvdspek@gmail.com>

	Undo PCH rule

2011-07-07  Olaf van der Spek  <olafvdspek@gmail.com>

	Use sql_strdup(str_ref)

2011-07-07  Olaf van der Spek  <olafvdspek@gmail.com>

	Rename strmake to strdup (standard name)

2011-07-07  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor build_table_filename

2011-07-07  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor tablename_to_filename()

2011-07-07  Olaf van der Spek  <olafvdspek@gmail.com>

	Prune unused code

2011-07-07  Olaf van der Spek  <olafvdspek@gmail.com>

	Remove unused declarations

2011-07-07  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor build_table_filename

2011-07-07  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor tablename_to_filename

2011-07-07  Olaf van der Spek  <olafvdspek@gmail.com>

	Remove const_cast

2011-07-07  Olaf van der Spek  <olafvdspek@gmail.com>

	Add const

2011-07-07  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor Item::set_name() calls

2011-08-03  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/refactor2

2011-08-03  Olaf van der Spek  <olafvdspek@gmail.com>

	Fix MY_LEX_STRING

2011-08-03  Olaf van der Spek  <olafvdspek@gmail.com>

	Merge trunk

2011-07-24  Olaf van der Spek  <olafvdspek@gmail.com>

	Merge trunk

2011-07-07  Olaf van der Spek  <olafvdspek@gmail.com>

	Merge trunk

2011-07-07  Olaf van der Spek  <olafvdspek@gmail.com>

	Fix PCH build rule

2011-07-06  Olaf van der Spek  <olafvdspek@gmail.com>

	Merge trunk

2011-07-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Use boost::to_upper

2011-07-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor Scoreboard

2011-07-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Add const

2011-07-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Add const
	Remove unused vars

2011-07-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor setSchemaName() and setTableName()

2011-07-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor copy_db_to

2011-07-05  Olaf van der Spek  <olafvdspek@gmail.com>

	CreateField includes

2011-07-05  Olaf van der Spek  <olafvdspek@gmail.com>

	lex_string_t -> LEX_STRING

2011-07-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Add data_ref.h
	Use str_ref for append_identifier

2011-08-02  Mark Atwood  <me@mark.atwood.name>

	merge lp:~skinny.moey/drizzle/bug811341

2011-07-30  Joseph Daly  <skinny.moey@gmail.com>

	fix up applier state table, remove unused code blocks

2011-08-02  Mark Atwood  <me@mark.atwood.name>

	merge lp:~linuxjedi/drizzle/trunk-bug-814793

2011-07-25  Andrew Hutchings  <andrew@linuxjedi.co.uk>

	Fix incorrect assert (fix is already in libdrizzle-2.0)

2011-08-02  pcrews  <pcrews@lucid32>

	2011.08.23 tarball release

2011-07-31  Mark Atwood  <me@mark.atwood.name>

	remove superfluous src_repo_id from plugin/pbms/src/backup_ms.cc

2011-07-31  Mark Atwood  <me@mark.atwood.name>

	merge lp:~barry-leslie/drizzle/drizzle_pbms

2011-07-27  Barry.Leslie@PrimeBase.com

	Fixed some compiler warnings.

2011-07-26  Barry.Leslie@PrimeBase.com

	Removed unused variable.

2011-07-25  Barry.Leslie@PrimeBase.com

	Merged in trunk changes

2011-06-15  Barry.Leslie@PrimeBase.com

	Addded some debug code to try and find the cause of test run failure.

2011-06-15  Barry.Leslie@PrimeBase.com

	Merge with trunk

2011-06-14  Barry.Leslie@PrimeBase.com

	Merged with trunk.

2011-07-31  Mark Atwood  <me@mark.atwood.name>

	remove reference to haildb_engine.cc from POTFILES.in

2011-07-30  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/remove-haildb

2011-07-30  Brian Aker  <brian@tangent.org>

	Just merging up deleting haildb.

2011-07-26  Brian Aker  <brian@tangent.org>

	Remove haildb

2011-07-29  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/lion-disable-dtrace

2011-07-28  Brian Aker  <brian@tangent.org>

	Just disable DTRACE for OSX

2011-07-28  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/copyright

2011-07-28  Olaf van der Spek  <olafvdspek@gmail.com>

	Fix copyright

2011-07-28  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/cd-test-cleanup

2011-07-28  Brian Aker  <brian@tangent.org>

	Merge in all fixes for cd tests

2011-07-28  Brian Aker  <brian@tangent.org>

	Merge in Patrick's fix for dbqp

2011-07-27  patrick crews  <gleebix@gmail.com>

	Minor tweak to dbqp's dtr_execution_manager for Brian's valgrind fixes

2011-07-28  Brian Aker  <brian@tangent.org>

	Remove need to cd into test director

2011-07-27  Brian Aker  <brian@tangent.org>

	Lion fix

2011-07-26  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/fedora-fix-3

2011-07-26  Brian Aker  <brian@tangent.org>

	Additional update for OSX.

2011-07-25  Brian Aker  <brian@tangent.org>

	Remove the typedef on lexkey

2011-07-24  Brian Aker  <brian@tangent.org>

	Fedora fix/use fwd header for iostream.

2011-07-24  Mark Atwood  <me@mark.atwood.name>

	merge lp:~kent/drizzle/replidocs

2011-07-22  kent.bozlinski@datadifferential.com

	replication example doc update

2011-07-20  Mark Atwood  <me@mark.atwood.name>

	merge lp:~linuxjedi/drizzle/trunk-bug-810388

2011-07-20  Andrew Hutchings  <andrew@linuxjedi.co.uk>

	Fixup drizzle_column_skip for Windows

2011-07-14  Andrew Hutchings  <andrew@linuxjedi.co.uk>

	Push drizzle_column_skip fixes upstream

2011-07-19  Mark Atwood  <me@mark.atwood.name>

	Updated translations

2011-07-10  Launchpad Translations on behalf of mordred

	Launchpad automatic translations update.

2011-07-07  Launchpad Translations on behalf of mordred

	Launchpad automatic translations update.

2011-07-18  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/798940

2011-07-15  Brian Aker  <brian@tangent.org>

	This patch fixes 798940, we will also just now add the type of index to our create statements.

2011-07-15  Mark Atwood  <me@mark.atwood.name>

	Resolve merge, etc for boolean fix.

2011-07-14  Brian Aker  <brian@tangent.org>

	Fixes bug where true/false would not be interpreted correctly/displayed correctly.

2011-07-13  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/refactor1

2011-07-08  Olaf van der Spek  <olafvdspek@gmail.com>

	Merge trunk

2011-07-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Disable assert, might be a bug

2011-07-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Use operator=

2011-07-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Use assert(false) instead of assert(1)

2011-07-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Use boost::to_lower

2011-07-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Remove unused m_cs_specified

2011-07-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor Items

2011-07-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor Items

2011-07-05  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor Items

2011-07-04  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-07-04  Olaf van der Spek  <olafvdspek@gmail.com>

	Remove unused Name_resolution_context::error_reporter

2011-07-04  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-07-04  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor

2011-07-04  Olaf van der Spek  <olafvdspek@gmail.com>

	Remove String::c_ptr_quick()
	Add standard C++ members begin, end, data and size to String
	Refactor

2011-07-04  Olaf van der Spek  <olafvdspek@gmail.com>

	Use String::c_str() instead of c_ptr_safe()
	Rename String::is_empty() to empty() (standard C++ name)

2011-07-04  Olaf van der Spek  <olafvdspek@gmail.com>

	Add copyright

2011-07-04  Olaf van der Spek  <olafvdspek@gmail.com>

	Remove String::set_or_copy_aligned()

2011-07-04  Olaf van der Spek  <olafvdspek@gmail.com>

	Remove unused param

2011-07-04  Olaf van der Spek  <olafvdspek@gmail.com>

	Refactor type::Boolean::convert

2011-07-04  Olaf van der Spek  <olafvdspek@gmail.com>

	Remove unused declarations

2011-07-04  Olaf van der Spek  <olafvdspek@gmail.com>

	Remove unused param

2011-07-04  Olaf van der Spek  <olafvdspek@gmail.com>

	Merge trunk

2011-07-13  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/bug743783

2011-07-12  Brian Aker  <brian@tangent.org>

	Fix for bug lp:743783  ,  we just now use type: in the plugin (i.e. we use the API).

2011-07-13  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/bug730986

2011-07-12  Brian Aker  <brian@tangent.org>

	Fix documentation for replication.

2011-07-12  Mark Atwood  <me@mark.atwood.name>

	merge lp:~brianaker/drizzle/memoryleak-fix-json-server

2011-07-12  Brian Aker  <brian@tangent.org>

	Fix memory leak in temporal and json server.

2011-07-06  Mark Atwood  <me@mark.atwood.name>

	merge lp:~olafvdspek/drizzle/refactor19

2011-07-01  Olaf van der Spek  <olafvdspek@gmail.com>

	Remove unused param

2011-07-01  Olaf van der Spek  <olafvdspek@gmail.com>

	Remove unused _is_local_time

2011-07-01  Olaf van der Spek  <olafvdspek@gmail.com>

	Remove util::localtime as it was equivalent to gmtime

2011-07-06  Mark Atwood  <me@mark.atwood.name>

